(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      3310,        119]*)
(*NotebookOutlinePosition[      4720,        163]*)
(*  CellTagsIndexPosition[      4469,        153]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(<< AMBRE.m\)], "Input"],

Cell[BoxData[
    \("by K.Kajda   ver: 1.0"\)], "Print"],

Cell[BoxData[
    \("last modified 28 Mar 2007"\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?Fullintegral\)\)], "Input"],

Cell[BoxData[
    \("Fullintegral[{numerator},{propagators},{internal momenta}] is a \
function for input integrals"\)], "Print",
  CellTags->"Info3384155423-7057229"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?invariants\)\)], "Input"],

Cell[BoxData[
    \("A list of invariants e.g. {p1^2->s}"\)], "Print",
  CellTags->"Info3384155424-7981546"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?IntPart\)\)], "Input"],

Cell[BoxData[
    \("IntPart[iteration] prepares subintegral for given internal \
momentum."\)], "Print",
  CellTags->"Info3384155426-4388237"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?SubLoop\)\)], "Input"],

Cell[BoxData[
    \("Subloop[integral]"\)], "Print",
  CellTags->"Info3384155427-8732330"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?BarnesLemma\)\)], "Input"],

Cell[BoxData[
    \("BarnesLemma[repr_,1] tries to apply 1st Barnes lemma on a given \
representation. \n BarnesLemma[repr_,2] is used to apply 2nd Barnes lemma.\n\n\
 These two functions automatically apply lemmas on every M-B integral \
variable, only if a given variable appears in Gamma functions but not in \
functions related to kinematcal variables."\)], "Print",
  CellTags->"Info3384155435-7885084"]
}, Open  ]]
},
FrontEndVersion->"5.1 for X",
ScreenRectangle->{{0, 1024}, {0, 768}},
WindowSize->{520, 600},
WindowMargins->{{Automatic, 90}, {Automatic, 47}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Info3384155423-7057229"->{
    Cell[2031, 68, 167, 3, 39, "Print",
      CellTags->"Info3384155423-7057229"]},
  "Info3384155424-7981546"->{
    Cell[2286, 79, 108, 2, 23, "Print",
      CellTags->"Info3384155424-7981546"]},
  "Info3384155426-4388237"->{
    Cell[2479, 89, 143, 3, 39, "Print",
      CellTags->"Info3384155426-4388237"]},
  "Info3384155427-8732330"->{
    Cell[2707, 100, 90, 2, 23, "Print",
      CellTags->"Info3384155427-8732330"]},
  "Info3384155435-7885084"->{
    Cell[2886, 110, 408, 6, 135, "Print",
      CellTags->"Info3384155435-7885084"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Info3384155423-7057229", 3902, 134},
  {"Info3384155424-7981546", 4016, 137},
  {"Info3384155426-4388237", 4130, 140},
  {"Info3384155427-8732330", 4244, 143},
  {"Info3384155435-7885084", 4358, 146}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 43, 1, 27, "Input"],
Cell[1822, 56, 56, 1, 23, "Print"],
Cell[1881, 59, 60, 1, 23, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1978, 65, 50, 1, 27, "Input"],
Cell[2031, 68, 167, 3, 39, "Print",
  CellTags->"Info3384155423-7057229"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2235, 76, 48, 1, 27, "Input"],
Cell[2286, 79, 108, 2, 23, "Print",
  CellTags->"Info3384155424-7981546"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2431, 86, 45, 1, 27, "Input"],
Cell[2479, 89, 143, 3, 39, "Print",
  CellTags->"Info3384155426-4388237"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2659, 97, 45, 1, 27, "Input"],
Cell[2707, 100, 90, 2, 23, "Print",
  CellTags->"Info3384155427-8732330"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2834, 107, 49, 1, 27, "Input"],
Cell[2886, 110, 408, 6, 135, "Print",
  CellTags->"Info3384155435-7885084"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

