(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     30788,        846]*)
(*NotebookOutlinePosition[     31417,        868]*)
(*  CellTagsIndexPosition[     31373,        864]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(Quit[]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< MB.m\)], "Input"],

Cell[BoxData[
    \("MB 1.1"\)], "Print"],

Cell[BoxData[
    \("by Michal Czakon"\)], "Print"],

Cell[BoxData[
    \("more info in hep-ph/0511200"\)], "Print"],

Cell[BoxData[
    \("last modified 28 Jan 06"\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< AMBRE.m\)], "Input"],

Cell[BoxData[
    \("by K.Kajda   ver: 1.0"\)], "Print"],

Cell[BoxData[
    \("last modified 21 Mar 2007"\)], "Print"]
}, Open  ]],

Cell[BoxData[
    \(\(Fullintegral[{1}, {PR[k1 + k2, m, n1] 
            PR[k2, 0, n2]\ PR[k1 + p1, 0, n3]\ }, {k2, k1}];\)\)], "Input"],

Cell[BoxData[
    \(\(invariants = {p1^2 \[Rule] m^2};\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k2, 0, n2]\ PR[
            k1 + k2, m, n1]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k2, 0, n2], 
          PR[ 
            Plus[ k1, k2], m, n1]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k2\),
      SequenceForm[ "momentum=", k2],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]1\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k2\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 1, ": >>Integrating over ", k2, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-PR[k1, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k2..."\),
      SequenceForm[ "Representation after integrating over: ", "k2..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop1", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\(\((\(-1\))\)\^\(n1 + n2 + z1\)\ \((m\^2)\)\^\(2 - eps \
- n1 - n2 - z1\)\ Gamma[4 - 2\ eps - n1 - 2\ n2 - z1]\ Gamma[\(-z1\)]\ Gamma[
                    n2 + z1]\ Gamma[\(-2\) + eps + n1 + n2 + z1]\)\/\(Gamma[
                    n1]\ Gamma[4 - 2\ eps - n1 - n2]\ Gamma[n2]\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k1, m, z1]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k1, m, \(-z1\)]\ PR[
            k1 + p1, 0, n3]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k1, m, 
            Times[ -1, z1]], 
          PR[ 
            Plus[ k1, p1], 0, n3]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k1\),
      SequenceForm[ "momentum=", k1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(repr = SubLoop[integral];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]2\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k1\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 2, ": >>Integrating over ", k1, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(m\^2\ X[1]\^2\)], "Print"],

Cell[BoxData[
    \("Final representation:"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3\)\ \((m\^2)\)\^\(4 - 2\ eps \
- n1 - n2 - n3\)\ Gamma[
                4 - 2\ eps - n1 - 2\ n2 - z1]\ Gamma[\(-2\) + eps + n3 - 
                  z1]\ Gamma[
                n2 + z1]\ Gamma[\(-2\) + eps + n1 + n2 + z1]\ Gamma[
                4 - 2\ eps - 2\ n3 + z1])\)/\((Gamma[n1]\ Gamma[
                4 - 2\ eps - n1 - n2]\ Gamma[n2]\ Gamma[
                4 - 2\ eps - n3 + z1])\)\),
        FontColor->RGBColor[0, 0, 1]],
      (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BarnesLemma[repr, 1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 1st Lemma will be checked for: "\
\[InvisibleSpace]{z1}\[InvisibleSpace]" <<"\),
      SequenceForm[ ">> Barnes 1st Lemma will be checked for: ", {z1}, " <<"],
      
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]1\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 1, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z1\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 1st Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox["\<\"   Could not apply Barnes-Lemma\"\>",
        FontColor->RGBColor[1, 0, 0]],
      (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3\)\ \((m\^2)\)\^\(4 - 2\ eps - n1 - n2 - \
n3\)\ Gamma[
            4 - 2\ eps - n1 - 2\ n2 - z1]\ Gamma[\(-2\) + eps + n3 - 
              z1]\ Gamma[n2 + z1]\ Gamma[\(-2\) + eps + n1 + n2 + z1]\ Gamma[
            4 - 2\ eps - 2\ n3 + z1])\)/\((Gamma[n1]\ Gamma[
            4 - 2\ eps - n1 - n2]\ Gamma[n2]\ Gamma[
            4 - 2\ eps - n3 + z1])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fin = BarnesLemma[repr, 2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 2nd Lemma will be checked for: "\
\[InvisibleSpace]{z1}\[InvisibleSpace]" <<"\),
      SequenceForm[ ">> Barnes 2nd Lemma will be checked for: ", {z1}, " <<"],
      
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]1\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 1, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z1...Barnes Lemma was applied.\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 2nd Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        TagBox[
          StyleBox["\<\"   2nd Barnes Lemma was applied for: \"\>",
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)], 
        "\[InvisibleSpace]", \({z1}\)}],
      SequenceForm[ 
        StyleForm[ 
        "   2nd Barnes Lemma was applied for: ", FontColor -> RGBColor[ 
          1, 0, 0]], {z1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Obtained representation has: dim="\
\[InvisibleSpace]0\),
      SequenceForm[ "   Obtained representation has: dim=", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3\)\ \((m\^2)\)\^\(4 - 2\ eps - n1 - n2 - \
n3\)\ Gamma[2 - eps - n2]\ Gamma[8 - 4\ eps - n1 - 2\ n2 - 2\ n3]\ Gamma[
            2 - eps - n3]\ Gamma[\(-2\) + eps + n2 + n3]\ Gamma[\(-4\) + 
              2\ eps + n1 + n2 + n3])\)/\((Gamma[n1]\ Gamma[n2]\ Gamma[
            4 - 2\ eps - n2 - n3]\ Gamma[6 - 3\ eps - n1 - n2 - n3]\ Gamma[
            n3])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(se3l1mOS = \(\(fin /. n1 \[Rule] 1\) /. n2 \[Rule] 1\) /. 
        n3 \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(\(-\(\(\((m\^2)\)\^\(1 - 2\ eps\)\ Gamma[
              3 - 4\ eps]\ Gamma[1 - eps]\^2\ Gamma[
              eps]\ Gamma[\(-1\) + 2\ eps]\)\/\(Gamma[3 - 3\ eps]\ Gamma[
              2 - 2\ eps]\)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(-\(\(\((m\^2)\)\^\(1 - 2\ eps\)\ Gamma[
                3 - 4\ eps]\ Gamma[1 - eps]\^2\ Gamma[
                eps]\ Gamma[\(-1\) + 2\ eps]\)\/\(Gamma[3 - 3\ eps]\ Gamma[
                2 - 2\ eps]\)\)\) // InputForm\)], "Input"],

Cell["\<\
-(((m^2)^(1 - 2*eps)*Gamma[3 - 4*eps]*Gamma[1 - \
eps]^2*Gamma[eps]*Gamma[-1 + 2*eps])/(Gamma[3 - 3*eps]*Gamma[2 - \
2*eps]))\
\>", "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = MBoptimizedRules[se3l1mOS, eps \[Rule] 0, {}, {eps}]\)], "Input"],

Cell[BoxData[
    \({{eps \[Rule] 5\/8}, {}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(integrals = MBcontinue[se3l1mOS, eps \[Rule] 0, rules]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(integrals\\)\\\" is similar to existing \
symbol \\\"\\!\\(integral\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\(1\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 1, " integral(s) found"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({MBint[\(-\(\(\((m\^2)\)\^\(1 - 2\ eps\)\ Gamma[
                  3 - 4\ eps]\ Gamma[1 - eps]\^2\ Gamma[
                  eps]\ Gamma[\(-1\) + 2\ eps]\)\/\(Gamma[3 - 3\ eps]\ Gamma[
                  2 - 2\ eps]\)\)\), {{eps \[Rule] 0}, {}}]}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(ser3 = 
        MBexpand[{integrals}, 
          Exp[2\ eps\ EulerGamma], {eps, 0, 4}];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(num1 = MBintegrate[ser3, {m \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["Performing 0 1-dimensional integrations", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    \({\(\(5.487335167120566`\)\(\[InvisibleSpace]\)\) + 0.5`\/eps\^2 + 
        1.25`\/eps + 11.25087989605326`\ eps + 33.664519132020516`\ eps\^2 + 
        63.04853493300645`\ eps\^3 + 163.35195504377785`\ eps\^4, 
      0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(11/8 + 5/12*Pi^2 // N\)], "Input"],

Cell[BoxData[
    \(5.487335167120566`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((\(-165\) + 50*Pi^2 + 176*Zeta[3])\)/48 // N\)], "Input"],

Cell[BoxData[
    \(11.250879896053258`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((\(-14235\) + 550*Pi^2 + 202*Pi^4 + 4400*Zeta[3])\)/480 // 
      N\)], "Input"],

Cell[BoxData[
    \(33.66451913202051`\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ 
      sectors\ \[IndentingNewLine]{17.805112`\ Second, \
{{\(\(5.487288485366036`\)\(\[InvisibleSpace]\)\) + 
                0.5000000000000211`\/ep\^2 + 1.2499988529222135`\/ep + 
                11.251329382652454`\ ep + 33.662069593273685`\ ep\^2 + 
                63.04190019243178`\ ep\^3 + 
                163.33527464088615`\ ep\^4, \(\(3.986514199813161`\)\(\
\[InvisibleSpace]\)\) + 0.5000000000000211`\/ep\^2 + 
                1.1538128959193252`\/ep + 6.882130568372551`\ ep + 
                18.259012412187495`\ ep\^2 + 29.336984950890766`\ ep\^3 + 
                74.44748292139938`\ ep\^4, \(\(3.9855479809980987`\)\(\
\[InvisibleSpace]\)\) + 0.5000000000000211`\/ep\^2 + 1.153426409720079`\/ep + 
                6.886736886175481`\ ep + 18.266964806205547`\ ep\^2 + 
                29.33396261594516`\ ep\^3 + 
                74.37410117529812`\ ep\^4}}}\[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collect[ser3[\([1, 1]\)], eps] // FullSimplify\)], "Input"],

Cell[BoxData[
    \(\(\(1\/\(120960\ eps\^2\)\)\((m\^2\ \((60480 + 
            3360\ eps\^4\ \((12 + 
                  eps\ \((30 + 
                        eps\ \((33 + 10\ \[Pi]\^2)\))\))\)\ Log[m\^2]\^4 - 
            8064\ eps\^5\ \((2 + 5\ eps)\)\ Log[m\^2]\^5 + 
            5376\ eps\^6\ Log[m\^2]\^6 - 
            3360\ eps\^3\ Log[m\^2]\^3\ \((24 + 
                  eps\ \((60 + 
                        eps\ \((66 + 20\ \[Pi]\^2 + 
                              eps\ \((\(-165\) + 50\ \[Pi]\^2 + 
                                    176\ Zeta[3])\))\))\))\) + 
            504\ eps\^2\ Log[m\^2]\^2\ \((240 + 
                  eps\ \((600 + 
                        eps\ \((660 + 200\ \[Pi]\^2 + 
                              eps\ \((\(-1650\) - 14235\ eps + 
                                    500\ \[Pi]\^2 + 550\ eps\ \[Pi]\^2 + 
                                    202\ eps\ \[Pi]\^4 + 
                                    880\ \((2 + 5\ eps)\)\ Zeta[
                                        3])\))\))\))\) + 
            eps\ \((151200 + 5040\ eps\ \((33 + 10\ \[Pi]\^2)\) + 
                  2520\ eps\^2\ \((\(-165\) + 50\ \[Pi]\^2 + 
                        176\ Zeta[3])\) + 
                  252\ eps\^3\ \((\(-14235\) + 550\ \[Pi]\^2 + 
                        202\ \[Pi]\^4 + 4400\ Zeta[3])\) + 
                  42\ eps\^4\ \((\(-385875\) - 8250\ \[Pi]\^2 + 
                        3030\ \[Pi]\^4 + 
                        880\ \((33 + 10\ \[Pi]\^2)\)\ Zeta[3] + 
                        206784\ Zeta[5])\) + 
                  eps\^5\ \((139986\ \[Pi]\^4 + 66700\ \[Pi]\^6 + 
                        1050\ \[Pi]\^2\ \((\(-2847\) + 880\ Zeta[3])\) + 
                        105\ \((1936\ Zeta[3]\ \((\(-15\) + 8\ Zeta[3])\) + 
                              9\ \((\(-64189\) + 22976\ Zeta[5])\))\))\))\) - 
            84\ eps\ \((Log[\(-\[ImaginaryI]\)\ m] + 
                  Log[\[ImaginaryI]\ m])\)\ \((1440 + 
                  eps\ \((3600 + 
                        eps\ \((120\ \((33 + 10\ \[Pi]\^2)\) + 
                              eps\ \((60\ \((\(-165\) + 50\ \[Pi]\^2 + 
                                        176\ Zeta[3])\) + 
                                    eps\ \((\(-85410\) - 385875\ eps + 
                                        3300\ \[Pi]\^2 - 
                                        8250\ eps\ \[Pi]\^2 + 
                                        1212\ \[Pi]\^4 + 
                                        3030\ eps\ \[Pi]\^4 + 
                                        880\ \((30 + 
                                        eps\ \((33 + 10\ \[Pi]\^2)\))\)\ Zeta[
                                        3] + 
                                        206784\ eps\ Zeta[
                                        5])\))\))\))\))\))\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Coefficient[%18, Log[\(-I\)\ m]] // Expand\)], "Input"],

Cell[BoxData[
    \(\(-\(\(5\ m\^2\)\/2\)\) - 
      m\^2\/eps - \(11\ eps\ m\^2\)\/4 + \(55\ eps\^2\ m\^2\)\/8 + \(949\ eps\
\^3\ m\^2\)\/16 + \(8575\ eps\^4\ m\^2\)\/32 - 5\/6\ eps\ m\^2\ \[Pi]\^2 - 
      25\/12\ eps\^2\ m\^2\ \[Pi]\^2 - 55\/24\ eps\^3\ m\^2\ \[Pi]\^2 + 
      275\/48\ eps\^4\ m\^2\ \[Pi]\^2 - 101\/120\ eps\^3\ m\^2\ \[Pi]\^4 - 
      101\/48\ eps\^4\ m\^2\ \[Pi]\^4 - 22\/3\ eps\^2\ m\^2\ Zeta[3] - 
      55\/3\ eps\^3\ m\^2\ Zeta[3] - 121\/6\ eps\^4\ m\^2\ Zeta[3] - 
      55\/9\ eps\^4\ m\^2\ \[Pi]\^2\ Zeta[3] - 
      718\/5\ eps\^4\ m\^2\ Zeta[5]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ser3[\([1, 1]\)]\)], "Input"],

Cell[BoxData[
    \(m\^2\/\(2\ eps\^2\) + \(m\^2\ \((5 - 4\ Log[m\^2])\)\)\/\(4\ eps\) + 
      1\/24\ m\^2\ \((33 + 10\ \[Pi]\^2 - 60\ Log[m\^2] + 
            24\ Log[m\^2]\^2)\) + 
      1\/240\ eps\^2\ m\^2\ \((275\ \[Pi]\^2 + 101\ \[Pi]\^4 + 
            20\ \((33 + 10\ \[Pi]\^2)\)\ Log[m\^2]\^2 - 400\ Log[m\^2]\^3 + 
            80\ Log[m\^2]\^4 + 
            5\ \((\(-751\) + 70\ PolyGamma[2, 1] + 80\ PolyGamma[2, 2] - 
                  370\ PolyGamma[2, 3])\) - 
            20\ Log[m\^2]\ \((52 + 25\ \[Pi]\^2 + 14\ PolyGamma[2, 1] + 
                  16\ PolyGamma[2, 2] - 74\ PolyGamma[2, 3])\))\) + 
      1\/24\ eps\ m\^2\ \((52 + 25\ \[Pi]\^2 - 
            2\ \((33 + 10\ \[Pi]\^2)\)\ Log[m\^2] + 60\ Log[m\^2]\^2 - 
            16\ Log[m\^2]\^3 + 14\ PolyGamma[2, 1] + 16\ PolyGamma[2, 2] - 
            74\ PolyGamma[2, 
                3])\) + \(\(1\/241920\)\((eps\^4\ m\^2\ \((279972\ \[Pi]\^4 + 
              133400\ \[Pi]\^6 + 
              6720\ \((33 + 10\ \[Pi]\^2)\)\ Log[m\^2]\^4 - 
              80640\ Log[m\^2]\^5 + 10752\ Log[m\^2]\^6 + 
              2016\ Log[m\^2]\^2\ \((275\ \[Pi]\^2 + 101\ \[Pi]\^4 + 
                    5\ \((\(-751\) + 70\ PolyGamma[2, 1] + 
                          80\ PolyGamma[2, 2] - 370\ PolyGamma[2, 3])\))\) + 
              4200\ \[Pi]\^2\ \((\(-751\) + 70\ PolyGamma[2, 1] + 
                    80\ PolyGamma[2, 2] - 370\ PolyGamma[2, 3])\) - 
              13440\ Log[m\^2]\^3\ \((52 + 25\ \[Pi]\^2 + 
                    14\ PolyGamma[2, 1] + 16\ PolyGamma[2, 2] - 
                    74\ PolyGamma[2, 3])\) - 
              168\ Log[
                  m\^2]\ \((3030\ \[Pi]\^4 + 
                    200\ \[Pi]\^2\ \((26 + 7\ PolyGamma[2, 1] + 
                          8\ PolyGamma[2, 2] - 37\ PolyGamma[2, 3])\) + 
                    3\ \((\(-39583\) + 1540\ PolyGamma[2, 1] + 
                          1760\ PolyGamma[2, 2] - 8140\ PolyGamma[2, 3] + 
                          124\ PolyGamma[4, 1] + 128\ PolyGamma[4, 2] - 
                          3124\ PolyGamma[4, 3])\))\) + 
              105\ \((\(-726329\) + 784\ PolyGamma[2, 1]\^2 + 
                    1024\ PolyGamma[2, 2]\^2 + 
                    224\ PolyGamma[2, 
                        1]\ \((26 + 8\ PolyGamma[2, 2] - 
                          37\ PolyGamma[2, 3])\) - 30784\ PolyGamma[2, 3] + 
                    21904\ PolyGamma[2, 3]\^2 - 
                    256\ PolyGamma[2, 
                        2]\ \((\(-26\) + 37\ PolyGamma[2, 3])\) + 
                    744\ PolyGamma[4, 1] + 768\ PolyGamma[4, 2] - 
                    18744\ PolyGamma[4, 
                        3])\))\))\)\) + \(\(1\/2880\)\((eps\^3\ m\^2\ \((3030\
\ \[Pi]\^4 - 160\ \((33 + 10\ \[Pi]\^2)\)\ Log[m\^2]\^3 + 
              2400\ Log[m\^2]\^4 - 384\ Log[m\^2]\^5 - 
              24\ Log[m\^2]\ \((275\ \[Pi]\^2 + 101\ \[Pi]\^4 + 
                    5\ \((\(-751\) + 70\ PolyGamma[2, 1] + 
                          80\ PolyGamma[2, 2] - 370\ PolyGamma[2, 3])\))\) + 
              240\ Log[m\^2]\^2\ \((52 + 25\ \[Pi]\^2 + 14\ PolyGamma[2, 1] + 
                    16\ PolyGamma[2, 2] - 74\ PolyGamma[2, 3])\) + 
              200\ \[Pi]\^2\ \((26 + 7\ PolyGamma[2, 1] + 
                    8\ PolyGamma[2, 2] - 37\ PolyGamma[2, 3])\) + 
              3\ \((\(-39583\) + 1540\ PolyGamma[2, 1] + 
                    1760\ PolyGamma[2, 2] - 8140\ PolyGamma[2, 3] + 
                    124\ PolyGamma[4, 1] + 128\ PolyGamma[4, 2] - 
                    3124\ PolyGamma[4, 3])\))\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Log[\(-\[ImaginaryI]\)\ m] + Log[\[ImaginaryI]\ m] /. m \[Rule] 100 // 
      N\)], "Input"],

Cell[BoxData[
    \(9.210340371976184`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Series[Log[I\ m], {m, 0, 5}]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\((\(\[ImaginaryI]\ \[Pi]\)\/2 + Log[m])\), "+", 
        InterpretationBox[\(O[m]\^6\),
          SeriesData[ m, 0, {}, 0, 6, 1],
          Editable->False]}],
      SeriesData[ m, 0, {
        Plus[ 
          Times[ 
            Complex[ 0, 
              Rational[ 1, 2]], Pi], 
          Log[ m]]}, 0, 6, 1],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Series[Log[\(-I\)\ m], {m, 0, 5}]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\((\(-\(\(\[ImaginaryI]\ \[Pi]\)\/2\)\) + Log[m])\), "+", 
        InterpretationBox[\(O[m]\^6\),
          SeriesData[ m, 0, {}, 0, 6, 1],
          Editable->False]}],
      SeriesData[ m, 0, {
        Plus[ 
          Times[ 
            Complex[ 0, 
              Rational[ -1, 2]], Pi], 
          Log[ m]]}, 0, 6, 1],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collect[%18 /. 
        Log[\(-\[ImaginaryI]\)\ m] + Log[\[ImaginaryI]\ m] \[Rule] 2\ Log[m], 
      eps]\)], "Input"],

Cell[BoxData[
    \(m\^2\/\(2\ eps\^2\) + \(m\^2\ \((151200 - 241920\ Log[m])\)\)\/\(120960\
\ eps\) + \(m\^2\ \((5040\ \((33 + 10\ \[Pi]\^2)\) - 604800\ Log[m] + 120960\ \
Log[m\^2]\^2)\)\)\/120960 + \(eps\ m\^2\ \((\(-20160\)\ \((33 + 10\ \[Pi]\^2)\
\)\ Log[m] + 302400\ Log[m\^2]\^2 - 80640\ Log[m\^2]\^3 + 2520\ \((\(-165\) + \
50\ \[Pi]\^2 + 176\ Zeta[3])\))\)\)\/120960 + \(\(1\/120960\)\((eps\^2\ m\^2\ \
\((332640\ Log[m\^2]\^2 + 100800\ \[Pi]\^2\ Log[m\^2]\^2 - 
              201600\ Log[m\^2]\^3 + 40320\ Log[m\^2]\^4 - 
              10080\ Log[m]\ \((\(-165\) + 50\ \[Pi]\^2 + 176\ Zeta[3])\) + 
              252\ \((\(-14235\) + 550\ \[Pi]\^2 + 202\ \[Pi]\^4 + 
                    4400\ Zeta[
                        3])\))\))\)\) + \(\(1\/120960\)\((eps\^3\ m\^2\ \
\((14348880\ Log[m] - 554400\ \[Pi]\^2\ Log[m] - 203616\ \[Pi]\^4\ Log[m] - 
              831600\ Log[m\^2]\^2 + 252000\ \[Pi]\^2\ Log[m\^2]\^2 - 
              221760\ Log[m\^2]\^3 - 67200\ \[Pi]\^2\ Log[m\^2]\^3 + 
              100800\ Log[m\^2]\^4 - 16128\ Log[m\^2]\^5 - 
              4435200\ Log[m]\ Zeta[3] + 887040\ Log[m\^2]\^2\ Zeta[3] + 
              42\ \((\(-385875\) - 8250\ \[Pi]\^2 + 3030\ \[Pi]\^4 + 
                    880\ \((33 + 10\ \[Pi]\^2)\)\ Zeta[3] + 
                    206784\ Zeta[
                        5])\))\))\)\) + \(\(1\/120960\)\((eps\^4\ m\^2\ \
\((139986\ \[Pi]\^4 + 66700\ \[Pi]\^6 + 64827000\ Log[m] + 
              1386000\ \[Pi]\^2\ Log[m] - 509040\ \[Pi]\^4\ Log[m] - 
              7174440\ Log[m\^2]\^2 + 277200\ \[Pi]\^2\ Log[m\^2]\^2 + 
              101808\ \[Pi]\^4\ Log[m\^2]\^2 + 
              3360\ \((33 + 10\ \[Pi]\^2)\)\ Log[m\^2]\^4 - 
              40320\ Log[m\^2]\^5 + 5376\ Log[m\^2]\^6 - 
              147840\ \((33 + 10\ \[Pi]\^2)\)\ Log[m]\ Zeta[3] + 
              2217600\ Log[m\^2]\^2\ Zeta[3] - 
              3360\ Log[m\^2]\^3\ \((\(-165\) + 50\ \[Pi]\^2 + 
                    176\ Zeta[3])\) + 
              1050\ \[Pi]\^2\ \((\(-2847\) + 880\ Zeta[3])\) - 
              34739712\ Log[m]\ Zeta[5] + 
              105\ \((1936\ Zeta[3]\ \((\(-15\) + 8\ Zeta[3])\) + 
                    9\ \((\(-64189\) + 
                          22976\ Zeta[5])\))\))\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(% // InputForm\)], "Input"],

Cell["\<\
m^2/(2*eps^2) + (m^2*(151200 - 241920*Log[m]))/(120960*eps) + \
(m^2*(5040*(33 + 10*Pi^2) - 604800*Log[m] + 120960*Log[m^2]^2))/
  120960 + (eps*m^2*(-20160*(33 + 10*Pi^2)*Log[m] + 302400*Log[m^2]^2 - \
80640*Log[m^2]^3 + 
    2520*(-165 + 50*Pi^2 + 176*Zeta[3])))/120960 + 
 (eps^2*m^2*(332640*Log[m^2]^2 + 100800*Pi^2*Log[m^2]^2 - 201600*Log[m^2]^3 + \
40320*Log[m^2]^4 - 
    10080*Log[m]*(-165 + 50*Pi^2 + 176*Zeta[3]) + 252*(-14235 + 550*Pi^2 + \
202*Pi^4 + 4400*Zeta[3])))/120960 + 
 (eps^3*m^2*(14348880*Log[m] - 554400*Pi^2*Log[m] - 203616*Pi^4*Log[m] - \
831600*Log[m^2]^2 + 252000*Pi^2*Log[m^2]^2 - 
    221760*Log[m^2]^3 - 67200*Pi^2*Log[m^2]^3 + 100800*Log[m^2]^4 - \
16128*Log[m^2]^5 - 4435200*Log[m]*Zeta[3] + 
    887040*Log[m^2]^2*Zeta[3] + 42*(-385875 - 8250*Pi^2 + 3030*Pi^4 + 880*(33 \
+ 10*Pi^2)*Zeta[3] + 206784*Zeta[5])))/120960 + 
 (eps^4*m^2*(139986*Pi^4 + 66700*Pi^6 + 64827000*Log[m] + 1386000*Pi^2*Log[m] \
- 509040*Pi^4*Log[m] - 7174440*Log[m^2]^2 + 
    277200*Pi^2*Log[m^2]^2 + 101808*Pi^4*Log[m^2]^2 + 3360*(33 + \
10*Pi^2)*Log[m^2]^4 - 40320*Log[m^2]^5 + 5376*Log[m^2]^6 - 
    147840*(33 + 10*Pi^2)*Log[m]*Zeta[3] + 2217600*Log[m^2]^2*Zeta[3] - \
3360*Log[m^2]^3*(-165 + 50*Pi^2 + 176*Zeta[3]) + 
    1050*Pi^2*(-2847 + 880*Zeta[3]) - 34739712*Log[m]*Zeta[5] + 
    105*(1936*Zeta[3]*(-15 + 8*Zeta[3]) + 9*(-64189 + \
22976*Zeta[5]))))/120960\
\>", "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ from\ OnShell2\ by\ Kalmykov\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SE3l1mOnSh = \(\(\((\(+ep^\((\(-2\))\)\)*\((\(-1\)/2)\) + 
                ep^\((\(-1\))\)*\((\(-5\)/4)\) + 
                ep*\((55/16 - 5*zt[2] - 4*zt[3])\) + 
                ep^2*\((949/32 - 11/2*zt[2] - 10*zt[3] - 32*zt[4])\) + 
                ep^3*\((8575/64 + 55/4*zt[2] - 16*zt[2]*zt[3] - 11*zt[3] - 
                      80*zt[4] - 72*zt[5])\) + 
                ep^4*\((64189/128 + 949/8*zt[2] - 40*zt[2]*zt[3] + 
                      55/2*zt[3] - 16*zt[3]*zt[3] - 88*zt[4] - 180*zt[5] - 
                      458*zt[6])\) - 11/8 - 2*zt[2])\) /. 
            Li[x_, y_] \[Rule] PolyLog[x, y]\) /. zt[x_] \[Rule] Zeta[x]\) /. 
        ln[x_] \[Rule] Log[x]\)], "Input"],

Cell[BoxData[
    \(\(-\(11\/8\)\) - 1\/\(2\ ep\^2\) - 5\/\(4\ ep\) - \[Pi]\^2\/3 + 
      ep\^2\ \((949\/32 - \(11\ \[Pi]\^2\)\/12 - \(16\ \[Pi]\^4\)\/45 - 
            10\ Zeta[3])\) + 
      ep\ \((55\/16 - \(5\ \[Pi]\^2\)\/6 - 4\ Zeta[3])\) + 
      ep\^4\ \((64189\/128 + \(949\ \[Pi]\^2\)\/48 - \(44\ \[Pi]\^4\)\/45 - \
\(458\ \[Pi]\^6\)\/945 + \(55\ Zeta[3]\)\/2 - 20\/3\ \[Pi]\^2\ Zeta[3] - 
            16\ Zeta[3]\^2 - 180\ Zeta[5])\) + 
      ep\^3\ \((8575\/64 + \(55\ \[Pi]\^2\)\/24 - \(8\ \[Pi]\^4\)\/9 - 
            11\ Zeta[3] - 8\/3\ \[Pi]\^2\ Zeta[3] - 
            72\ Zeta[5])\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ adjusting\ normalization\ *) \)], "Input"],

Cell[BoxData[
    \(\(res = 
        Normal[Series[\(-\((SE3l1mOnSh)\)\)\ Gamma[
                      1 + ep]^2\ \((m^2)\)^\((1 - 2\ ep)\), {ep, 0, 4}]] /. 
            EulerGamma \[Rule] 0 // Expand;\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[%] /. m \[Rule] 1 // N\)], "Input"],

Cell[BoxData[
    \(\(\(5.487335167120566`\)\(\[InvisibleSpace]\)\) + 0.5`\/ep\^2 + 
      1.25`\/ep + 11.25087989605326`\ ep + 33.664519132020516`\ ep\^2 + 
      63.04853493300645`\ ep\^3 + 163.35195504377788`\ ep\^4\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(num1\)], "Input"],

Cell[BoxData[
    \({\(\(5.487335167120566`\)\(\[InvisibleSpace]\)\) + 0.5`\/eps\^2 + 
        1.25`\/eps + 11.25087989605326`\ eps + 33.664519132020516`\ eps\^2 + 
        63.04853493300645`\ eps\^3 + 163.35195504377785`\ eps\^4, 
      0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[res] /. m \[Rule] 3 // N\)], "Input"],

Cell[BoxData[
    \(\(\(43.39862610327311`\)\(\[InvisibleSpace]\)\) + 4.5`\/ep\^2 - 
      8.525021196025975`\/ep - 70.78752302831168`\ ep + 
      245.66566863266803`\ ep\^2 - 371.43806508602074`\ ep\^3 + 
      1128.6482209972419`\ ep\^4\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ 
      from\ \(sectors : \[IndentingNewLine]{40.082506`\ Second, \
{{\(\(43.39651235849222`\)\(\[InvisibleSpace]\)\) + 
                  4.50000000000019`\/ep\^2 - 8.525031519726891`\/ep - 
                  70.7902484680616`\ ep + 245.6547805475281`\ ep\^2 - 
                  371.4442876615362`\ ep\^3 + 
                  1128.610561811722`\ ep\^4, \(\(33.706902820709345`\)\(\
\[InvisibleSpace]\)\) + 4.50000000000019`\/ep\^2 - 9.390705132752881`\/ep - 
                  59.10573908621217`\ ep + 161.67056758616994`\ ep\^2 - 
                  267.46430271429244`\ ep\^3 + 
                  681.2728953717873`\ ep\^4, \(\(33.72792685247488`\)\(\
\[InvisibleSpace]\)\) + 4.50000000000019`\/ep\^2 - 9.394183508546545`\/ep - 
                  59.12431387809794`\ ep + 161.59428372091608`\ ep\^2 - 
                  267.5820531676799`\ ep\^3 + 
                  680.8070944855513`\ ep\^4}}}\)\[IndentingNewLine]*) \)], \
"Input"]
},
FrontEndVersion->"5.1 for X",
ScreenRectangle->{{0, 1024}, {0, 768}},
WindowSize->{1014, 689},
WindowMargins->{{0, Automatic}, {Automatic, 25}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 39, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[1818, 56, 40, 1, 27, "Input"],
Cell[1861, 59, 41, 1, 23, "Print"],
Cell[1905, 62, 51, 1, 23, "Print"],
Cell[1959, 65, 62, 1, 23, "Print"],
Cell[2024, 68, 58, 1, 23, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2119, 74, 43, 1, 27, "Input"],
Cell[2165, 77, 56, 1, 23, "Print"],
Cell[2224, 80, 60, 1, 23, "Print"]
}, Open  ]],
Cell[2299, 84, 136, 2, 27, "Input"],
Cell[2438, 88, 69, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[2532, 93, 43, 1, 27, "Input"],
Cell[2578, 96, 143, 3, 23, "Print"],
Cell[2724, 101, 282, 8, 23, "Print"],
Cell[3009, 111, 143, 3, 23, "Print"],
Cell[3155, 116, 174, 3, 20, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3366, 124, 50, 1, 27, "Input"],
Cell[3419, 127, 264, 4, 23, "Print"],
Cell[3686, 133, 257, 5, 23, "Print"],
Cell[3946, 140, 50, 1, 23, "Print"],
Cell[3999, 143, 44, 1, 23, "Print"],
Cell[4046, 146, 50, 1, 23, "Print"],
Cell[4099, 149, 75, 1, 25, "Print"],
Cell[4177, 152, 215, 4, 23, "Print"],
Cell[4395, 158, 685, 15, 76, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5117, 178, 43, 1, 27, "Input"],
Cell[5163, 181, 143, 3, 23, "Print"],
Cell[5309, 186, 312, 9, 23, "Print"],
Cell[5624, 197, 143, 3, 23, "Print"],
Cell[5770, 202, 174, 3, 20, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5981, 210, 62, 1, 27, "Input"],
Cell[6046, 213, 264, 4, 23, "Print"],
Cell[6313, 219, 257, 5, 23, "Print"],
Cell[6573, 226, 50, 1, 23, "Print"],
Cell[6626, 229, 44, 1, 23, "Print"],
Cell[6673, 232, 50, 1, 23, "Print"],
Cell[6726, 235, 46, 1, 25, "Print"],
Cell[6775, 238, 56, 1, 23, "Print"],
Cell[6834, 241, 575, 11, 48, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7446, 257, 53, 1, 27, "Input"],
Cell[7502, 260, 249, 5, 23, "Print"],
Cell[7754, 267, 226, 4, 23, "Print"],
Cell[7983, 273, 40, 3, 38, "Print"],
Cell[8026, 278, 80, 1, 23, "Print"],
Cell[8109, 281, 190, 4, 23, "Print"],
Cell[8302, 287, 419, 7, 52, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8758, 299, 59, 1, 27, "Input"],
Cell[8820, 302, 249, 5, 23, "Print"],
Cell[9072, 309, 226, 4, 23, "Print"],
Cell[9301, 315, 68, 3, 38, "Print"],
Cell[9372, 320, 80, 1, 23, "Print"],
Cell[9455, 323, 458, 12, 23, "Print"],
Cell[9916, 337, 197, 4, 23, "Print"],
Cell[10116, 343, 422, 6, 69, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10575, 354, 112, 2, 27, "Input"],
Cell[10690, 358, 234, 4, 50, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10961, 367, 252, 4, 50, "Input"],
Cell[11216, 373, 151, 4, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11404, 382, 93, 1, 27, "Input"],
Cell[11500, 385, 58, 1, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11595, 391, 87, 1, 27, "Input"],
Cell[11685, 394, 365, 5, 20, "Message"],
Cell[12053, 401, 42, 1, 23, "Print"],
Cell[12098, 404, 159, 3, 23, "Print"],
Cell[12260, 409, 278, 4, 50, "Output"]
}, Open  ]],
Cell[12553, 416, 124, 3, 27, "Input"],

Cell[CellGroupData[{
Cell[12702, 423, 72, 1, 27, "Input"],
Cell[12777, 426, 55, 1, 23, "Print"],
Cell[12835, 429, 56, 0, 23, "Print"],
Cell[12894, 431, 63, 1, 23, "Print"],
Cell[12960, 434, 254, 4, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13251, 443, 54, 1, 27, "Input"],
Cell[13308, 446, 52, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13397, 452, 79, 1, 27, "Input"],
Cell[13479, 455, 53, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13569, 461, 102, 2, 27, "Input"],
Cell[13674, 465, 52, 1, 27, "Output"]
}, Open  ]],
Cell[13741, 469, 940, 15, 189, "Input"],

Cell[CellGroupData[{
Cell[14706, 488, 79, 1, 27, "Input"],
Cell[14788, 491, 2812, 48, 179, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17637, 544, 75, 1, 27, "Input"],
Cell[17715, 547, 590, 9, 122, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18342, 561, 49, 1, 27, "Input"],
Cell[18394, 564, 3546, 58, 457, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21977, 627, 112, 2, 27, "Input"],
Cell[22092, 631, 52, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22181, 637, 61, 1, 27, "Input"],
Cell[22245, 640, 399, 12, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22681, 657, 66, 1, 27, "Input"],
Cell[22750, 660, 409, 12, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23196, 677, 138, 3, 27, "Input"],
Cell[23337, 682, 2242, 35, 326, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25616, 722, 47, 1, 27, "Input"],
Cell[25666, 725, 1401, 25, 220, "Output"]
}, Open  ]],
Cell[27082, 753, 71, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[27178, 758, 703, 11, 91, "Input"],
Cell[27884, 771, 613, 10, 141, "Output"]
}, Open  ]],
Cell[28512, 784, 67, 1, 27, "Input"],
Cell[28582, 787, 216, 4, 27, "Input"],

Cell[CellGroupData[{
Cell[28823, 795, 62, 1, 27, "Input"],
Cell[28888, 798, 232, 3, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29157, 806, 37, 1, 27, "Input"],
Cell[29197, 809, 254, 4, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29488, 818, 64, 1, 27, "Input"],
Cell[29555, 821, 253, 4, 47, "Output"]
}, Open  ]],
Cell[29823, 828, 961, 16, 172, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

