(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     89487,       2334]*)
(*NotebookOutlinePosition[     90117,       2356]*)
(*  CellTagsIndexPosition[     90073,       2352]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(<< MB.m\)], "Input"],

Cell[BoxData[
    \("MB 1.1"\)], "Print"],

Cell[BoxData[
    \("by Michal Czakon"\)], "Print"],

Cell[BoxData[
    \("more info in hep-ph/0511200"\)], "Print"],

Cell[BoxData[
    \("last modified 28 Jan 06"\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< AMBRE.m\)], "Input"],

Cell[BoxData[
    \("by K.Kajda   ver: 1.0"\)], "Print"],

Cell[BoxData[
    \("last modified 21 Mar 2007"\)], "Print"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]Tadpoles, \ 
      Fig  .8\ \[IndentingNewLine]This\ example\ shows\ how\ modifications\ \
of\ F\ polynomials\ in\ different\ parts\ of\ SubLoop\ gives\ different\ size\
\ of\ final\ representation ... \ \[IndentingNewLine]*) \)], "Input"],

Cell[BoxData[
    \( (*\(\(**\)\(\ \)\(Part1\)\), \ Fig  .8\ ***) \)], "Input"],

Cell[BoxData[{
    \(\(tad2 = 
        Fullintegral[{1}, {PR[k1, m, n1] PR[k2 + k1, m, n2] 
              PR[k2 + k3 + k4, m, n3] PR[k4, 0, n4] PR[k3, 0, n5]}, {k3, k4, 
            k2, k1}];\)\), "\[IndentingNewLine]", 
    \(\(invariants = {};\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k3, 0, n5]\ PR[
            k2 + k3 + k4, m, n3]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k3, 0, n5], 
          PR[ 
            Plus[ k2, k3, k4], m, n3]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k3\),
      SequenceForm[ "momentum=", k3],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]1\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k3\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 1, ": >>Integrating over ", k3, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-PR[k2 + k4, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k3..."\),
      SequenceForm[ "Representation after integrating over: ", "k3..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop1", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n3 + n5 + z1\)\ \((m\^2)\)\^\(2 - eps \
- n3 - n5 - z1\)\ Gamma[4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[\(-z1\)]\ Gamma[
                    n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1])\)/\((Gamma[
                    n3]\ Gamma[4 - 2\ eps - n3 - n5]\ Gamma[n5])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k2 + k4, m, z1]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k4, 0, n4]\ PR[
            k2 + k4, m, \(-z1\)]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k4, 0, n4], 
          PR[ 
            Plus[ k2, k4], m, 
            Times[ -1, z1]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k4\),
      SequenceForm[ "momentum=", k4],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]2\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k4\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 2, ": >>Integrating over ", k4, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-PR[k2, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k3...k4..."\),
      SequenceForm[ "Representation after integrating over: ", "k3...k4..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop2", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n3 + n4 + n5 + z2\)\ \((m\^2)\)\^\(4 \
- 2\ eps - n3 - n4 - n5 - z2\)\ Gamma[4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[
                    n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1]\ Gamma[
                    4 - 2\ eps - 2\ n4 + z1 - z2]\ Gamma[\(-z2\)]\ Gamma[
                    n4 + z2]\ Gamma[\(-2\) + eps + n4 - z1 + z2])\)/\((Gamma[
                    n3]\ Gamma[n4]\ Gamma[4 - 2\ eps - n3 - n5]\ Gamma[
                    n5]\ Gamma[4 - 2\ eps - n4 + z1])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k2, m, z2]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[3]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k2, m, \(-z2\)]\ PR[
            k1 + k2, m, n2]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k2, m, 
            Times[ -1, z2]], 
          PR[ 
            Plus[ k1, k2], m, n2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k2\),
      SequenceForm[ "momentum=", k2],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]\ \(If\ we\ continue\ without\ modifing\ F\ \
polynomial\ we\ will\ obtain\ single\ massive\ propagator\ in\ last\ \
integration\ which\ in\ the\ end\ means\ \((\(-m^2\))\)^
                z\ term\ that\ causes\ oscilatory\ problem\ during\ numerical\
\ computation\ using\ MB . m ... \)\[IndentingNewLine]To\ avoid\ above\ let' 
          s\ change\ F\ polynomial\ a\ bit ... \[IndentingNewLine]*) \)], \
"Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fauto[0]\)], "Input"],

Cell[BoxData[
    \(Fmanual::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in MANUAL mode. Now you can \
modify F polynomial (fupc)."\)], "Message"],

Cell[BoxData[
    \("fupc=FUpolyfun[integral,momentum,invariants]"\)], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("fupc="\[InvisibleSpace]\(m\^2\ FX[X[1] + X[2]]\^2 - 
          m\^2\ X[1]\ X[2] - PR[k1, m]\ X[1]\ X[2]\)\),
      SequenceForm[ "fupc=", 
        Plus[ 
          Times[ 
            Power[ m, 2], 
            Power[ 
              FX[ 
                Plus[ 
                  X[ 1], 
                  X[ 2]]], 2]], 
          Times[ -1, 
            Power[ m, 2], 
            X[ 1], 
            X[ 2]], 
          Times[ -1, 
            PR[ k1, m], 
            X[ 1], 
            X[ 2]]]],
      Editable->False]], "Print"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]We\ note\ that\ m^2\ X[1] 
          X[2]\ deletes\ with\ the\ one\ inside\ PR[k1, 
            m] ... \[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(fupc = fupc /. \ PR[k1, m] \[Rule] PR[k1, 0] - m^2 // Expand\)], "Input"],

Cell[BoxData[
    \(m\^2\ FX[X[1] + X[2]]\^2 - PR[k1, 0]\ X[1]\ X[2]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]3\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k2\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 3, ": >>Integrating over ", k2, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("U & F polynomial was computed by user >>Fauto["\
\[InvisibleSpace]0\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "U & F polynomial was computed by user >>Fauto[", 0, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k3...k4...k2..."\),
      SequenceForm[ 
      "Representation after integrating over: ", "k3...k4...k2..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop3", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(2 - eps + n3 + n4 + n5 + z2 - z3\)\ \
\((m\^2)\)\^\(4 - 2\ eps - n3 - n4 - n5 - z2 + z3\)\ Gamma[
                    4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[
                    n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1]\ Gamma[
                    4 - 2\ eps - 2\ n4 + z1 - z2]\ Gamma[
                    n4 + z2]\ Gamma[\(-2\) + eps + n4 - z1 + 
                      z2]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + eps + n2 - z2 + 
                      z3]\ Gamma[
                    2 - eps + z2 + z3 - 
                      z4]\ Gamma[\(-z4\)]\ Gamma[\(-2\)\ z3 + z4]\ Gamma[
                    2 - eps - n2 - z3 + z4])\)/\((Gamma[n2]\ Gamma[n3]\ Gamma[
                    n4]\ Gamma[4 - 2\ eps - n3 - n5]\ Gamma[n5]\ Gamma[
                    4 - 2\ eps - n4 + z1]\ Gamma[
                    4 - 2\ eps - n2 + z2]\ Gamma[\(-2\)\ z3])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k1, 0, 2 - eps - n2 + z2 - z3]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[4]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k1, 
            0, \(-2\) + eps + n2 - z2 + z3]\ PR[k1, m, n1]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k1, 0, 
            Plus[ -2, eps, n2, 
              Times[ -1, z2], z3]], 
          PR[ k1, m, n1]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k1\),
      SequenceForm[ "momentum=", k1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]We\ can\ continue\ with\ last\ SubLoop\ without\ \
any\ trouble ... \[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(repr = SubLoop[integral];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]4\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k1\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 4, ": >>Integrating over ", k1, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(m\^2\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    \("Final representation:"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 \
- 4\ eps - n1 - n2 - n3 - n4 - n5\)\ Gamma[
                4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[
                n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1]\ Gamma[
                4 - 2\ eps - 2\ n4 + z1 - z2]\ Gamma[
                n4 + z2]\ Gamma[\(-2\) + eps + n4 - z1 + 
                  z2]\ Gamma[\(-z3\)]\ Gamma[
                2 - eps + z2 + z3 - z4]\ Gamma[\(-z4\)]\ Gamma[\(-2\)\ z3 + 
                  z4]\ Gamma[2 - eps - n2 - z3 + z4]\ Gamma[
                8 - 4\ eps - n1 - 2\ n2 + 2\ z2 - 2\ z3 - 
                  z5]\ Gamma[\(-z5\)]\ Gamma[\(-2\) + eps + n2 - z2 + z3 + 
                  z5]\ Gamma[\(-4\) + 2\ eps + n1 + n2 - z2 + z3 + 
                  z5])\)/\((Gamma[n1]\ Gamma[n2]\ Gamma[n3]\ Gamma[n4]\ Gamma[
                4 - 2\ eps - n3 - n5]\ Gamma[n5]\ Gamma[
                4 - 2\ eps - n4 + z1]\ Gamma[4 - 2\ eps - n2 + z2]\ Gamma[
                6 - 3\ eps - n1 - n2 + z2 - z3]\ Gamma[\(-2\)\ z3])\)\),
        FontColor->RGBColor[0, 0, 1]],
      (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = BarnesLemma[repr, 1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 1st Lemma will be checked for: "\
\[InvisibleSpace]{z5, z4, z3, z2, z1}\[InvisibleSpace]" <<"\),
      SequenceForm[ 
      ">> Barnes 1st Lemma will be checked for: ", {z5, z4, z3, z2, z1}, 
        " <<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]5\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 5, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z5...Barnes Lemma was applied.
2. Checking z4...Barnes Lemma was applied.
3. Checking z3
4. Checking z2
5. Checking z1\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 1st Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        TagBox[
          StyleBox["\<\"   1st Barnes Lemma was applied for: \"\>",
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)], 
        "\[InvisibleSpace]", \({z4, z5}\)}],
      SequenceForm[ 
        StyleForm[ 
        "   1st Barnes Lemma was applied for: ", FontColor -> RGBColor[ 
          1, 0, 0]], {z4, z5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Obtained representation has: dim="\
\[InvisibleSpace]3\),
      SequenceForm[ "   Obtained representation has: dim=", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 - 4\ eps - \
n1 - n2 - n3 - n4 - n5\)\ Gamma[4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[
            n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1]\ Gamma[
            4 - 2\ eps - 2\ n4 + z1 - z2]\ Gamma[
            n4 + z2]\ Gamma[\(-2\) + eps + n4 - z1 + z2]\ Gamma[
            2 - eps - n2 - z3]\ Gamma[2 - eps + z2 - z3]\ Gamma[
            4 - 2\ eps - n2 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + eps + 
              n2 - z2 + z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 - z2 + 
              z3])\)/\((Gamma[2 - eps]\ Gamma[n1]\ Gamma[n2]\ Gamma[
            n3]\ Gamma[n4]\ Gamma[4 - 2\ eps - n3 - n5]\ Gamma[n5]\ Gamma[
            4 - 2\ eps - n4 + z1]\ Gamma[
            4 - 2\ eps - n2 + z2 - 2\ z3])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BarnesLemma[%, 2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 2nd Lemma will be checked for: "\
\[InvisibleSpace]{z3, z2, z1}\[InvisibleSpace]" <<"\),
      SequenceForm[ 
      ">> Barnes 2nd Lemma will be checked for: ", {z3, z2, z1}, " <<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]3\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 3, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z3
2. Checking z2
3. Checking z1...Barnes Lemma was applied.\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 2nd Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        TagBox[
          StyleBox["\<\"   2nd Barnes Lemma was applied for: \"\>",
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)], 
        "\[InvisibleSpace]", \({z1}\)}],
      SequenceForm[ 
        StyleForm[ 
        "   2nd Barnes Lemma was applied for: ", FontColor -> RGBColor[ 
          1, 0, 0]], {z1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Obtained representation has: dim="\
\[InvisibleSpace]2\),
      SequenceForm[ "   Obtained representation has: dim=", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 - 4\ eps - \
n1 - n2 - n3 - n4 - n5\)\ Gamma[2 - eps - n4]\ Gamma[2 - eps - n5]\ Gamma[
            8 - 4\ eps - n3 - 2\ n4 - 2\ n5 - z2]\ Gamma[\(-2\) + eps + n4 + 
              n5 + z2]\ Gamma[\(-4\) + 2\ eps + n3 + n4 + n5 + z2]\ Gamma[
            2 - eps - n2 - z3]\ Gamma[2 - eps + z2 - z3]\ Gamma[
            4 - 2\ eps - n2 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + eps + 
              n2 - z2 + z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 - z2 + 
              z3])\)/\((Gamma[2 - eps]\ Gamma[n1]\ Gamma[n2]\ Gamma[
            n3]\ Gamma[n4]\ Gamma[4 - 2\ eps - n4 - n5]\ Gamma[
            6 - 3\ eps - n3 - n4 - n5]\ Gamma[n5]\ Gamma[
            4 - 2\ eps - n2 + z2 - 2\ z3])\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]And\ we\ have\ obtained\ dim = 
        3\ representation\[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = % /. {n1 \[Rule] 1, n2 \[Rule] 1, n3 \[Rule] 1, n4 \[Rule] 1, 
          n5 \[Rule] 1}\)], "Input"],

Cell[BoxData[
    \(\(-\(\((\((m\^2)\)\^\(3 - 4\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
              3 - 4\ eps - z2]\ Gamma[
              eps + z2]\ Gamma[\(-1\) + 2\ eps + z2]\ Gamma[
              1 - eps - z3]\ Gamma[3 - 2\ eps + z2 - z3]\ Gamma[
              2 - eps + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-1\) + eps - z2 + 
                z3]\ Gamma[\(-2\) + 2\ eps - z2 + z3])\)/\((Gamma[
              3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
              3 - 2\ eps + z2 - 2\ z3])\)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = MBoptimizedRules[repr, eps \[Rule] 0, {}, {eps}]\)], "Input"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBrules :: \\\"norules\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({{eps \[Rule] 41\/48}, {z2 \[Rule] \(-\(2\/3\)\), 
        z3 \[Rule] \(-\(1\/4\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(integrals = MBcontinue[repr, eps \[Rule] 0, rules]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(integrals\\)\\\" is similar to existing \
symbol \\\"\\!\\(integral\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(-eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -1, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 2\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Plus[ 1, 
          Times[ -2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -2, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - eps + z2\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -1, eps], z2]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 2\ eps + z2\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 2, 
          Times[ -2, eps], z2]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 2\ eps + z2\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -2, eps], z2]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]2\),
      SequenceForm[ "Level ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1}\),
      SequenceForm[ "Integral ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 2\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -2, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -3, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2}\),
      SequenceForm[ "Integral ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 2, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -3, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(3 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 3, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 2, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-4\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -4, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3}\),
      SequenceForm[ "Integral ", {3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -3, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-4\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -4, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{4}\),
      SequenceForm[ "Integral ", {4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) + eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -2, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5}\),
      SequenceForm[ "Integral ", {5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) + eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\) + 2\ eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -2, 
          Times[ 2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) + 2\ eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, 
          Times[ 2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("...no contribution"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(-eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -1, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -2, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{6}\),
      SequenceForm[ "Integral ", {6}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) + 2\ eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, 
          Times[ 2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]3\),
      SequenceForm[ "Level ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 1}\),
      SequenceForm[ "Integral ", {1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 2}\),
      SequenceForm[ "Integral ", {1, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 3}\),
      SequenceForm[ "Integral ", {1, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 4}\),
      SequenceForm[ "Integral ", {1, 4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1}\),
      SequenceForm[ "Integral ", {2, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2}\),
      SequenceForm[ "Integral ", {2, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 3}\),
      SequenceForm[ "Integral ", {2, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 4}\),
      SequenceForm[ "Integral ", {2, 4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 5}\),
      SequenceForm[ "Integral ", {2, 5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 6}\),
      SequenceForm[ "Integral ", {2, 6}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 7}\),
      SequenceForm[ "Integral ", {2, 7}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3, 1}\),
      SequenceForm[ "Integral ", {3, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3, 2}\),
      SequenceForm[ "Integral ", {3, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3, 3}\),
      SequenceForm[ "Integral ", {3, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{4, 1}\),
      SequenceForm[ "Integral ", {4, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{4, 2}\),
      SequenceForm[ "Integral ", {4, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5, 1}\),
      SequenceForm[ "Integral ", {5, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5, 2}\),
      SequenceForm[ "Integral ", {5, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5, 3}\),
      SequenceForm[ "Integral ", {5, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5, 4}\),
      SequenceForm[ "Integral ", {5, 4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{6, 1}\),
      SequenceForm[ "Integral ", {6, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(28\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 28, " integral(s) found"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{{MBint[\(-\(\(m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ \
Gamma[\(-1\) + eps]\^2\ Gamma[eps]\ Gamma[\(-1\) + 2\ eps]\)\/\(Gamma[
                      2 - 2\ eps]\ Gamma[1 + eps]\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[
                    3 - eps]\ Gamma[\(-2\) + eps]\ Gamma[\(-1\) + eps]\ Gamma[
                    2\ eps]\ Gamma[1 + eps])\)/\((Gamma[2 - 2\ eps]\ Gamma[
                    2 - eps]\ Gamma[3 + eps])\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[\(-1\) + eps]\ Gamma[\(-eps\)]\ Gamma[2\ eps]\ Gamma[
                    1 + eps]\ Gamma[\(-1\) + 3\ eps])\)/\((Gamma[
                    2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                    1 + 3\ eps])\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[\(-1\) - eps]\ Gamma[1 - eps]\^2\ Gamma[\(-1\) + eps]\ Gamma[
                      3\ eps]\ Gamma[2 + eps]\ Gamma[1 + 2\ eps])\)/\((Gamma[
                      2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                      3 + 3\ eps])\)\)\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ \
Gamma[\(-1\) + eps]\ Gamma[3 - 3\ eps - z3]\ Gamma[2 - 2\ eps - z3]\ Gamma[
                    1 - eps - z3]\ Gamma[\(-z3\)]\ Gamma[\(-1\) + 2\ eps + 
                      z3]\ Gamma[\(-2\) + 3\ eps + z3])\)/\((Gamma[
                    2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                    3 - 3\ eps - 2\ z3])\)\)\), {{eps \[Rule] 
                0}, {z3 \[Rule] \(-\(1\/4\)\)}}]}, {{MBint[\(-\(\((m\^6\ \((m\
\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^3\ Gamma[\(-1\) + 
                        eps]\ Gamma[\(-1\) + 2\ eps]\ Gamma[\(-2\) + 
                        3\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^3\ Gamma[3 - eps]\ Gamma[\(-2\) + eps]\ Gamma[
                    2\ eps]\ Gamma[\(-1\) + 3\ eps])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                    2 + 2\ eps])\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[1 - eps]\^3\ Gamma[4 - eps]\ Gamma[\(-3\) + eps]\ Gamma[
                      3\ eps]\ Gamma[1 + 2\ eps])\)/\((Gamma[
                      3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                      4 + 2\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[1 - eps]\^4\ Gamma[
                      eps]\ Gamma[\(-2\) + 3\ eps]\ Gamma[\(-3\) + 
                        4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2 - eps]\ Gamma[\(-2\) + 4\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^3\ Gamma[\(-eps\)]\ Gamma[
                    1 + eps]\ Gamma[\(-1\) + 3\ eps]\ Gamma[\(-2\) + 
                      4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                    4\ eps])\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[\(-1\) - eps]\ Gamma[1 - eps]\^3\ Gamma[3\ eps]\ Gamma[
                      2 + eps]\ Gamma[\(-1\) + 4\ eps])\)/\((Gamma[
                      3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                      2 + 4\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[\(-2\) - eps]\ Gamma[1 - eps]\^3\ Gamma[4\ eps]\ Gamma[3 + eps]\ Gamma[
                    1 + 3\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                    2 - eps]\ Gamma[4 + 4\ eps])\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^3\ \
Gamma[4 - 4\ eps - z3]\ Gamma[3 - 3\ eps - z3]\ Gamma[
                    1 - eps - z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + 3\ eps + 
                      z3]\ Gamma[\(-3\) + 4\ eps + z3])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                    4 - 4\ eps - 2\ z3])\)\)\), {{eps \[Rule] 
                0}, {z3 \[Rule] \(-\(1\/4\)\)}}]}, {{MBint[\(-\(\((m\^6\ \((m\
\^2)\)\^\(\(-4\)\ eps\)\ Gamma[3 - 2\ eps]\ Gamma[1 - eps]\^2\ Gamma[
                      3 - eps]\ Gamma[\(-2\) + eps]\ Gamma[\(-eps\)]\ Gamma[
                      3\ eps]\ Gamma[1 + 2\ eps])\)/\((Gamma[
                      3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                      3 + 2\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[3 - 2\ eps]\ Gamma[1 - eps]\^2\ Gamma[\(-eps\)]\^2\ Gamma[
                      3\ eps]\ Gamma[
                      1 + eps]\ Gamma[\(-1\) + 4\ eps])\)/\((Gamma[
                      3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                      1 + 4\ eps])\)\)\), {{eps \[Rule] 
                  
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[3 - 2\ eps]\ Gamma[\(-1\) - 
                      eps]\ Gamma[1 - eps]\^2\ Gamma[\(-eps\)]\ Gamma[
                    4\ eps]\ Gamma[2 + eps]\ Gamma[1 + 3\ eps])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                    3 + 4\ eps])\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[
                  3 - 2\ eps]\ Gamma[1 - eps]\^2\ Gamma[\(-eps\)]\ Gamma[
                  3 - 4\ eps - z3]\ Gamma[2 - 3\ eps - z3]\ Gamma[
                  1 - eps - z3]\ Gamma[\(-z3\)]\ Gamma[\(-1\) + 3\ eps + 
                    z3]\ Gamma[\(-2\) + 4\ eps + z3])\)/\((Gamma[
                  3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                  3 - 4\ eps - 2\ z3])\), {{eps \[Rule] 
                0}, {z3 \[Rule] \(-\(1\/4\)\)}}]}, {{MBint[\(-\(\((m\^6\ \((m\
\^2)\)\^\(\(-4\)\ eps\)\ Gamma[
                      4 - 5\ eps]\ Gamma[1 - eps]\^3\ Gamma[\(-1\) + 
                        eps]\ Gamma[\(-1\) + 2\ eps]\ Gamma[\(-2\) + 
                        3\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2 - 2\ eps]\ Gamma[2 - eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[3 - 2\ eps]\ Gamma[1 - eps]\^2\ Gamma[\(-1\) + 
                      eps]\ Gamma[\(-eps\)]\ Gamma[
                    2\ eps]\ Gamma[\(-1\) + 3\ eps])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[
                    1 + 2\ eps])\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ \
Gamma[\(-1\) + eps]\ Gamma[
                    3 - 4\ eps - z2]\ Gamma[\(-1\) + eps - 
                      z2]\ Gamma[\(-z2\)]\ Gamma[
                    eps + z2]\ Gamma[\(-1\) + 2\ eps + z2])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[
                    1 - z2])\)\)\), {{eps \[Rule] 
                0}, {z2 \[Rule] \(-\(2\/3\)\)}}]}, {{MBint[\(-\(\((m\^6\ \((m\
\^2)\)\^\(\(-4\)\ eps\)\ Gamma[
                      4 - 5\ eps]\ Gamma[1 - eps]\^3\ Gamma[\(-1\) + 
                        eps]\ Gamma[\(-1\) + 2\ eps]\ Gamma[\(-2\) + 
                        3\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2 - 2\ eps]\ Gamma[2 - eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[5 - 6\ eps]\ Gamma[1 - eps]\^4\ Gamma[
                      eps]\ Gamma[\(-2\) + 3\ eps]\ Gamma[\(-3\) + 
                        4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2 - 2\ eps]\ Gamma[2 - eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[1 - eps]\^3\ Gamma[\(-1\) + eps]\ Gamma[
                      eps]\ Gamma[\(-1\) + 2\ eps]\ Gamma[\(-2\) + 
                        3\ eps])\)/\((Gamma[2 - 2\ eps]\ Gamma[
                      2 - eps]\ Gamma[\(-1\) + 3\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[3 - 2\ eps]\ Gamma[1 - eps]\^3\ Gamma[\(-eps\)]\ Gamma[
                    eps]\ Gamma[\(-1\) + 3\ eps]\ Gamma[\(-2\) + 
                      4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                    2 - 2\ eps]\ Gamma[
                    2 - eps]\ Gamma[\(-1\) + 4\ eps])\), {{eps \[Rule] 
                  0}, {}}]}, 
        MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^3\ \
Gamma[eps]\ Gamma[3 - 4\ eps - z2]\ Gamma[\(-1\) + eps - z2]\ Gamma[\(-2\) + 
                      2\ eps - z2]\ Gamma[
                    eps + z2]\ Gamma[\(-1\) + 2\ eps + z2])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[
                    2 - eps]\ Gamma[\(-1\) + 2\ eps - 
                      z2])\)\)\), {{eps \[Rule] 
                0}, {z2 \[Rule] \(-\(2\/3\)\)}}]}, {{MBint[\((m\^6\ \
\((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[
                    4 - 6\ eps]\ Gamma[1 - eps]\^3\ Gamma[\(-eps\)]\ Gamma[
                    1 + eps]\ Gamma[\(-1\) + 3\ eps]\ Gamma[\(-2\) + 
                      4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                    2 - 2\ eps]\ Gamma[2 - eps])\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ Gamma[\
\(-eps\)]\ Gamma[1 + eps]\ Gamma[3 - 4\ eps - z2]\ Gamma[
                  eps - z2]\ Gamma[\(-1\) + 2\ eps - z2]\ Gamma[
                  eps + z2]\ Gamma[\(-1\) + 2\ eps + z2])\)/\((Gamma[
                  3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                  1 + 2\ eps - z2])\), {{eps \[Rule] 
                0}, {z2 \[Rule] \(-\(2\/3\)\)}}]}, 
      MBint[\(-\(\((\((m\^2)\)\^\(3 - 4\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
                  3 - 4\ eps - z2]\ Gamma[
                  eps + z2]\ Gamma[\(-1\) + 2\ eps + z2]\ Gamma[
                  1 - eps - z3]\ Gamma[3 - 2\ eps + z2 - z3]\ Gamma[
                  2 - eps + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-1\) + eps - 
                    z2 + z3]\ Gamma[\(-2\) + 2\ eps - z2 + z3])\)/\((Gamma[
                  3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                  3 - 2\ eps + z2 - 2\ z3])\)\)\), {{eps \[Rule] 
              0}, {z2 \[Rule] \(-\(2\/3\)\), 
            z3 \[Rule] \(-\(1\/4\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ser = 
      MBexpand[{integrals}, Exp[4*eps\ *EulerGamma], {eps, 0, 0}]\)], "Input"],

Cell[BoxData[
    \({MBint[
        m\^6\/\(2\ eps\^4\) - \(m\^6\ \((\(-3\) + 2\ Log[m\^2])\)\)\/eps\^3 + \
\(m\^6\ \((69 + \[Pi]\^2 - 72\ Log[m\^2] + 24\ Log[m\^2]\^2)\)\)\/\(6\ eps\^2\
\) - \(\(1\/\(3\ eps\)\)\((m\^6\ \((\(-3\)\ \[Pi]\^2 + 
                  2\ \((69 + \[Pi]\^2)\)\ Log[m\^2] - 72\ Log[m\^2]\^2 + 
                  16\ Log[m\^2]\^3 - 
                  2\ \((52 + PolyGamma[2, 1] + PolyGamma[2, 2])\))\))\)\) + 
          1\/30\ m\^6\ \((115\ \[Pi]\^2 + \[Pi]\^4 + 
                40\ \((69 + \[Pi]\^2)\)\ Log[m\^2]\^2 - 960\ Log[m\^2]\^3 + 
                160\ Log[m\^2]\^4 + 
                15\ \((185 + 8\ PolyGamma[2, 1] + 8\ PolyGamma[2, 2])\) - 
                40\ Log[
                    m\^2]\ \((3\ \[Pi]\^2 + 
                      2\ \((52 + PolyGamma[2, 1] + 
                            PolyGamma[2, 2])\))\))\), {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(m\^6\/\(4\ eps\^3\)\)\) + \(m\^6\ \((\(-5\) + 8\ \
Log[m\^2])\)\)\/\(8\ eps\^2\) - \(m\^6\ \((81 + 4\ \[Pi]\^2 - 120\ Log[m\^2] \
+ 96\ Log[m\^2]\^2)\)\)\/\(48\ eps\) + 
          1\/96\ m\^6\ \((\(-297\) - 20\ \[Pi]\^2 + 
                8\ \((81 + 4\ \[Pi]\^2)\)\ Log[m\^2] - 480\ Log[m\^2]\^2 + 
                256\ Log[m\^2]\^3 - 36\ PolyGamma[2, 1] - 
                36\ PolyGamma[2, 2] + 8\ PolyGamma[2, 3])\), {{eps \[Rule] 
              0}, {}}], 
      MBint[\(-\(m\^6\/\(6\ eps\^4\)\)\) + \(m\^6\ \((\(-7\) + 4\ \
Log[m\^2])\)\)\/\(6\ eps\^3\) - \(m\^6\ \((96 + \[Pi]\^2 - 84\ Log[m\^2] + 24\
\ Log[m\^2]\^2)\)\)\/\(18\ eps\^2\) + \(\(1\/\(36\ eps\)\)\((m\^6\ \
\((\(-714\) - 14\ \[Pi]\^2 + 8\ \((96 + \[Pi]\^2)\)\ Log[m\^2] - 
                  336\ Log[m\^2]\^2 + 64\ Log[m\^2]\^3 - 7\ PolyGamma[2, 1] - 
                  9\ PolyGamma[2, 2])\))\)\) - 
          1\/180\ m\^6\ \((320\ \[Pi]\^2 + 2\ \[Pi]\^4 + 
                80\ \((96 + \[Pi]\^2)\)\ Log[m\^2]\^2 - 2240\ Log[m\^2]\^3 + 
                320\ Log[m\^2]\^4 - 
                20\ Log[
                    m\^2]\ \((714 + 14\ \[Pi]\^2 + 7\ PolyGamma[2, 1] + 
                      9\ PolyGamma[2, 2])\) + 
                5\ \((2412 + 49\ PolyGamma[2, 1] + 
                      63\ PolyGamma[2, 2])\))\), {{eps \[Rule] 0}, {}}], 
      MBint[m\^6\/\(6\ eps\^3\) - \(m\^6\ \((1 + 8\ Log[m\^2])\)\)\/\(12\ eps\
\^2\) + \(m\^6\ \((105 + 4\ \[Pi]\^2 + 24\ Log[m\^2] + 96\ \
Log[m\^2]\^2)\)\)\/\(72\ eps\) - 
          1\/36\ m\^6\ \((26 + \[Pi]\^2 + \((210 + 8\ \[Pi]\^2)\)\ Log[
                    m\^2] + 24\ Log[m\^2]\^2 + 64\ Log[m\^2]\^3 - 
                33\ PolyGamma[2, 1] - 10\ PolyGamma[2, 2] + 
                27\ PolyGamma[2, 3])\), {{eps \[Rule] 0}, {}}], 
      MBint[\(\(1\/\(eps\ Gamma[3 - 2\ z3]\)\)\((m\^6\ Gamma[1 - z3]\ Gamma[
                2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)])\)\) + \(\(1\/Gamma[
                3 - 2\ z3]\)\((m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ \((4 + 2\ EulerGamma - 4\ Log[m\^2] + 
                  3\ PolyGamma[0, 3 - 2\ z3] - PolyGamma[0, 1 - z3] - 
                  2\ PolyGamma[0, 2 - z3] - 3\ PolyGamma[0, 3 - z3] + 
                  3\ PolyGamma[0, \(-2\) + z3] + 
                  2\ PolyGamma[0, \(-1\) + z3])\))\)\), {{eps \[Rule] 
              0}, {z3 \[Rule] \(-\(1\/4\)\)}}], 
      MBint[\(-\(m\^6\/\(12\ eps\^2\)\)\) + \(m\^6\ \((\(-3\) + \
Log[m\^2])\)\)\/\(3\ eps\) - 
          1\/144\ m\^6\ \((1029 + 4\ \[Pi]\^2 - 576\ Log[m\^2] + 
                96\ Log[m\^2]\^2)\), {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(m\^6\/\(12\ eps\^3\)\)\) + \(m\^6\ \((\(-13\) + 8\ \
Log[m\^2])\)\)\/\(24\ eps\^2\) - \(m\^6\ \((405 + 4\ \[Pi]\^2 - 312\ \
Log[m\^2] + 96\ Log[m\^2]\^2)\)\)\/\(144\ eps\) + 
          1\/288\ m\^6\ \((\(-3293\) - 52\ \[Pi]\^2 + 
                8\ \((405 + 4\ \[Pi]\^2)\)\ Log[m\^2] - 1248\ Log[m\^2]\^2 + 
                256\ Log[m\^2]\^3 - 132\ PolyGamma[2, 1] + 
                28\ PolyGamma[2, 2] - 104\ PolyGamma[2, 3])\), {{eps \[Rule] 
              0}, {}}], 
      MBint[m\^6\/\(36\ eps\^2\) - \(m\^6\ \((\(-11\) + 24\ \
Log[m\^2])\)\)\/\(216\ eps\) + \(m\^6\ \((379 + 12\ \[Pi]\^2 - 264\ Log[m\^2] \
+ 288\ Log[m\^2]\^2)\)\)\/1296, {{eps \[Rule] 0}, {}}], 
      MBint[m\^6\/\(36\ eps\^2\) - \(m\^6\ \((\(-17\) + 6\ \
Log[m\^2])\)\)\/\(54\ eps\) + \(m\^6\ \((2767 + 12\ \[Pi]\^2 - 1632\ \
Log[m\^2] + 288\ Log[m\^2]\^2)\)\)\/1296, {{eps \[Rule] 0}, {}}], 
      MBint[m\^6\/\(12\ eps\^2\) - \(m\^6\ \((\(-29\) + 8\ \
Log[m\^2])\)\)\/\(24\ eps\) + 
          1\/144\ m\^6\ \((1509 + 4\ \[Pi]\^2 - 696\ Log[m\^2] + 
                96\ Log[m\^2]\^2)\), {{eps \[Rule] 0}, {}}], 
      MBint[
        m\^6\/\(24\ eps\^3\) - \(m\^6\ \((\(-11\) + 8\ Log[m\^2])\)\)\/\(48\ \
eps\^2\) + \(m\^6\ \((447 + 4\ \[Pi]\^2 - 264\ Log[m\^2] + 96\ \
Log[m\^2]\^2)\)\)\/\(288\ eps\) - 
          1\/288\ m\^6\ \((\(-2045\) - 22\ \[Pi]\^2 + 
                4\ \((447 + 4\ \[Pi]\^2)\)\ Log[m\^2] - 528\ Log[m\^2]\^2 + 
                128\ Log[m\^2]\^3 - 174\ PolyGamma[2, 1] + 
                124\ PolyGamma[2, 2] - 54\ PolyGamma[2, 3])\), {{eps \[Rule] 
              0}, {}}], 
      MBint[\(-\(m\^6\/\(48\ eps\^2\)\)\) + \(m\^6\ \((11 + 24\ \
Log[m\^2])\)\)\/\(288\ eps\) - \(m\^6\ \((673 + 12\ \[Pi]\^2 + 264\ Log[m\^2] \
+ 288\ Log[m\^2]\^2)\)\)\/1728, {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(1\/\(2\ Gamma[4 - 2\ z3]\)\)\((m\^6\ Gamma[1 - z3]\ Gamma[
                3 - z3]\ Gamma[
                4 - z3]\ Gamma[\(-3\) + z3]\ Gamma[\(-2\) + 
                  z3]\ Gamma[\(-z3\)])\)\)\), {{eps \[Rule] 
              0}, {z3 \[Rule] \(-\(1\/4\)\)}}], 
      MBint[m\^6\/\(6\ eps\^3\) - \(m\^6\ \((\(-3\) + 8\ Log[m\^2])\)\)\/\(12\
\ eps\^2\) + \(m\^6\ \((111 + 4\ \[Pi]\^2 - 72\ Log[m\^2] + 96\ Log[m\^2]\^2)\
\)\)\/\(72\ eps\) - 
          1\/144\ m\^6\ \((\(-315\) - 12\ \[Pi]\^2 + 
                8\ \((111 + 4\ \[Pi]\^2)\)\ Log[m\^2] - 288\ Log[m\^2]\^2 + 
                256\ Log[m\^2]\^3 - 132\ PolyGamma[2, 1] - 
                36\ PolyGamma[2, 2] - 40\ PolyGamma[2, 3])\), {{eps \[Rule] 
              0}, {}}], 
      MBint[m\^6\/\(12\ eps\^4\) - \(m\^6\ \((\(-17\) + 8\ \
Log[m\^2])\)\)\/\(24\ eps\^3\) + \(m\^6\ \((597 + 4\ \[Pi]\^2 - 408\ \
Log[m\^2] + 96\ Log[m\^2]\^2)\)\)\/\(144\ eps\^2\) - \(\(1\/\(72\ eps\)\)\((m\
\^6\ \((\(-1437\) - 17\ \[Pi]\^2 + 2\ \((597 + 4\ \[Pi]\^2)\)\ Log[m\^2] - 
                  408\ Log[m\^2]\^2 + 64\ Log[m\^2]\^3 - 
                  24\ PolyGamma[2, 1] - 9\ PolyGamma[2, 2] - 
                  19\ PolyGamma[2, 
                      3])\))\)\) + \(\(1\/1440\)\((m\^6\ \((1990\ \[Pi]\^2 + 
                  8\ \[Pi]\^4 + 80\ \((597 + 4\ \[Pi]\^2)\)\ Log[m\^2]\^2 - 
                  10880\ Log[m\^2]\^3 + 1280\ Log[m\^2]\^4 - 
                  80\ Log[
                      m\^2]\ \((1437 + 17\ \[Pi]\^2 + 24\ PolyGamma[2, 1] + 
                        9\ PolyGamma[2, 2] + 19\ PolyGamma[2, 3])\) + 
                  5\ \((25665 + 816\ PolyGamma[2, 1] + 306\ PolyGamma[2, 2] + 
                        646\ PolyGamma[2, 3])\))\))\)\), {{eps \[Rule] 
              0}, {}}], 
      MBint[\(-\(m\^6\/\(8\ eps\^3\)\)\) + \(m\^6\ \((3 + 8\ Log[m\^2])\)\)\/\
\(16\ eps\^2\) - \(m\^6\ \((201 + 4\ \[Pi]\^2 + 72\ Log[m\^2] + 96\ Log[m\^2]\
\^2)\)\)\/\(96\ eps\) + 
          1\/48\ m\^6\ \((146 + 
                3\ \[Pi]\^2 + \((402 + 8\ \[Pi]\^2)\)\ Log[m\^2] + 
                72\ Log[m\^2]\^2 + 64\ Log[m\^2]\^3 - 87\ PolyGamma[2, 1] - 
                10\ PolyGamma[2, 2] + 45\ PolyGamma[2, 3])\), {{eps \[Rule] 
              0}, {}}], 
      MBint[\(-\(\(1\/\(eps\ Gamma[3 - 2\ z3]\)\)\((m\^6\ Gamma[
                  1 - z3]\ Gamma[2 - z3]\ Gamma[
                  3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                    z3]\ Gamma[\(-z3\)])\)\)\) - \(\(1\/\(2\ Gamma[
                  3 - 2\ z3]\)\)\((m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ \((9 + 6\ EulerGamma - 8\ Log[m\^2] + 
                  8\ PolyGamma[0, 3 - 2\ z3] - 2\ PolyGamma[0, 1 - z3] - 
                  6\ PolyGamma[0, 2 - z3] - 8\ PolyGamma[0, 3 - z3] + 
                  8\ PolyGamma[0, \(-2\) + z3] + 
                  6\ PolyGamma[0, \(-1\) + z3])\))\)\), {{eps \[Rule] 
              0}, {z3 \[Rule] \(-\(1\/4\)\)}}], 
      MBint[\(-\(m\^6\/\(4\ eps\^3\)\)\) + \(m\^6\ \((\(-35\) + 24\ \
Log[m\^2])\)\)\/\(24\ eps\^2\) - \(m\^6\ \((195 + 28\ \[Pi]\^2 - 280\ \
Log[m\^2] + 96\ Log[m\^2]\^2)\)\)\/\(48\ eps\) + \(\(1\/2592\)\((m\^6\ \
\((\(-27055\) - 8820\ \[Pi]\^2 + 216\ \((195 + 28\ \[Pi]\^2)\)\ Log[m\^2] - 
                  30240\ Log[m\^2]\^2 + 6912\ Log[m\^2]\^3 - 
                  3564\ PolyGamma[2, 1] - 972\ PolyGamma[2, 2] - 
                  2916\ PolyGamma[2, 3] + 
                  13500\ PolyGamma[2, 4])\))\)\), {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(m\^6\/\(6\ eps\^4\)\)\) + \(m\^6\ \((\(-15\) + 8\ Log[m\^2])\
\)\)\/\(12\ eps\^3\) - \(m\^6\ \((459 + 4\ \[Pi]\^2 - 360\ Log[m\^2] + 96\ \
Log[m\^2]\^2)\)\)\/\(72\ eps\^2\) + \(\(1\/\(72\ eps\)\)\((m\^6\ \((\(-1867\) \
- 30\ \[Pi]\^2 + 4\ \((459 + 4\ \[Pi]\^2)\)\ Log[m\^2] - 720\ Log[m\^2]\^2 + 
                  128\ Log[m\^2]\^3 - 50\ PolyGamma[2, 1] - 
                  16\ PolyGamma[2, 2] - 38\ PolyGamma[2, 3])\))\)\) - 
          1\/720\ m\^6\ \((1530\ \[Pi]\^2 + 8\ \[Pi]\^4 + 
                80\ \((459 + 4\ \[Pi]\^2)\)\ Log[m\^2]\^2 - 
                9600\ Log[m\^2]\^3 + 1280\ Log[m\^2]\^4 - 
                40\ Log[
                    m\^2]\ \((1867 + 30\ \[Pi]\^2 + 50\ PolyGamma[2, 1] + 
                      16\ PolyGamma[2, 2] + 38\ PolyGamma[2, 3])\) + 
                15\ \((4637 + 250\ PolyGamma[2, 1] + 80\ PolyGamma[2, 2] + 
                      190\ PolyGamma[2, 3])\))\), {{eps \[Rule] 0}, {}}], 
      MBint[\(m\^6\ Gamma[\(-1\) - z2]\ Gamma[3 - z2]\ Gamma[\(-1\) + z2]\ \
Gamma[\(-z2\)]\ Gamma[z2]\)\/\(2\ eps\ Gamma[1 - z2]\) + \(\(1\/\(4\ Gamma[
                  1 - z2]\)\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ \((15 - 8\ Log[m\^2] + 2\ PolyGamma[0, \(-1\) - z2] - 
                  8\ PolyGamma[0, 3 - z2] + 4\ PolyGamma[0, \(-1\) + z2] + 
                  2\ PolyGamma[0, z2])\))\)\), {{eps \[Rule] 
              0}, {z2 \[Rule] \(-\(2\/3\)\)}}], 
      MBint[\(-\(m\^6\/\(4\ eps\^3\)\)\) + \(m\^6\ \((\(-35\) + 24\ \
Log[m\^2])\)\)\/\(24\ eps\^2\) - \(m\^6\ \((195 + 28\ \[Pi]\^2 - 280\ \
Log[m\^2] + 96\ Log[m\^2]\^2)\)\)\/\(48\ eps\) + \(\(1\/2592\)\((m\^6\ \
\((\(-27055\) - 8820\ \[Pi]\^2 + 216\ \((195 + 28\ \[Pi]\^2)\)\ Log[m\^2] - 
                  30240\ Log[m\^2]\^2 + 6912\ Log[m\^2]\^3 - 
                  3564\ PolyGamma[2, 1] - 972\ PolyGamma[2, 2] - 
                  2916\ PolyGamma[2, 3] + 
                  13500\ PolyGamma[2, 4])\))\)\), {{eps \[Rule] 0}, {}}], 
      MBint[m\^6\/\(12\ eps\^3\) - \(m\^6\ \((\(-41\) + 24\ \
Log[m\^2])\)\)\/\(72\ eps\^2\) + \(m\^6\ \((805 + 156\ \[Pi]\^2 - 984\ \
Log[m\^2] + 288\ Log[m\^2]\^2)\)\)\/\(432\ eps\) - \(\(1\/2592\)\((m\^6\ \
\((\(-17573\) - 6396\ \[Pi]\^2 + 24\ \((805 + 156\ \[Pi]\^2)\)\ Log[m\^2] - 
                  11808\ Log[m\^2]\^2 + 2304\ Log[m\^2]\^3 - 
                  3168\ PolyGamma[2, 1] - 324\ PolyGamma[2, 2] - 
                  972\ PolyGamma[2, 3] + 
                  7776\ PolyGamma[2, 5])\))\)\), {{eps \[Rule] 0}, {}}], 
      MBint[m\^6\/\(4\ eps\^3\) - \(m\^6\ \((\(-15\) + 8\ Log[m\^2])\)\)\/\(8\
\ eps\^2\) + \(m\^6\ \((411 + 4\ \[Pi]\^2 - 360\ Log[m\^2] + 96\ \
Log[m\^2]\^2)\)\)\/\(48\ eps\) - 
          1\/96\ m\^6\ \((\(-2889\) - 60\ \[Pi]\^2 + 
                8\ \((411 + 4\ \[Pi]\^2)\)\ Log[m\^2] - 1440\ Log[m\^2]\^2 + 
                256\ Log[m\^2]\^3 - 28\ PolyGamma[2, 1] - 
                36\ PolyGamma[2, 2])\), {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(m\^6\/\(6\ eps\^3\)\)\) + \(m\^6\ \((\(-19\) + 8\ Log[m\^2])\
\)\)\/\(12\ eps\^2\) - \(m\^6\ \((687 + 4\ \[Pi]\^2 - 456\ Log[m\^2] + 96\ \
Log[m\^2]\^2)\)\)\/\(72\ eps\) + 
          1\/72\ m\^6\ \((\(-3237\) - 38\ \[Pi]\^2 + 
                4\ \((687 + 4\ \[Pi]\^2)\)\ Log[m\^2] - 912\ Log[m\^2]\^2 + 
                128\ Log[m\^2]\^3 - 48\ PolyGamma[2, 1] - 
                18\ PolyGamma[2, 2] - 38\ PolyGamma[2, 3])\), {{eps \[Rule] 
              0}, {}}], 
      MBint[\(-\(\(m\^6\ Gamma[\(-2\) - z2]\ Gamma[
                    3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[
                    z2]\)\/\(2\ eps\)\)\) + 
          1\/4\ m\^6\ Gamma[\(-2\) - z2]\ Gamma[
              3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[
              z2]\ \((\(-15\) + 8\ Log[m\^2] - 4\ PolyGamma[0, \(-2\) - z2] + 
                2\ PolyGamma[0, \(-1\) - z2] + 8\ PolyGamma[0, 3 - z2] - 
                4\ PolyGamma[0, \(-1\) + z2] - 
                2\ PolyGamma[0, z2])\), {{eps \[Rule] 
              0}, {z2 \[Rule] \(-\(2\/3\)\)}}], 
      MBint[m\^6\/\(8\ eps\^3\) - \(m\^6\ \((\(-11\) + 8\ \
Log[m\^2])\)\)\/\(16\ eps\^2\) + \(m\^6\ \((159 + 52\ \[Pi]\^2 - 264\ \
Log[m\^2] + 96\ Log[m\^2]\^2)\)\)\/\(96\ eps\) - 
          1\/96\ m\^6\ \((\(-605\) - 286\ \[Pi]\^2 + 
                4\ \((159 + 52\ \[Pi]\^2)\)\ Log[m\^2] - 528\ Log[m\^2]\^2 + 
                128\ Log[m\^2]\^3 - 176\ PolyGamma[2, 1] - 
                18\ PolyGamma[2, 2] - 54\ PolyGamma[2, 3] + 
                432\ PolyGamma[2, 4])\), {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                    3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                    z2]\)\/\(2\ eps\ Gamma[1 - z2]\)\)\) + \(\(1\/\(4\ Gamma[
                  1 - z2]\)\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ \((\(-15\) + 8\ Log[m\^2] - 
                  4\ PolyGamma[0, \(-1\) - z2] + 4\ PolyGamma[0, 1 - z2] + 
                  8\ PolyGamma[0, 3 - z2] - 4\ PolyGamma[0, \(-1\) + z2] - 
                  2\ PolyGamma[0, \(-z2\)] - 
                  2\ PolyGamma[0, z2])\))\)\), {{eps \[Rule] 
              0}, {z2 \[Rule] \(-\(2\/3\)\)}}], 
      MBint[\(-\(\((m\^6\ Gamma[3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[z2]\ Gamma[
                  1 - z3]\ Gamma[2 + z2 - z3]\ Gamma[
                  3 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) - z2 + 
                    z3]\ Gamma[\(-1\) - z2 + z3])\)/\((2\ Gamma[
                  3 + z2 - 2\ z3])\)\)\), {{eps \[Rule] 
              0}, {z2 \[Rule] \(-\(2\/3\)\), 
            z3 \[Rule] \(-\(1\/4\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MBintegrate[ser, {m \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["\<\
Performing 11 1-dimensional \
integrations...1...2...3...4...5...6...7...8...9...10...11\
\>", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart1eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart1eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart1eps0"\),
      SequenceForm[ "Running ", "MBpart1eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({\(\(22.955621781783872`\)\(\[InvisibleSpace]\)\) + 0.25`\/eps\^4 + 
        1\/eps\^3 + 2.843300366757447`\/eps\^2 + 
        5.781543610434571`\/eps, {0.000153984958`, 0}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(result1 = %\)], "Input"],

Cell[BoxData[
    \({\(\(22.955621781783872`\)\(\[InvisibleSpace]\)\) + 0.25`\/eps\^4 + 
        1\/eps\^3 + 2.843300366757447`\/eps\^2 + 
        5.781543610434571`\/eps, {0.000153984958`, 0}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ OK\ with\ hep - ph/0606232\ *) \)], "Input"],

Cell[BoxData[
    \( (*\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(\
**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(\
**\)\(**\)\(**\)\(**\)\(**\)\(\[IndentingNewLine]\)\(**\)\(**\)\(**\)****************************************************) \
\)], "Input"],

Cell[BoxData[
    \( (*\(\(**\)\(\ \)\(Part2\)\), \ Fig . \ 8\ ***) \)], "Input"],

Cell[BoxData[{
    \(\(tad2 = 
        Fullintegral[{1}, {PR[k1, m, n1] PR[k2 + k1, m, n2] 
              PR[k2 + k3 + k4, m, n3] PR[k4, 0, n4] PR[k3, 0, n5]}, {k1, k2, 
            k3, k4}];\)\), "\[IndentingNewLine]", 
    \(\(invariants = {};\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k1, m, n1]\ PR[
            k1 + k2, m, n2]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k1, m, n1], 
          PR[ 
            Plus[ k1, k2], m, n2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k1\),
      SequenceForm[ "momentum=", k1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]Unlike\ to\ the\ above\ part, \ 
      let' s\ modify\ F\ polynomial\ here ... \[IndentingNewLine]*) \)], \
"Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fauto[0]\)], "Input"],

Cell[BoxData[
    \(Fmanual::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in MANUAL mode. Now you can \
modify F polynomial (fupc)."\)], "Message"],

Cell[BoxData[
    \("fupc=FUpolyfun[integral,momentum,invariants]"\)], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("fupc="\[InvisibleSpace]\(m\^2\ FX[X[1] + X[2]]\^2 - 
          PR[k2, 0]\ X[1]\ X[2]\)\),
      SequenceForm[ "fupc=", 
        Plus[ 
          Times[ 
            Power[ m, 2], 
            Power[ 
              FX[ 
                Plus[ 
                  X[ 1], 
                  X[ 2]]], 2]], 
          Times[ -1, 
            PR[ k2, 0], 
            X[ 1], 
            X[ 2]]]],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fupc = 
      fupc /. \ PR[k2 + k4, m] \[Rule] PR[k2 + k4, 0] - m^2 // 
        Expand\)], "Input"],

Cell[BoxData[
    \(m\^2\ FX[X[1] + X[2]]\^2 - PR[k2, 0]\ X[1]\ X[2]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]1\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k1\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 1, ": >>Integrating over ", k1, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("U & F polynomial was computed by user >>Fauto["\
\[InvisibleSpace]0\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "U & F polynomial was computed by user >>Fauto[", 0, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k1..."\),
      SequenceForm[ "Representation after integrating over: ", "k1..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop1", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(2 - eps - z1\)\ \((m\^2)\)\^z1\ \
Gamma[\(-z1\)]\ Gamma[\(-2\) + eps + n1 + n2 + z1]\ Gamma[
                    2 - eps - n1 + z1 - 
                      z2]\ Gamma[\(-z2\)]\ Gamma[\(-2\)\ z1 + z2]\ Gamma[
                    2 - eps - n2 - z1 + z2])\)/\((Gamma[n1]\ Gamma[
                    4 - 2\ eps - n1 - n2]\ Gamma[n2]\ Gamma[\(-2\)\ z1])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k2, 0, 2 - eps - n1 - n2 - z1]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k2, 
            0, \(-2\) + eps + n1 + n2 + z1]\ PR[k2 + k3 + k4, m, n3]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k2, 0, 
            Plus[ -2, eps, n1, n2, z1]], 
          PR[ 
            Plus[ k2, k3, k4], m, n3]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k2\),
      SequenceForm[ "momentum=", k2],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]2\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k2\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 2, ": >>Integrating over ", k2, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-PR[k3 + k4, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k1...k2..."\),
      SequenceForm[ "Representation after integrating over: ", "k1...k2..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop2", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + z3\)\ \((m\^2)\)\^\(4 \
- 2\ eps - n1 - n2 - n3 - z3\)\ Gamma[\(-z1\)]\ Gamma[
                    2 - eps - n1 + z1 - 
                      z2]\ Gamma[\(-z2\)]\ Gamma[\(-2\)\ z1 + z2]\ Gamma[
                    2 - eps - n2 - z1 + z2]\ Gamma[
                    8 - 4\ eps - 2\ n1 - 2\ n2 - n3 - 2\ z1 - 
                      z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + eps + n1 + n2 + 
                      z1 + z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 + n3 + z1 + 
                      z3])\)/\((Gamma[n1]\ Gamma[4 - 2\ eps - n1 - n2]\ Gamma[
                    n2]\ Gamma[n3]\ Gamma[
                    6 - 3\ eps - n1 - n2 - n3 - z1]\ Gamma[\(-2\)\ z1])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k3 + k4, m, z3]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[3]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k3, 0, n5]\ PR[
            k3 + k4, m, \(-z3\)]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k3, 0, n5], 
          PR[ 
            Plus[ k3, k4], m, 
            Times[ -1, z3]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k3\),
      SequenceForm[ "momentum=", k3],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fauto[0]\)], "Input"],

Cell[BoxData[
    \(Fmanual::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in MANUAL mode. Now you can \
modify F polynomial (fupc)."\)], "Message"],

Cell[BoxData[
    \("fupc=FUpolyfun[integral,momentum,invariants]"\)], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("fupc="\[InvisibleSpace]\(m\^2\ X[1]\ X[2] - 
          PR[k4, 0]\ X[1]\ X[2] + m\^2\ X[2]\^2\)\),
      SequenceForm[ "fupc=", 
        Plus[ 
          Times[ 
            Power[ m, 2], 
            X[ 1], 
            X[ 2]], 
          Times[ -1, 
            PR[ k4, 0], 
            X[ 1], 
            X[ 2]], 
          Times[ 
            Power[ m, 2], 
            Power[ 
              X[ 2], 2]]]],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fupc = fupc /. PR[k4, 0] \[Rule] PR[k4, m] + m^2 // Expand\)], "Input"],

Cell[BoxData[
    \(\(-PR[k4, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]3\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k3\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 3, ": >>Integrating over ", k3, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("U & F polynomial was computed by user >>Fauto["\
\[InvisibleSpace]0\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "U & F polynomial was computed by user >>Fauto[", 0, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k1...k2...k3..."\),
      SequenceForm[ 
      "Representation after integrating over: ", "k1...k2...k3..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop3", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n5 + z4\)\ \
\((m\^2)\)\^\(6 - 3\ eps - n1 - n2 - n3 - n5 - z4\)\ Gamma[\(-z1\)]\ Gamma[
                    2 - eps - n1 + z1 - 
                      z2]\ Gamma[\(-z2\)]\ Gamma[\(-2\)\ z1 + z2]\ Gamma[
                    2 - eps - n2 - z1 + z2]\ Gamma[
                    8 - 4\ eps - 2\ n1 - 2\ n2 - n3 - 2\ z1 - 
                      z3]\ Gamma[\(-2\) + eps + n1 + n2 + z1 + 
                      z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 + n3 + z1 + 
                      z3]\ Gamma[
                    4 - 2\ eps - 2\ n5 + z3 - z4]\ Gamma[\(-z4\)]\ Gamma[
                    n5 + z4]\ Gamma[\(-2\) + eps + n5 - z3 + z4])\)/\((Gamma[
                    n1]\ Gamma[4 - 2\ eps - n1 - n2]\ Gamma[n2]\ Gamma[
                    n3]\ Gamma[n5]\ Gamma[
                    6 - 3\ eps - n1 - n2 - n3 - z1]\ Gamma[\(-2\)\ z1]\ Gamma[
                    4 - 2\ eps - n5 + z3])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k4, m, z4]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[4]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k4, 0, n4]\ PR[k4, 
            m, \(-z4\)]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k4, 0, n4], 
          PR[ k4, m, 
            Times[ -1, z4]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k4\),
      SequenceForm[ "momentum=", k4],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]We\ notice\ here\ that\ we\ have\ obtained\ \
single\ propagator, \ \(a\ one\ loop\ tadpole ... \[IndentingNewLine]
      We\ use\ well\ known\ formula\ Eq  .60\ and\ \(\(get\)\(:\)\)\)\
\[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(repr = SubLoop[integral];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]4\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k4\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 4, ": >>Integrating over ", k4, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(m\^2\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    \("Final representation:"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 \
- 4\ eps - n1 - n2 - n3 - n4 - n5\)\ Gamma[\(-z1\)]\ Gamma[
                2 - eps - n1 + z1 - z2]\ Gamma[\(-z2\)]\ Gamma[\(-2\)\ z1 + 
                  z2]\ Gamma[2 - eps - n2 - z1 + z2]\ Gamma[
                8 - 4\ eps - 2\ n1 - 2\ n2 - n3 - 2\ z1 - z3]\ Gamma[\(-2\) + 
                  eps + n1 + n2 + z1 + z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 + 
                  n3 + z1 + z3]\ Gamma[4 - 2\ eps - 2\ n5 + z3 - z4]\ Gamma[
                n5 + z4]\ Gamma[\(-2\) + eps + n5 - z3 + z4]\ Gamma[
                4 - 2\ eps - 2\ n4 + z4 - z5]\ Gamma[\(-z5\)]\ Gamma[
                n4 + z5]\ Gamma[\(-2\) + eps + n4 - z4 + z5])\)/\((Gamma[
                n1]\ Gamma[4 - 2\ eps - n1 - n2]\ Gamma[n2]\ Gamma[n3]\ Gamma[
                n4]\ Gamma[n5]\ Gamma[
                6 - 3\ eps - n1 - n2 - n3 - z1]\ Gamma[\(-2\)\ z1]\ Gamma[
                4 - 2\ eps - n5 + z3]\ Gamma[4 - 2\ eps - n4 + z4])\)\),
        FontColor->RGBColor[0, 0, 1]],
      (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = BarnesLemma[repr, 1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 1st Lemma will be checked for: "\
\[InvisibleSpace]{z5, z4, z3, z2, z1}\[InvisibleSpace]" <<"\),
      SequenceForm[ 
      ">> Barnes 1st Lemma will be checked for: ", {z5, z4, z3, z2, z1}, 
        " <<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]5\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 5, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z5...Barnes Lemma was applied.
2. Checking z4...Barnes Lemma was applied.
3. Checking z3...Barnes Lemma was applied.
4. Checking z2...Barnes Lemma was applied.
5. Checking z1\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 1st Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        TagBox[
          StyleBox["\<\"   1st Barnes Lemma was applied for: \"\>",
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)], 
        "\[InvisibleSpace]", \({z2, z3, z4, z5}\)}],
      SequenceForm[ 
        StyleForm[ 
        "   1st Barnes Lemma was applied for: ", FontColor -> RGBColor[ 
          1, 0, 0]], {z2, z3, z4, z5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Obtained representation has: dim="\
\[InvisibleSpace]1\),
      SequenceForm[ "   Obtained representation has: dim=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 - 4\ eps - \
n1 - n2 - n3 - n4 - n5\)\ Gamma[2 - eps - n4]\ Gamma[2 - eps - n5]\ Gamma[
            2 - eps - n1 - z1]\ Gamma[2 - eps - n2 - z1]\ Gamma[
            4 - 2\ eps - n1 - n2 - z1]\ Gamma[\(-z1\)]\ Gamma[\(-6\) + 
              3\ eps + n1 + n2 + n4 + n5 + z1]\ Gamma[\(-8\) + 4\ eps + n1 + 
              n2 + n3 + n4 + n5 + z1])\)/\((Gamma[2 - eps]\ Gamma[n1]\ Gamma[
            n2]\ Gamma[n3]\ Gamma[n4]\ Gamma[n5]\ Gamma[
            4 - 2\ eps - n1 - n2 - 2\ z1])\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]And\ now\ our\ representation\ is\ dim = 
        1\[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = % /. {n1 \[Rule] 1, n2 \[Rule] 1, n3 \[Rule] 1, n4 \[Rule] 1, 
          n5 \[Rule] 1}\)], "Input"],

Cell[BoxData[
    \(\(-\(\((\((m\^2)\)\^\(3 - 4\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
              2 - 2\ eps - 
                z1]\ Gamma[1 - eps - z1]\^2\ Gamma[\(-z1\)]\ Gamma[\(-2\) + 
                3\ eps + z1]\ Gamma[\(-3\) + 4\ eps + z1])\)/\((Gamma[
              2 - eps]\ Gamma[2 - 2\ eps - 2\ z1])\)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = MBoptimizedRules[repr, eps \[Rule] 0, {}, {eps}]\)], "Input"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBrules :: \\\"norules\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({{eps \[Rule] 15\/16}, {z1 \[Rule] \(-\(1\/2\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(integrals = MBcontinue[repr, eps \[Rule] 0, rules]\)], "Input"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 2, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 1, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Times[ -3, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(3 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 3, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 2, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 1, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-4\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Times[ -4, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]2\),
      SequenceForm[ "Level ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1}\),
      SequenceForm[ "Integral ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2}\),
      SequenceForm[ "Integral ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3}\),
      SequenceForm[ "Integral ", {3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{4}\),
      SequenceForm[ "Integral ", {4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5}\),
      SequenceForm[ "Integral ", {5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{6}\),
      SequenceForm[ "Integral ", {6}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{7}\),
      SequenceForm[ "Integral ", {7}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(8\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 8, " integral(s) found"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ \
Gamma[\(-1\) + eps]\ Gamma[
                    eps]\ Gamma[\(-1\) + 2\ eps]\^2\ Gamma[\(-2\) + 
                      3\ eps])\)/\((Gamma[
                    2 - eps]\ Gamma[\(-2\) + 4\ eps])\)\)\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[\(-2\) + eps]\ Gamma[2\ eps]\^2\ Gamma[
                  1 + eps]\ Gamma[\(-1\) + 3\ eps])\)/\((Gamma[
                  2 - eps]\ Gamma[4\ eps])\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[\(-3\) + eps]\ Gamma[3\ eps]\ Gamma[
                    2 + eps]\ Gamma[1 + 2\ eps]\^2)\)/\((2\ Gamma[
                    2 - eps]\ Gamma[2 + 4\ eps])\)\)\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^3\ Gamma[\(-1\) + 
                      2\ eps]\ Gamma[\(-2\) + 3\ eps]\^2\ Gamma[\(-3\) + 
                      4\ eps])\)/\((Gamma[
                    2 - eps]\ Gamma[\(-4\) + 6\ eps])\)\)\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[\(-eps\)]\ Gamma[
                  2\ eps]\ Gamma[\(-1\) + 3\ eps]\^2\ Gamma[\(-2\) + 
                    4\ eps])\)/\((Gamma[
                  2 - eps]\ Gamma[\(-2\) + 6\ eps])\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[\(-1\) - eps]\ Gamma[1 - eps]\^2\ Gamma[3\ eps]\^2\ Gamma[
                    1 + 2\ eps]\ Gamma[\(-1\) + 4\ eps])\)/\((2\ Gamma[
                    2 - eps]\ Gamma[6\ eps])\)\)\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[\(-2\) - eps]\ Gamma[1 - eps]\^2\ Gamma[4\ eps]\ Gamma[
                  2 + 2\ eps]\ Gamma[1 + 3\ eps]\^2)\)/\((6\ Gamma[
                  2 - eps]\ Gamma[2 + 6\ eps])\), {{eps \[Rule] 0}, {}}]}, 
      MBint[\(-\(\((\((m\^2)\)\^\(3 - 4\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
                  2 - 2\ eps - 
                    z1]\ Gamma[1 - eps - z1]\^2\ Gamma[\(-z1\)]\ Gamma[\(-2\) \
+ 3\ eps + z1]\ Gamma[\(-3\) + 4\ eps + z1])\)/\((Gamma[2 - eps]\ Gamma[
                  2 - 2\ eps - 2\ z1])\)\)\), {{eps \[Rule] 
              0}, {z1 \[Rule] \(-\(1\/2\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(ser = 
        MBexpand[{integrals}, 
          Exp[4*eps\ *EulerGamma], {eps, 0, 4}];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MBintegrate[ser, {m \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["Performing 5 1-dimensional integrations...1...2...3...4...5", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    \({\(\(22.955621881705923`\)\(\[InvisibleSpace]\)\) + 0.25`\/eps\^4 + 
        1\/eps\^3 + 2.843300366757447`\/eps\^2 + 5.781543610421033`\/eps + 
        80.89550616785341`\ eps + 1085.2836587072804`\ eps\^2 + 
        4545.303884134432`\ eps\^3 + 35998.99383263255`\ eps\^4, 
      0}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ agrees\ with\ eq . \ 2, \ \([17]\)\ *) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(22.955621881705923`\)\(\[InvisibleSpace]\)\) + 0.25`\/eps\^4 + 
        1\/eps\^3 + 2.843300366757447`\/eps\^2 + 5.781543610421033`\/eps + 
        80.89550616785341`\ eps + 1085.2836587072804`\ eps\^2 + 
        4545.303884134432`\ eps\^3 + 35998.99383263255`\ eps\^4 // 
      InputForm\)], "Input"],

Cell["\<\
22.955621881705923 + 0.25/eps^4 + eps^(-3) + \
2.843300366757447/eps^2 + 
 5.781543610421033/eps + 80.89550616785341*eps + 
 1085.2836587072804*eps^2 + 4545.303884134432*eps^3 + 
 35998.99383263255*eps^4\
\>", "Output"]
}, Open  ]]
},
FrontEndVersion->"5.1 for X",
ScreenRectangle->{{0, 1024}, {0, 768}},
WindowSize->{627, 689},
WindowMargins->{{Automatic, 126}, {Automatic, 25}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 40, 1, 27, "Input"],
Cell[1819, 56, 41, 1, 23, "Print"],
Cell[1863, 59, 51, 1, 23, "Print"],
Cell[1917, 62, 62, 1, 23, "Print"],
Cell[1982, 65, 58, 1, 23, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2077, 71, 43, 1, 27, "Input"],
Cell[2123, 74, 56, 1, 23, "Print"],
Cell[2182, 77, 60, 1, 23, "Print"]
}, Open  ]],
Cell[2257, 81, 281, 4, 107, "Input"],
Cell[2541, 87, 79, 1, 27, "Input"],
Cell[2623, 90, 261, 5, 75, "Input"],

Cell[CellGroupData[{
Cell[2909, 99, 43, 1, 27, "Input"],
Cell[2955, 102, 143, 3, 23, "Print"],
Cell[3101, 107, 291, 8, 23, "Print"],
Cell[3395, 117, 143, 3, 23, "Print"],
Cell[3541, 122, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3752, 130, 50, 1, 27, "Input"],
Cell[3805, 133, 264, 4, 23, "Print"],
Cell[4072, 139, 257, 5, 23, "Print"],
Cell[4332, 146, 50, 1, 23, "Print"],
Cell[4385, 149, 44, 1, 23, "Print"],
Cell[4432, 152, 50, 1, 23, "Print"],
Cell[4485, 155, 80, 1, 25, "Print"],
Cell[4568, 158, 215, 4, 23, "Print"],
Cell[4786, 164, 693, 15, 92, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5516, 184, 43, 1, 27, "Input"],
Cell[5562, 187, 143, 3, 23, "Print"],
Cell[5708, 192, 312, 9, 23, "Print"],
Cell[6023, 203, 143, 3, 23, "Print"],
Cell[6169, 208, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6380, 216, 50, 1, 27, "Input"],
Cell[6433, 219, 264, 4, 23, "Print"],
Cell[6700, 225, 257, 5, 23, "Print"],
Cell[6960, 232, 50, 1, 23, "Print"],
Cell[7013, 235, 44, 1, 23, "Print"],
Cell[7060, 238, 50, 1, 23, "Print"],
Cell[7113, 241, 75, 1, 25, "Print"],
Cell[7191, 244, 225, 4, 23, "Print"],
Cell[7419, 250, 893, 18, 106, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8349, 273, 43, 1, 27, "Input"],
Cell[8395, 276, 143, 3, 23, "Print"],
Cell[8541, 281, 312, 9, 23, "Print"],
Cell[8856, 292, 143, 3, 23, "Print"],
Cell[9002, 297, 174, 3, 33, "Message"]
}, Open  ]],
Cell[9191, 303, 457, 7, 123, "Input"],

Cell[CellGroupData[{
Cell[9673, 314, 41, 1, 27, "Input"],
Cell[9717, 317, 172, 3, 33, "Message"],
Cell[9892, 322, 79, 1, 23, "Print"],
Cell[9974, 325, 50, 1, 23, "Print"],
Cell[10027, 328, 44, 1, 23, "Print"],
Cell[10074, 331, 50, 1, 23, "Print"],
Cell[10127, 334, 571, 20, 25, "Print"]
}, Open  ]],
Cell[10713, 357, 180, 3, 59, "Input"],

Cell[CellGroupData[{
Cell[10918, 364, 93, 1, 27, "Input"],
Cell[11014, 367, 82, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11133, 373, 50, 1, 27, "Input"],
Cell[11186, 376, 264, 4, 23, "Print"],
Cell[11453, 382, 253, 5, 23, "Print"],
Cell[11709, 389, 242, 5, 23, "Print"],
Cell[11954, 396, 1283, 25, 174, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13274, 426, 43, 1, 27, "Input"],
Cell[13320, 429, 143, 3, 23, "Print"],
Cell[13466, 434, 342, 9, 23, "Print"],
Cell[13811, 445, 143, 3, 23, "Print"],
Cell[13957, 450, 174, 3, 33, "Message"]
}, Open  ]],
Cell[14146, 456, 145, 2, 59, "Input"],

Cell[CellGroupData[{
Cell[14316, 462, 62, 1, 27, "Input"],
Cell[14381, 465, 264, 4, 23, "Print"],
Cell[14648, 471, 257, 5, 23, "Print"],
Cell[14908, 478, 50, 1, 23, "Print"],
Cell[14961, 481, 44, 1, 23, "Print"],
Cell[15008, 484, 50, 1, 23, "Print"],
Cell[15061, 487, 65, 1, 25, "Print"],
Cell[15129, 490, 56, 1, 23, "Print"],
Cell[15188, 493, 1162, 19, 178, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16387, 517, 60, 1, 27, "Input"],
Cell[16450, 520, 290, 6, 23, "Print"],
Cell[16743, 528, 226, 4, 23, "Print"],
Cell[16972, 534, 156, 7, 98, "Print"],
Cell[17131, 543, 80, 1, 23, "Print"],
Cell[17214, 546, 466, 12, 23, "Print"],
Cell[17683, 560, 197, 4, 23, "Print"],
Cell[17883, 566, 800, 12, 150, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18720, 583, 50, 1, 27, "Input"],
Cell[18773, 586, 265, 5, 23, "Print"],
Cell[19041, 593, 226, 4, 23, "Print"],
Cell[19270, 599, 98, 5, 68, "Print"],
Cell[19371, 606, 80, 1, 23, "Print"],
Cell[19454, 609, 458, 12, 23, "Print"],
Cell[19915, 623, 197, 4, 23, "Print"],
Cell[20115, 629, 783, 11, 150, "Output"]
}, Open  ]],
Cell[20913, 643, 134, 2, 59, "Input"],

Cell[CellGroupData[{
Cell[21072, 649, 126, 2, 27, "Input"],
Cell[21201, 653, 519, 8, 102, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21757, 666, 89, 1, 27, "Input"],
Cell[21849, 669, 128, 2, 20, "Message"],
Cell[21980, 673, 128, 2, 20, "Message"],
Cell[22111, 677, 128, 2, 20, "Message"],
Cell[22242, 681, 334, 5, 33, "Message"],
Cell[22579, 688, 119, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22735, 695, 83, 1, 27, "Input"],
Cell[22821, 698, 365, 5, 33, "Message"],
Cell[23189, 705, 42, 1, 23, "Print"],
Cell[23234, 708, 293, 6, 23, "Print"],
Cell[23530, 716, 320, 7, 23, "Print"],
Cell[23853, 725, 300, 6, 23, "Print"],
Cell[24156, 733, 326, 7, 23, "Print"],
Cell[24485, 742, 329, 7, 23, "Print"],
Cell[24817, 751, 329, 7, 23, "Print"],
Cell[25149, 760, 135, 3, 23, "Print"],
Cell[25287, 765, 145, 3, 23, "Print"],
Cell[25435, 770, 320, 7, 23, "Print"],
Cell[25758, 779, 300, 6, 23, "Print"],
Cell[26061, 787, 320, 7, 23, "Print"],
Cell[26384, 796, 300, 6, 23, "Print"],
Cell[26687, 804, 145, 3, 23, "Print"],
Cell[26835, 809, 320, 7, 23, "Print"],
Cell[27158, 818, 320, 7, 23, "Print"],
Cell[27481, 827, 300, 6, 23, "Print"],
Cell[27784, 835, 320, 7, 23, "Print"],
Cell[28107, 844, 320, 7, 23, "Print"],
Cell[28430, 853, 320, 7, 23, "Print"],
Cell[28753, 862, 300, 6, 23, "Print"],
Cell[29056, 870, 145, 3, 23, "Print"],
Cell[29204, 875, 300, 6, 23, "Print"],
Cell[29507, 883, 320, 7, 23, "Print"],
Cell[29830, 892, 300, 6, 23, "Print"],
Cell[30133, 900, 145, 3, 23, "Print"],
Cell[30281, 905, 300, 6, 23, "Print"],
Cell[30584, 913, 300, 6, 23, "Print"],
Cell[30887, 921, 145, 3, 23, "Print"],
Cell[31035, 926, 300, 6, 23, "Print"],
Cell[31338, 934, 325, 7, 23, "Print"],
Cell[31666, 943, 325, 7, 23, "Print"],
Cell[31994, 952, 53, 1, 23, "Print"],
Cell[32050, 955, 293, 6, 23, "Print"],
Cell[32346, 963, 300, 6, 23, "Print"],
Cell[32649, 971, 145, 3, 23, "Print"],
Cell[32797, 976, 325, 7, 23, "Print"],
Cell[33125, 985, 135, 3, 23, "Print"],
Cell[33263, 990, 151, 3, 23, "Print"],
Cell[33417, 995, 151, 3, 23, "Print"],
Cell[33571, 1000, 151, 3, 23, "Print"],
Cell[33725, 1005, 151, 3, 23, "Print"],
Cell[33879, 1010, 151, 3, 23, "Print"],
Cell[34033, 1015, 151, 3, 23, "Print"],
Cell[34187, 1020, 151, 3, 23, "Print"],
Cell[34341, 1025, 151, 3, 23, "Print"],
Cell[34495, 1030, 151, 3, 23, "Print"],
Cell[34649, 1035, 151, 3, 23, "Print"],
Cell[34803, 1040, 151, 3, 23, "Print"],
Cell[34957, 1045, 151, 3, 23, "Print"],
Cell[35111, 1050, 151, 3, 23, "Print"],
Cell[35265, 1055, 151, 3, 23, "Print"],
Cell[35419, 1060, 151, 3, 23, "Print"],
Cell[35573, 1065, 151, 3, 23, "Print"],
Cell[35727, 1070, 151, 3, 23, "Print"],
Cell[35881, 1075, 151, 3, 23, "Print"],
Cell[36035, 1080, 151, 3, 23, "Print"],
Cell[36189, 1085, 151, 3, 23, "Print"],
Cell[36343, 1090, 151, 3, 23, "Print"],
Cell[36497, 1095, 161, 3, 23, "Print"],
Cell[36661, 1100, 10491, 162, 2158, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47189, 1267, 105, 2, 27, "Input"],
Cell[47297, 1271, 14618, 236, 3893, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[61952, 1512, 64, 1, 27, "Input"],
Cell[62019, 1515, 55, 1, 23, "Print"],
Cell[62077, 1518, 113, 3, 38, "Print"],
Cell[62193, 1523, 63, 1, 23, "Print"],
Cell[62259, 1526, 250, 4, 23, "Print"],
Cell[62512, 1532, 163, 3, 23, "Print"],
Cell[62678, 1537, 207, 3, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[62922, 1545, 44, 1, 27, "Input"],
Cell[62969, 1548, 207, 3, 47, "Output"]
}, Open  ]],
Cell[63191, 1554, 69, 1, 27, "Input"],
Cell[63263, 1557, 311, 4, 43, "Input"],
Cell[63577, 1563, 81, 1, 27, "Input"],
Cell[63661, 1566, 261, 5, 75, "Input"],

Cell[CellGroupData[{
Cell[63947, 1575, 43, 1, 27, "Input"],
Cell[63993, 1578, 143, 3, 23, "Print"],
Cell[64139, 1583, 282, 8, 23, "Print"],
Cell[64424, 1593, 143, 3, 23, "Print"],
Cell[64570, 1598, 174, 3, 33, "Message"]
}, Open  ]],
Cell[64759, 1604, 158, 3, 59, "Input"],

Cell[CellGroupData[{
Cell[64942, 1611, 41, 1, 27, "Input"],
Cell[64986, 1614, 172, 3, 33, "Message"],
Cell[65161, 1619, 79, 1, 23, "Print"],
Cell[65243, 1622, 50, 1, 23, "Print"],
Cell[65296, 1625, 44, 1, 23, "Print"],
Cell[65343, 1628, 50, 1, 23, "Print"],
Cell[65396, 1631, 462, 16, 25, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[65895, 1652, 119, 3, 27, "Input"],
Cell[66017, 1657, 82, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[66136, 1663, 50, 1, 27, "Input"],
Cell[66189, 1666, 264, 4, 23, "Print"],
Cell[66456, 1672, 253, 5, 23, "Print"],
Cell[66712, 1679, 215, 4, 23, "Print"],
Cell[66930, 1685, 796, 17, 106, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[67763, 1707, 43, 1, 27, "Input"],
Cell[67809, 1710, 143, 3, 23, "Print"],
Cell[67955, 1715, 353, 9, 23, "Print"],
Cell[68311, 1726, 143, 3, 23, "Print"],
Cell[68457, 1731, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68668, 1739, 50, 1, 27, "Input"],
Cell[68721, 1742, 264, 4, 23, "Print"],
Cell[68988, 1748, 257, 5, 23, "Print"],
Cell[69248, 1755, 50, 1, 23, "Print"],
Cell[69301, 1758, 44, 1, 23, "Print"],
Cell[69348, 1761, 50, 1, 23, "Print"],
Cell[69401, 1764, 80, 1, 25, "Print"],
Cell[69484, 1767, 225, 4, 23, "Print"],
Cell[69712, 1773, 1102, 22, 142, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[70851, 1800, 43, 1, 27, "Input"],
Cell[70897, 1803, 143, 3, 23, "Print"],
Cell[71043, 1808, 312, 9, 23, "Print"],
Cell[71358, 1819, 143, 3, 23, "Print"],
Cell[71504, 1824, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[71715, 1832, 41, 1, 27, "Input"],
Cell[71759, 1835, 172, 3, 33, "Message"],
Cell[71934, 1840, 79, 1, 23, "Print"],
Cell[72016, 1843, 50, 1, 23, "Print"],
Cell[72069, 1846, 44, 1, 23, "Print"],
Cell[72116, 1849, 50, 1, 23, "Print"],
Cell[72169, 1852, 482, 17, 25, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[72688, 1874, 91, 1, 27, "Input"],
Cell[72782, 1877, 76, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[72895, 1883, 50, 1, 27, "Input"],
Cell[72948, 1886, 264, 4, 23, "Print"],
Cell[73215, 1892, 253, 5, 23, "Print"],
Cell[73471, 1899, 242, 5, 23, "Print"],
Cell[73716, 1906, 1320, 26, 172, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[75073, 1937, 43, 1, 27, "Input"],
Cell[75119, 1940, 143, 3, 23, "Print"],
Cell[75265, 1945, 283, 8, 23, "Print"],
Cell[75551, 1955, 143, 3, 23, "Print"],
Cell[75697, 1960, 174, 3, 33, "Message"]
}, Open  ]],
Cell[75886, 1966, 264, 4, 91, "Input"],

Cell[CellGroupData[{
Cell[76175, 1974, 62, 1, 27, "Input"],
Cell[76240, 1977, 264, 4, 23, "Print"],
Cell[76507, 1983, 257, 5, 23, "Print"],
Cell[76767, 1990, 50, 1, 23, "Print"],
Cell[76820, 1993, 44, 1, 23, "Print"],
Cell[76867, 1996, 50, 1, 23, "Print"],
Cell[76920, 1999, 65, 1, 25, "Print"],
Cell[76988, 2002, 56, 1, 23, "Print"],
Cell[77047, 2005, 1124, 17, 178, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[78208, 2027, 60, 1, 27, "Input"],
Cell[78271, 2030, 290, 6, 23, "Print"],
Cell[78564, 2038, 226, 4, 23, "Print"],
Cell[78793, 2044, 212, 7, 98, "Print"],
Cell[79008, 2053, 80, 1, 23, "Print"],
Cell[79091, 2056, 482, 12, 23, "Print"],
Cell[79576, 2070, 197, 4, 23, "Print"],
Cell[79776, 2076, 577, 8, 134, "Output"]
}, Open  ]],
Cell[80368, 2087, 128, 2, 59, "Input"],

Cell[CellGroupData[{
Cell[80521, 2093, 126, 2, 27, "Input"],
Cell[80650, 2097, 328, 5, 69, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[81015, 2107, 89, 1, 27, "Input"],
Cell[81107, 2110, 128, 2, 20, "Message"],
Cell[81238, 2114, 128, 2, 20, "Message"],
Cell[81369, 2118, 128, 2, 20, "Message"],
Cell[81500, 2122, 334, 5, 33, "Message"],
Cell[81837, 2129, 84, 1, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[81958, 2135, 83, 1, 27, "Input"],
Cell[82044, 2138, 42, 1, 23, "Print"],
Cell[82089, 2141, 320, 7, 23, "Print"],
Cell[82412, 2150, 320, 7, 23, "Print"],
Cell[82735, 2159, 300, 6, 23, "Print"],
Cell[83038, 2167, 320, 7, 23, "Print"],
Cell[83361, 2176, 320, 7, 23, "Print"],
Cell[83684, 2185, 320, 7, 23, "Print"],
Cell[84007, 2194, 300, 6, 23, "Print"],
Cell[84310, 2202, 135, 3, 23, "Print"],
Cell[84448, 2207, 145, 3, 23, "Print"],
Cell[84596, 2212, 145, 3, 23, "Print"],
Cell[84744, 2217, 145, 3, 23, "Print"],
Cell[84892, 2222, 145, 3, 23, "Print"],
Cell[85040, 2227, 145, 3, 23, "Print"],
Cell[85188, 2232, 145, 3, 23, "Print"],
Cell[85336, 2237, 145, 3, 23, "Print"],
Cell[85484, 2242, 159, 3, 23, "Print"],
Cell[85646, 2247, 2400, 37, 514, "Output"]
}, Open  ]],
Cell[88061, 2287, 123, 3, 27, "Input"],

Cell[CellGroupData[{
Cell[88209, 2294, 64, 1, 27, "Input"],
Cell[88276, 2297, 55, 1, 23, "Print"],
Cell[88334, 2300, 76, 0, 23, "Print"],
Cell[88413, 2302, 63, 1, 23, "Print"],
Cell[88479, 2305, 318, 5, 73, "Output"]
}, Open  ]],
Cell[88812, 2313, 77, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[88914, 2318, 325, 5, 107, "Input"],
Cell[89242, 2325, 229, 6, 72, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

