(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     40665,       1094]*)
(*NotebookOutlinePosition[     41293,       1116]*)
(*  CellTagsIndexPosition[     41249,       1112]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(<< MB.m\)], "Input"],

Cell[BoxData[
    \("MB 1.1"\)], "Print"],

Cell[BoxData[
    \("by Michal Czakon"\)], "Print"],

Cell[BoxData[
    \("more info in hep-ph/0511200"\)], "Print"],

Cell[BoxData[
    \("last modified 28 Jan 06"\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< AMBRE.m\)], "Input"],

Cell[BoxData[
    \("by K.Kajda   ver: 1.0"\)], "Print"],

Cell[BoxData[
    \("last modified 28 Mar 2007"\)], "Print"]
}, Open  ]],

Cell[BoxData[{
    \(\(Fullintegral[{1}, {PR[k1, 0, n1] PR[k2 + k4, m, n2] PR[k2, m, n3] 
            PR[k2 - k1, m, n4] PR[k3, 0, n5] PR[k2 - k1 + k3, 0, n6] 
            PR[k4, 0, n7] PR[k2 - k1 + k4, 0, n8]}, {k4, k3, k1, 
          k2}];\)\), "\n", 
    \(\(invariants = {};\)\)}], "Input"],

Cell[BoxData[
    \( (*\ other\ configurations\ may\ be\ chosen, \ 
      e . g . \ \[IndentingNewLine]\[IndentingNewLine]Fullintegral[{1}, {PR[
                k2, m, n1] PR[k4, m, n2] PR[k3 + k4, m, n3] PR[k1, 0, n4] 
              PR[k1 + k2, 0, n5] PR[k4 - k2, 0, n6] PR[k3, 0, n7] 
              PR[k2 + k3, 0, n8]}, {k1, k3, k2, 
            k4}]; \[IndentingNewLine]invariants = {}; \ \[IndentingNewLine]\
\[IndentingNewLine]Fullintegral[{1}, {PR[k1, m, n1] PR[k2, m, n2] 
            PR[k2 - k4, m, n3] PR[k4, 0, n4] PR[k1 - k4, 0, n5] 
            PR[k1 - k2, 0, n6] PR[k3 - k2, 0, n7] PR[k3 - k4, 0, n8]}, {k3, 
          k1, k2, k4}]; \n
      invariants = {};\[IndentingNewLine]\[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k4, 0, n7]\ PR[
            k2 + k4, m, n2]\ PR[\(-k1\) + k2 + k4, 0, n8]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k4, 0, n7], 
          PR[ 
            Plus[ k2, k4], m, n2], 
          PR[ 
            Plus[ 
              Times[ -1, k1], k2, k4], 0, n8]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k4\),
      SequenceForm[ "momentum=", k4],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]1\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k4\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 1, ": >>Integrating over ", k4, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2] + X[3]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-PR[k2, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2 - 
      PR[k1 - k2, 0]\ X[1]\ X[3] + m\^2\ X[2]\ X[3] - 
      PR[k1, 0]\ X[2]\ X[3]\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k4..."\),
      SequenceForm[ "Representation after integrating over: ", "k4..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop1", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(2 - eps - z2 - z4\)\ \((m\^2)\)\^\(z2 \
+ z4\)\ Gamma[\(-z1\)]\ Gamma[
                    2 - eps - n2 - n7 - z1 - z2]\ Gamma[\(-z2\)]\ Gamma[
                    2 - eps - n7 - n8 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[
                    n7 + z1 + z3]\ Gamma[\(-z4\)]\ Gamma[\(-2\) + eps + n2 + 
                      n7 + n8 + z1 + z2 + z3 + z4])\)/\((Gamma[n2]\ Gamma[
                    n7]\ Gamma[4 - 2\ eps - n2 - n7 - n8]\ Gamma[n8])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          
          StyleBox[\(PR[k1, 0, 
                2 - eps - n2 - n7 - n8 - z1 - z2 - z3 - z4]\ PR[k1 - k2, 0, 
                z3]\ PR[k2, m, z1]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k3, 0, 
            n5]\ PR[\(-k1\) + k2 + k3, 0, n6]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k3, 0, n5], 
          PR[ 
            Plus[ 
              Times[ -1, k1], k2, k3], 0, n6]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k3\),
      SequenceForm[ "momentum=", k3],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]2\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k3\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 2, ": >>Integrating over ", k3, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-PR[k1 - k2, 0]\)\ X[1]\ X[2]\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k4...k3..."\),
      SequenceForm[ "Representation after integrating over: ", "k4...k3..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop2", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(4 - 2\ eps - z2 - z4\)\ \
\((m\^2)\)\^\(z2 + z4\)\ Gamma[2 - eps - n5]\ Gamma[
                    2 - eps - n6]\ Gamma[\(-2\) + eps + n5 + 
                      n6]\ Gamma[\(-z1\)]\ Gamma[
                    2 - eps - n2 - n7 - z1 - z2]\ Gamma[\(-z2\)]\ Gamma[
                    2 - eps - n7 - n8 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[
                    n7 + z1 + z3]\ Gamma[\(-z4\)]\ Gamma[\(-2\) + eps + n2 + 
                      n7 + n8 + z1 + z2 + z3 + z4])\)/\((Gamma[n2]\ Gamma[
                    n5]\ Gamma[4 - 2\ eps - n5 - n6]\ Gamma[n6]\ Gamma[
                    n7]\ Gamma[4 - 2\ eps - n2 - n7 - n8]\ Gamma[n8])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k1 - k2, 0, 2 - eps - n5 - n6]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[3]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k1, 
            0, \(-2\) + eps + n1 + n2 + n7 + n8 + z1 + z2 + z3 + z4]\ PR[
            k1 - k2, 0, \(-2\) + eps + n5 + n6 - z3]\ PR[\(-k1\) + k2, m, 
            n4]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k1, 0, 
            Plus[ -2, eps, n1, n2, n7, n8, z1, z2, z3, z4]], 
          PR[ 
            Plus[ k1, 
              Times[ -1, k2]], 0, 
            Plus[ -2, eps, n5, n6, 
              Times[ -1, z3]]], 
          PR[ 
            Plus[ 
              Times[ -1, k1], k2], m, n4]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k1\),
      SequenceForm[ "momentum=", k1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]3\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k1\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 3, ": >>Integrating over ", k1, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2] + X[3]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-m\^2\)\ X[1]\ X[2] - PR[k2, m]\ X[1]\ X[2] - PR[k2, m]\ X[1]\ X[3] + 
      m\^2\ X[2]\ X[3] + m\^2\ X[3]\^2\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k4...k3...k1..."\),
      SequenceForm[ 
      "Representation after integrating over: ", "k4...k3...k1..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop3", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n4 + n5 + n6 + n7 + n8 + z1 \
+ z6 + z7\)\ \((\(-m\^2\))\)\^z5\ \((m\^2)\)\^\(6 - 3\ eps - n1 - n2 - n4 - \
n5 - n6 - n7 - n8 - z1 - z5 - z6 - z7\)\ Gamma[2 - eps - n5]\ Gamma[
                    2 - eps - n6]\ Gamma[\(-2\) + eps + n5 + 
                      n6]\ Gamma[\(-z1\)]\ Gamma[
                    2 - eps - n2 - n7 - z1 - z2]\ Gamma[\(-z2\)]\ Gamma[
                    2 - eps - n7 - n8 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[
                    n7 + z1 + z3]\ Gamma[\(-z4\)]\ Gamma[\(-2\) + eps + n2 + 
                      n7 + n8 + z1 + z2 + z3 + 
                      z4]\ Gamma[\(-z5\)]\ Gamma[\(-z6\)]\ Gamma[\(-z7\)]\ \
Gamma[\(-2\) + eps + n1 + n2 + n7 + n8 + z1 + z2 + z3 + z4 + z5 + z6 + 
                      z7]\ Gamma[
                    12 - 6\ eps - 2\ n1 - 2\ n2 - n4 - 2\ n5 - 2\ n6 - 
                      2\ n7 - 2\ n8 - 2\ z1 - 2\ z2 - 2\ z4 - 2\ z5 - 2\ z6 - 
                      z7 - z8]\ Gamma[\(-z8\)]\ Gamma[\(-2\) + eps + n5 + 
                      n6 - z3 + z5 + z6 + z8]\ Gamma[\(-6\) + 3\ eps + n1 + 
                      n2 + n4 + n5 + n6 + n7 + n8 + z1 + z2 + z4 + z5 + z6 + 
                      z7 + z8])\)/\((Gamma[n2]\ Gamma[n4]\ Gamma[n5]\ Gamma[
                    4 - 2\ eps - n5 - n6]\ Gamma[n6]\ Gamma[n7]\ Gamma[
                    4 - 2\ eps - n2 - n7 - n8]\ Gamma[
                    n8]\ Gamma[\(-2\) + eps + n5 + n6 - z3]\ Gamma[
                    8 - 4\ eps - n1 - n2 - n4 - n5 - n6 - n7 - n8 - z1 - z2 - 
                      z4]\ Gamma[\(-2\) + eps + n1 + n2 + n7 + n8 + z1 + z2 + 
                      z3 + z4])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k2, m, z6 + z7]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fauto[0]\)], "Input"],

Cell[BoxData[
    \(Fmanual::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in MANUAL mode. Now you can \
modify F polynomial (fupc)."\)], "Message"],

Cell[BoxData[
    \("fupc=FUpolyfun[integral,momentum,invariants]"\)], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2] + X[3]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("fupc="\[InvisibleSpace]\(\(-m\^2\)\ X[1]\ X[2] - 
          PR[k2, m]\ X[1]\ X[2] - PR[k2, m]\ X[1]\ X[3] + m\^2\ X[2]\ X[3] + 
          m\^2\ X[3]\^2\)\),
      SequenceForm[ "fupc=", 
        Plus[ 
          Times[ -1, 
            Power[ m, 2], 
            X[ 1], 
            X[ 2]], 
          Times[ -1, 
            PR[ k2, m], 
            X[ 1], 
            X[ 2]], 
          Times[ -1, 
            PR[ k2, m], 
            X[ 1], 
            X[ 3]], 
          Times[ 
            Power[ m, 2], 
            X[ 2], 
            X[ 3]], 
          Times[ 
            Power[ m, 2], 
            Power[ 
              X[ 3], 2]]]],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fupc = 
      fupc /. \ PR[k2, m] X[1]\ X[2] \[Rule] 
            PR[k2, 0] X[1]\ X[2] - m^2\ X[1]\ X[2] // Expand\)], "Input"],

Cell[BoxData[
    \(\(-PR[k2, 0]\)\ X[1]\ X[2] - PR[k2, m]\ X[1]\ X[3] + m\^2\ X[2]\ X[3] + 
      m\^2\ X[3]\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]3\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k1\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 3, ": >>Integrating over ", k1, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("U & F polynomial was computed by user >>Fauto["\
\[InvisibleSpace]0\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "U & F polynomial was computed by user >>Fauto[", 0, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k4...k3...k1..."\),
      SequenceForm[ 
      "Representation after integrating over: ", "k4...k3...k1..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop3", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n4 + n5 + n6 + n7 + n8 + z1 \
+ z5 + z6\)\ \((m\^2)\)\^\(6 - 3\ eps - n1 - n2 - n4 - n5 - n6 - n7 - n8 - z1 \
- z5 - z6\)\ Gamma[2 - eps - n5]\ Gamma[
                    2 - eps - n6]\ Gamma[\(-2\) + eps + n5 + 
                      n6]\ Gamma[\(-z1\)]\ Gamma[
                    2 - eps - n2 - n7 - z1 - z2]\ Gamma[\(-z2\)]\ Gamma[
                    2 - eps - n7 - n8 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[
                    n7 + z1 + z3]\ Gamma[\(-z4\)]\ Gamma[\(-2\) + eps + n2 + 
                      n7 + n8 + z1 + z2 + z3 + 
                      z4]\ Gamma[\(-z5\)]\ Gamma[\(-z6\)]\ Gamma[\(-2\) + 
                      eps + n1 + n2 + n7 + n8 + z1 + z2 + z3 + z4 + z5 + 
                      z6]\ Gamma[
                    12 - 6\ eps - 2\ n1 - 2\ n2 - n4 - 2\ n5 - 2\ n6 - 
                      2\ n7 - 2\ n8 - 2\ z1 - 2\ z2 - 2\ z4 - 2\ z5 - z6 - 
                      z7]\ Gamma[\(-z7\)]\ Gamma[\(-2\) + eps + n5 + n6 - 
                      z3 + z5 + z7]\ Gamma[\(-6\) + 3\ eps + n1 + n2 + n4 + 
                      n5 + n6 + n7 + n8 + z1 + z2 + z4 + z5 + z6 + 
                      z7])\)/\((Gamma[n2]\ Gamma[n4]\ Gamma[n5]\ Gamma[
                    4 - 2\ eps - n5 - n6]\ Gamma[n6]\ Gamma[n7]\ Gamma[
                    4 - 2\ eps - n2 - n7 - n8]\ Gamma[
                    n8]\ Gamma[\(-2\) + eps + n5 + n6 - z3]\ Gamma[
                    8 - 4\ eps - n1 - n2 - n4 - n5 - n6 - n7 - n8 - z1 - z2 - 
                      z4]\ Gamma[\(-2\) + eps + n1 + n2 + n7 + n8 + z1 + z2 + 
                      z3 + z4])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k2, 0, z5]\ PR[k2, m, z6]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[4]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k2, 0, \(-z5\)]\ PR[
            k2, m, n3 - z1 - z6]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k2, 0, 
            Times[ -1, z5]], 
          PR[ k2, m, 
            Plus[ n3, 
              Times[ -1, z1], 
              Times[ -1, z6]]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k2\),
      SequenceForm[ "momentum=", k2],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(SubLoop[integral];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]4\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k2\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 4, ": >>Integrating over ", k2, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(m\^2\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    \("Final representation:"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5 + n6 + n7 + n8\)\ \
\((m\^2)\)\^\(8 - 4\ eps - n1 - n2 - n3 - n4 - n5 - n6 - n7 - n8\)\ Gamma[
                2 - eps - n5]\ Gamma[
                2 - eps - n6]\ Gamma[\(-2\) + eps + n5 + 
                  n6]\ Gamma[\(-z1\)]\ Gamma[
                2 - eps - n2 - n7 - z1 - z2]\ Gamma[\(-z2\)]\ Gamma[
                2 - eps - n7 - n8 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[
                n7 + z1 + z3]\ Gamma[\(-z4\)]\ Gamma[\(-2\) + eps + n2 + n7 + 
                  n8 + z1 + z2 + z3 + z4]\ Gamma[\(-z6\)]\ Gamma[\(-2\) + 
                  eps + n1 + n2 + n7 + n8 + z1 + z2 + z3 + z4 + z5 + 
                  z6]\ Gamma[
                12 - 6\ eps - 2\ n1 - 2\ n2 - n4 - 2\ n5 - 2\ n6 - 2\ n7 - 
                  2\ n8 - 2\ z1 - 2\ z2 - 2\ z4 - 2\ z5 - z6 - 
                  z7]\ Gamma[\(-z7\)]\ Gamma[\(-2\) + eps + n5 + n6 - z3 + 
                  z5 + z7]\ Gamma[\(-6\) + 3\ eps + n1 + n2 + n4 + n5 + n6 + 
                  n7 + n8 + z1 + z2 + z4 + z5 + z6 + z7]\ Gamma[
                4 - 2\ eps - n3 + z1 + 2\ z5 + z6 - 
                  z8]\ Gamma[\(-z8\)]\ Gamma[\(-z5\) + z8]\ Gamma[\(-2\) + 
                  eps + n3 - z1 - z5 - z6 + z8])\)/\((Gamma[n2]\ Gamma[
                n4]\ Gamma[n5]\ Gamma[4 - 2\ eps - n5 - n6]\ Gamma[n6]\ Gamma[
                n7]\ Gamma[4 - 2\ eps - n2 - n7 - n8]\ Gamma[
                n8]\ Gamma[\(-2\) + eps + n5 + n6 - z3]\ Gamma[
                8 - 4\ eps - n1 - n2 - n4 - n5 - n6 - n7 - n8 - z1 - z2 - 
                  z4]\ Gamma[\(-2\) + eps + n1 + n2 + n7 + n8 + z1 + z2 + 
                  z3 + z4]\ Gamma[n3 - z1 - z6]\ Gamma[
                4 - 2\ eps - n3 + z1 + z5 + z6])\)\),
        FontColor->RGBColor[0, 0, 1]],
      (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = BarnesLemma[%, 1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 1st Lemma will be checked for: "\
\[InvisibleSpace]{z8, z7, z6, z5, z4, z3, z2, z1}\[InvisibleSpace]" <<"\),
      SequenceForm[ 
      ">> Barnes 1st Lemma will be checked for: ", {z8, z7, z6, z5, z4, z3, 
        z2, z1}, " <<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]8\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 8, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z8...Barnes Lemma was applied.
2. Checking z7...Barnes Lemma was applied.
3. Checking z6
4. Checking z5
5. Checking z4
6. Checking z3
7. Checking z2
8. Checking z1\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 1st Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        TagBox[
          StyleBox["\<\"   1st Barnes Lemma was applied for: \"\>",
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)], 
        "\[InvisibleSpace]", \({z7, z8}\)}],
      SequenceForm[ 
        StyleForm[ 
        "   1st Barnes Lemma was applied for: ", FontColor -> RGBColor[ 
          1, 0, 0]], {z7, z8}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Obtained representation has: dim="\
\[InvisibleSpace]6\),
      SequenceForm[ "   Obtained representation has: dim=", 6],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5 + n6 + n7 + n8\)\ \
\((m\^2)\)\^\(8 - 4\ eps - n1 - n2 - n3 - n4 - n5 - n6 - n7 - n8\)\ Gamma[
            2 - eps - n5]\ Gamma[
            2 - eps - n6]\ Gamma[\(-2\) + eps + n5 + 
              n6]\ Gamma[\(-z1\)]\ Gamma[
            2 - eps - n2 - n7 - z1 - z2]\ Gamma[\(-z2\)]\ Gamma[
            2 - eps - n7 - n8 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[
            n7 + z1 + z3]\ Gamma[\(-z4\)]\ Gamma[\(-2\) + eps + n2 + n7 + 
              n8 + z1 + z2 + z3 + z4]\ Gamma[
            6 - 3\ eps - n1 - n2 - n5 - n6 - n7 - n8 - z1 - z2 - z4 - 
              z5]\ Gamma[\(-z5\)]\ Gamma[
            2 - eps + z5]\ Gamma[\(-2\) + eps + n5 + n6 - z3 + 
              z5]\ Gamma[\(-2\) + eps + n3 - z1 - z5 - z6]\ Gamma[
            10 - 5\ eps - 2\ n1 - 2\ n2 - n4 - n5 - n6 - 2\ n7 - 2\ n8 - 
              2\ z1 - 2\ z2 - z3 - 2\ z4 - z5 - 
              z6]\ Gamma[\(-z6\)]\ Gamma[\(-6\) + 3\ eps + n1 + n2 + n4 + 
              n5 + n6 + n7 + n8 + z1 + z2 + z4 + z5 + z6]\ Gamma[\(-2\) + 
              eps + n1 + n2 + n7 + n8 + z1 + z2 + z3 + z4 + z5 + 
              z6])\)/\((Gamma[2 - eps]\ Gamma[n2]\ Gamma[n4]\ Gamma[
            n5]\ Gamma[4 - 2\ eps - n5 - n6]\ Gamma[n6]\ Gamma[n7]\ Gamma[
            4 - 2\ eps - n2 - n7 - n8]\ Gamma[
            n8]\ Gamma[\(-2\) + eps + n5 + n6 - z3]\ Gamma[
            8 - 4\ eps - n1 - n2 - n4 - n5 - n6 - n7 - n8 - z1 - z2 - 
              z4]\ Gamma[
            4 - 2\ eps - n1 - n2 - n7 - n8 - z1 - z2 - z3 - 
              z4]\ Gamma[\(-2\) + eps + n1 + n2 + n7 + n8 + z1 + z2 + z3 + 
              z4]\ Gamma[n3 - z1 - z6])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = % /. \ {n1 \[Rule] 1, n2 \[Rule] 1, n3 \[Rule] 1, n4 \[Rule] 1, 
          n5 \[Rule] 1, n6 \[Rule] 1, n7 \[Rule] 1, n8 \[Rule] 1}\)], "Input"],

Cell[BoxData[
    \(\((\((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
            eps]\ Gamma[\(-z1\)]\ Gamma[\(-eps\) - z1 - 
              z2]\ Gamma[\(-z2\)]\ Gamma[\(-eps\) + z2 - 
              z3]\ Gamma[\(-z3\)]\ Gamma[1 + z1 + z3]\ Gamma[\(-z4\)]\ Gamma[
            1 + eps + z1 + z2 + z3 + z4]\ Gamma[\(-3\)\ eps - z1 - z2 - z4 - 
              z5]\ Gamma[\(-z5\)]\ Gamma[2 - eps + z5]\ Gamma[
            eps - z3 + z5]\ Gamma[\(-1\) + eps - z1 - z5 - 
              z6]\ Gamma[\(-1\) - 5\ eps - 2\ z1 - 2\ z2 - z3 - 2\ z4 - z5 - 
              z6]\ Gamma[\(-z6\)]\ Gamma[
            1 + 3\ eps + z1 + z2 + z4 + z5 + z6]\ Gamma[
            2 + eps + z1 + z2 + z3 + z4 + z5 + z6])\)/\((Gamma[
            1 - 2\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
            eps - z3]\ Gamma[
            1 - 4\ eps - z1 - z2 - z4]\ Gamma[\(-2\)\ eps - z1 - z2 - z3 - 
              z4]\ Gamma[2 + eps + z1 + z2 + z3 + z4]\ Gamma[
            1 - z1 - z6])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = MBoptimizedRules[repr, eps \[Rule] 0, {}, {eps}]\)], "Input"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBrules :: \\\"norules\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({{eps \[Rule] 15\/112}, {z1 \[Rule] \(-\(1\/32\)\), 
        z2 \[Rule] \(-\(3\/14\)\), z3 \[Rule] \(-\(67\/112\)\), 
        z4 \[Rule] \(-\(3\/32\)\), z5 \[Rule] \(-\(89\/224\)\), 
        z6 \[Rule] \(-\(277\/448\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(integrals = MBcontinue[repr, eps \[Rule] 0, rules]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(integrals\\)\\\" is similar to existing \
symbol \\\"\\!\\(integral\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z6\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) - 3\ eps - z1 - z2 - z4 - 
          z5\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z6, " = ", 
        Plus[ -1, 
          Times[ -3, eps], 
          Times[ -1, z1], 
          Times[ -1, z2], 
          Times[ -1, z4], 
          Times[ -1, z5]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]2\),
      SequenceForm[ "Level ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1}\),
      SequenceForm[ "Integral ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z4\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-4\)\ eps - z2\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z4, " = ", 
        Plus[ 
          Times[ -4, eps], 
          Times[ -1, z2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]3\),
      SequenceForm[ "Level ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 1}\),
      SequenceForm[ "Integral ", {1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-4\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -4, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]4\),
      SequenceForm[ "Level ", 4],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 1, 1}\),
      SequenceForm[ "Integral ", {1, 1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(4\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 4, " integral(s) found"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{{{MBint[\((\((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
                      eps]\ Gamma[4\ eps]\ Gamma[
                      3\ eps - z1]\ Gamma[\(-z1\)]\ Gamma[\(-5\)\ eps - 
                        z3]\ Gamma[\(-z3\)]\ Gamma[1 - 2\ eps + z3]\ Gamma[
                      1 + z1 + z3]\ Gamma[1 - 3\ eps + z1 + z3]\ Gamma[
                      eps - z1 - z5]\ Gamma[\(-z5\)]\ Gamma[
                      1 - eps + z1 + z5]\ Gamma[eps - z3 + z5])\)/\((Gamma[
                      1 - 2\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                      1 - z1]\ Gamma[eps - z3]\ Gamma[
                      2 - 3\ eps + z1 + z3])\), {{eps \[Rule] 
                    0}, {z1 \[Rule] \(-\(1\/32\)\), 
                  z3 \[Rule] \(-\(67\/112\)\), 
                  z5 \[Rule] \(-\(89\/224\)\)}}]}, 
          MBint[\((\((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
                    eps]\ Gamma[\(-z1\)]\ Gamma[\(-eps\) - z1 - 
                      z2]\ Gamma[\(-z2\)]\ Gamma[
                    4\ eps + z2]\ Gamma[\(-eps\) + z2 - 
                      z3]\ Gamma[\(-z3\)]\ Gamma[1 - 2\ eps + z3]\ Gamma[
                    1 + z1 + z3]\ Gamma[1 - 3\ eps + z1 + z3]\ Gamma[
                    eps - z1 - z5]\ Gamma[\(-z5\)]\ Gamma[
                    1 - eps + z1 + z5]\ Gamma[eps - z3 + z5])\)/\((Gamma[
                    1 - 2\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                    1 - z1]\ Gamma[eps - z3]\ Gamma[
                    2 - 3\ eps + z1 + z3])\), {{eps \[Rule] 
                  0}, {z1 \[Rule] \(-\(1\/32\)\), z2 \[Rule] \(-\(3\/14\)\), 
                z3 \[Rule] \(-\(67\/112\)\), z5 \[Rule] \(-\(89\/224\)\)}}]}, 
        MBint[\((\((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
                  eps]\ Gamma[\(-z1\)]\ Gamma[\(-eps\) - z1 - 
                    z2]\ Gamma[\(-z2\)]\ Gamma[\(-eps\) + z2 - 
                    z3]\ Gamma[\(-z3\)]\ Gamma[1 - 2\ eps + z3]\ Gamma[
                  1 + z1 + z3]\ Gamma[\(-z4\)]\ Gamma[
                  4\ eps + z2 + z4]\ Gamma[
                  1 + eps + z1 + z2 + z3 + z4]\ Gamma[\(-3\)\ eps - z1 - z2 - 
                    z4 - z5]\ Gamma[\(-z5\)]\ Gamma[2 - eps + z5]\ Gamma[
                  eps - z3 + z5]\ Gamma[
                  1 + 3\ eps + z1 + z2 + z4 + z5])\)/\((Gamma[
                  1 - 2\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                  eps - z3]\ Gamma[1 - 4\ eps - z1 - z2 - z4]\ Gamma[
                  2 + eps + z1 + z2 + z3 + z4]\ Gamma[
                  2 + 3\ eps + z2 + z4 + z5])\), {{eps \[Rule] 
                0}, {z1 \[Rule] \(-\(1\/32\)\), z2 \[Rule] \(-\(3\/14\)\), 
              z3 \[Rule] \(-\(67\/112\)\), z4 \[Rule] \(-\(3\/32\)\), 
              z5 \[Rule] \(-\(89\/224\)\)}}]}, 
      MBint[\((\((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
                eps]\ Gamma[\(-z1\)]\ Gamma[\(-eps\) - z1 - 
                  z2]\ Gamma[\(-z2\)]\ Gamma[\(-eps\) + z2 - 
                  z3]\ Gamma[\(-z3\)]\ Gamma[
                1 + z1 + z3]\ Gamma[\(-z4\)]\ Gamma[
                1 + eps + z1 + z2 + z3 + z4]\ Gamma[\(-3\)\ eps - z1 - z2 - 
                  z4 - z5]\ Gamma[\(-z5\)]\ Gamma[2 - eps + z5]\ Gamma[
                eps - z3 + z5]\ Gamma[\(-1\) + eps - z1 - z5 - 
                  z6]\ Gamma[\(-1\) - 5\ eps - 2\ z1 - 2\ z2 - z3 - 2\ z4 - 
                  z5 - z6]\ Gamma[\(-z6\)]\ Gamma[
                1 + 3\ eps + z1 + z2 + z4 + z5 + z6]\ Gamma[
                2 + eps + z1 + z2 + z3 + z4 + z5 + z6])\)/\((Gamma[
                1 - 2\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                eps - z3]\ Gamma[
                1 - 4\ eps - z1 - z2 - z4]\ Gamma[\(-2\)\ eps - z1 - z2 - 
                  z3 - z4]\ Gamma[2 + eps + z1 + z2 + z3 + z4]\ Gamma[
                1 - z1 - z6])\), {{eps \[Rule] 
              0}, {z1 \[Rule] \(-\(1\/32\)\), z2 \[Rule] \(-\(3\/14\)\), 
            z3 \[Rule] \(-\(67\/112\)\), z4 \[Rule] \(-\(3\/32\)\), 
            z5 \[Rule] \(-\(89\/224\)\), 
            z6 \[Rule] \(-\(277\/448\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(ser = 
        MBexpand[{integrals}, 
          Exp[4*eps*EulerGamma], {eps, 0, 1}];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MBintegrate[ser, {m \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["Performing 0 1-dimensional integrations", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart1eps1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]6\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart1eps1", " (dim ", 6, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart2eps1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]5\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart2eps1", " (dim ", 5, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart3eps1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]4\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart3eps1", " (dim ", 4, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart4eps1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart4eps1", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart5eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]6\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart5eps0", " (dim ", 6, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart6eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]5\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart6eps0", " (dim ", 5, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart7eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]4\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart7eps0", " (dim ", 4, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart8eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart8eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart9eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]6\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart9eps-1", " (dim ", 6, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart10eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]5\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart10eps-1", " (dim ", 5, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart11eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]4\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart11eps-1", " (dim ", 4, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart12eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart12eps-1", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart13eps-2"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart13eps-2", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart1eps1"\),
      SequenceForm[ "Running ", "MBpart1eps1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart2eps1"\),
      SequenceForm[ "Running ", "MBpart2eps1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart3eps1"\),
      SequenceForm[ "Running ", "MBpart3eps1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart4eps1"\),
      SequenceForm[ "Running ", "MBpart4eps1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart5eps0"\),
      SequenceForm[ "Running ", "MBpart5eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart6eps0"\),
      SequenceForm[ "Running ", "MBpart6eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart7eps0"\),
      SequenceForm[ "Running ", "MBpart7eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart8eps0"\),
      SequenceForm[ "Running ", "MBpart8eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart9eps-1"\),
      SequenceForm[ "Running ", "MBpart9eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart10eps-1"\),
      SequenceForm[ "Running ", "MBpart10eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart11eps-1"\),
      SequenceForm[ "Running ", "MBpart11eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart12eps-1"\),
      SequenceForm[ "Running ", "MBpart12eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart13eps-2"\),
      SequenceForm[ "Running ", "MBpart13eps-2"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({1.328082999999999`\ Second, {\(\(41.27948805999995`\)\(\
\[InvisibleSpace]\)\) + 1.80313708`\/eps\^2 - 1.9853196600000018`\/eps - 
          90.06478370000013`\ eps, {\(\(0.4425791463841268`\)\(\
\[InvisibleSpace]\)\) + 0.000180015008`\/eps\^2 + 
            0.041211676447166105`\/eps + 6.206640615348893`\ eps, 
          0}}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ \[IndentingNewLine]\[IndentingNewLine]large\ dimensionality\ of\ \
the\ integral\ spoils\ the\ accuracy, \ 
      see\ eq  .27\ in\ [16]\ \[IndentingNewLine]*) \)], "Input"]
},
FrontEndVersion->"5.1 for X",
ScreenRectangle->{{0, 1024}, {0, 768}},
WindowSize->{520, 689},
WindowMargins->{{0, Automatic}, {Automatic, 25}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 40, 1, 27, "Input"],
Cell[1819, 56, 41, 1, 23, "Print"],
Cell[1863, 59, 51, 1, 23, "Print"],
Cell[1917, 62, 62, 1, 23, "Print"],
Cell[1982, 65, 58, 1, 23, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2077, 71, 43, 1, 27, "Input"],
Cell[2123, 74, 56, 1, 23, "Print"],
Cell[2182, 77, 60, 1, 23, "Print"]
}, Open  ]],
Cell[2257, 81, 294, 5, 91, "Input"],
Cell[2554, 88, 725, 11, 251, "Input"],

Cell[CellGroupData[{
Cell[3304, 103, 43, 1, 27, "Input"],
Cell[3350, 106, 143, 3, 23, "Print"],
Cell[3496, 111, 394, 11, 39, "Print"],
Cell[3893, 124, 143, 3, 23, "Print"],
Cell[4039, 129, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4250, 137, 50, 1, 27, "Input"],
Cell[4303, 140, 264, 4, 23, "Print"],
Cell[4570, 146, 257, 5, 23, "Print"],
Cell[4830, 153, 50, 1, 23, "Print"],
Cell[4883, 156, 51, 1, 23, "Print"],
Cell[4937, 159, 50, 1, 23, "Print"],
Cell[4990, 162, 161, 3, 43, "Print"],
Cell[5154, 167, 215, 4, 23, "Print"],
Cell[5372, 173, 987, 21, 170, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6396, 199, 43, 1, 27, "Input"],
Cell[6442, 202, 143, 3, 23, "Print"],
Cell[6588, 207, 323, 9, 23, "Print"],
Cell[6914, 218, 143, 3, 23, "Print"],
Cell[7060, 223, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7271, 231, 50, 1, 27, "Input"],
Cell[7324, 234, 264, 4, 23, "Print"],
Cell[7591, 240, 257, 5, 23, "Print"],
Cell[7851, 247, 50, 1, 23, "Print"],
Cell[7904, 250, 44, 1, 23, "Print"],
Cell[7951, 253, 50, 1, 23, "Print"],
Cell[8004, 256, 64, 1, 23, "Print"],
Cell[8071, 259, 225, 4, 23, "Print"],
Cell[8299, 265, 1079, 21, 170, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9415, 291, 43, 1, 27, "Input"],
Cell[9461, 294, 143, 3, 23, "Print"],
Cell[9607, 299, 634, 17, 39, "Print"],
Cell[10244, 318, 143, 3, 23, "Print"],
Cell[10390, 323, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10601, 331, 50, 1, 27, "Input"],
Cell[10654, 334, 264, 4, 23, "Print"],
Cell[10921, 340, 257, 5, 23, "Print"],
Cell[11181, 347, 50, 1, 23, "Print"],
Cell[11234, 350, 51, 1, 23, "Print"],
Cell[11288, 353, 50, 1, 23, "Print"],
Cell[11341, 356, 144, 2, 43, "Print"],
Cell[11488, 360, 242, 5, 23, "Print"],
Cell[11733, 367, 2029, 35, 364, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13799, 407, 41, 1, 27, "Input"],
Cell[13843, 410, 172, 3, 33, "Message"],
Cell[14018, 415, 79, 1, 23, "Print"],
Cell[14100, 418, 50, 1, 23, "Print"],
Cell[14153, 421, 51, 1, 23, "Print"],
Cell[14207, 424, 50, 1, 23, "Print"],
Cell[14260, 427, 719, 26, 43, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15016, 458, 147, 3, 59, "Input"],
Cell[15166, 463, 126, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15329, 470, 50, 1, 27, "Input"],
Cell[15382, 473, 264, 4, 23, "Print"],
Cell[15649, 479, 253, 5, 23, "Print"],
Cell[15905, 486, 242, 5, 23, "Print"],
Cell[16150, 493, 1995, 35, 332, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18182, 533, 43, 1, 27, "Input"],
Cell[18228, 536, 143, 3, 23, "Print"],
Cell[18374, 541, 375, 11, 23, "Print"],
Cell[18752, 554, 143, 3, 23, "Print"],
Cell[18898, 559, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19109, 567, 55, 1, 27, "Input"],
Cell[19167, 570, 264, 4, 23, "Print"],
Cell[19434, 576, 257, 5, 23, "Print"],
Cell[19694, 583, 50, 1, 23, "Print"],
Cell[19747, 586, 44, 1, 23, "Print"],
Cell[19794, 589, 50, 1, 23, "Print"],
Cell[19847, 592, 65, 1, 25, "Print"],
Cell[19915, 595, 56, 1, 23, "Print"],
Cell[19974, 598, 1845, 29, 340, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21856, 632, 57, 1, 27, "Input"],
Cell[21916, 635, 314, 6, 39, "Print"],
Cell[22233, 643, 226, 4, 23, "Print"],
Cell[22462, 649, 201, 10, 143, "Print"],
Cell[22666, 661, 80, 1, 23, "Print"],
Cell[22749, 664, 466, 12, 23, "Print"],
Cell[23218, 678, 197, 4, 23, "Print"],
Cell[23418, 684, 1661, 27, 392, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25116, 716, 170, 2, 59, "Input"],
Cell[25289, 720, 989, 16, 246, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26315, 741, 89, 1, 27, "Input"],
Cell[26407, 744, 128, 2, 20, "Message"],
Cell[26538, 748, 128, 2, 20, "Message"],
Cell[26669, 752, 128, 2, 20, "Message"],
Cell[26800, 756, 334, 5, 33, "Message"],
Cell[27137, 763, 255, 4, 80, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27429, 772, 83, 1, 27, "Input"],
Cell[27515, 775, 365, 5, 46, "Message"],
Cell[27883, 782, 42, 1, 23, "Print"],
Cell[27928, 785, 465, 12, 23, "Print"],
Cell[28396, 799, 135, 3, 23, "Print"],
Cell[28534, 804, 145, 3, 23, "Print"],
Cell[28682, 809, 350, 8, 23, "Print"],
Cell[29035, 819, 135, 3, 23, "Print"],
Cell[29173, 824, 151, 3, 23, "Print"],
Cell[29327, 829, 300, 6, 23, "Print"],
Cell[29630, 837, 135, 3, 23, "Print"],
Cell[29768, 842, 157, 3, 23, "Print"],
Cell[29928, 847, 159, 3, 23, "Print"],
Cell[30090, 852, 4101, 64, 998, "Output"]
}, Open  ]],
Cell[34206, 919, 121, 3, 43, "Input"],

Cell[CellGroupData[{
Cell[34352, 926, 64, 1, 27, "Input"],
Cell[34419, 929, 55, 1, 23, "Print"],
Cell[34477, 932, 56, 0, 23, "Print"],
Cell[34536, 934, 63, 1, 23, "Print"],
Cell[34602, 937, 250, 4, 23, "Print"],
Cell[34855, 943, 250, 4, 23, "Print"],
Cell[35108, 949, 250, 4, 23, "Print"],
Cell[35361, 955, 250, 4, 23, "Print"],
Cell[35614, 961, 250, 4, 23, "Print"],
Cell[35867, 967, 250, 4, 23, "Print"],
Cell[36120, 973, 250, 4, 23, "Print"],
Cell[36373, 979, 250, 4, 23, "Print"],
Cell[36626, 985, 252, 4, 23, "Print"],
Cell[36881, 991, 254, 4, 23, "Print"],
Cell[37138, 997, 254, 4, 23, "Print"],
Cell[37395, 1003, 254, 4, 23, "Print"],
Cell[37652, 1009, 254, 4, 23, "Print"],
Cell[37909, 1015, 163, 3, 23, "Print"],
Cell[38075, 1020, 163, 3, 23, "Print"],
Cell[38241, 1025, 163, 3, 23, "Print"],
Cell[38407, 1030, 163, 3, 23, "Print"],
Cell[38573, 1035, 163, 3, 23, "Print"],
Cell[38739, 1040, 163, 3, 23, "Print"],
Cell[38905, 1045, 163, 3, 23, "Print"],
Cell[39071, 1050, 163, 3, 23, "Print"],
Cell[39237, 1055, 165, 3, 23, "Print"],
Cell[39405, 1060, 167, 3, 23, "Print"],
Cell[39575, 1065, 167, 3, 23, "Print"],
Cell[39745, 1070, 167, 3, 23, "Print"],
Cell[39915, 1075, 167, 3, 23, "Print"],
Cell[40085, 1080, 363, 6, 87, "Output"]
}, Open  ]],
Cell[40463, 1089, 198, 3, 91, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

