(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     61974,       1611]*)
(*NotebookOutlinePosition[     62604,       1633]*)
(*  CellTagsIndexPosition[     62560,       1629]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(Quit[]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< MB.m\)], "Input"],

Cell[BoxData[
    \("MB 1.1"\)], "Print"],

Cell[BoxData[
    \("by Michal Czakon"\)], "Print"],

Cell[BoxData[
    \("more info in hep-ph/0511200"\)], "Print"],

Cell[BoxData[
    \("last modified 28 Jan 06"\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< AMBRE.m\)], "Input"],

Cell[BoxData[
    \("by K.Kajda   ver: 1.0"\)], "Print"],

Cell[BoxData[
    \("last modified 21 Mar 2007"\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< momenta_gen/KinematicsGen.m\)], "Input"],

Cell[BoxData[
    \("by K.Kajda ver:1.2"\)], "Print"],

Cell[BoxData[
    \("last modification 01 Feb 2007"\)], "Print"]
}, Open  ]],

Cell[BoxData[
    \(\(int = 
        Fullintegral[{1}, {PR[k1, 0, n1]\ PR[k1 + p1, 0, n2]\ PR[
                k1 + p1 + p2, 0, n3]\ PR[k1 + p1 + p2 + p3, 0, n4]\ PR[
                k1 + p1 + p2 + p3 + p4, 0, n5] 
              PR[k1 + p1 + p2 + p3 + p4 + p5, 0, n6]}, {k1}];\)\)], "Input"],

Cell[BoxData[
    \(\(kin = {p1^2 \[Rule] 0, p2^2 \[Rule] 0, p3^2 \[Rule] 0, 
          p4^2 \[Rule] 0, p5^2 \[Rule] 0, p6^2 \[Rule] 0};\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(choice = {s12, s23, s34, s45, s56, s16, s123, s234, 
          s345};\)\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(s123\\)\\\" is similar to existing symbol \\\
\"\\!\\(s23\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\
\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(s234\\)\\\" is similar to existing symbol \\\
\"\\!\\(s34\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\
\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(s345\\)\\\" is similar to existing symbol \\\
\"\\!\\(s45\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\
\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(General :: \\\"spell1\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(invariants = Kinematics[kin, choice]\)], "Input"],

Cell[BoxData[
    \({p1\^2 \[Rule] 0, p2\^2 \[Rule] 0, p3\^2 \[Rule] 0, p4\^2 \[Rule] 0, 
      p5\^2 \[Rule] 0, p6\^2 \[Rule] 0, p1\ p2 \[Rule] s12\/2, 
      p2\ p3 \[Rule] s23\/2, p3\ p4 \[Rule] s34\/2, p4\ p5 \[Rule] s45\/2, 
      p5\ p6 \[Rule] s56\/2, p1\ p6 \[Rule] s16\/2, 
      p1\ p3 \[Rule] \(-\(1\/2\)\)\ \((s12 - s123 + s23)\), 
      p2\ p4 \[Rule] \(-\(1\/2\)\)\ \((s23 - s234 + s34)\), 
      p3\ p5 \[Rule] \(-\(1\/2\)\)\ \((s34 - s345 + s45)\), 
      p1\ p4 \[Rule] \(-\(1\/2\)\)\ \((s123 - s23 + s234 - s56)\), 
      p1\ p5 \[Rule] \(-\(1\/2\)\)\ \((s16 - s234 + s56)\), 
      p2\ p5 \[Rule] \(-\(1\/2\)\)\ \((\(-s16\) + s234 - s34 + s345)\), 
      p2\ p6 \[Rule] \(-\(1\/2\)\)\ \((s12 + s16 - s345)\), 
      p3\ p6 \[Rule] \(-\(1\/2\)\)\ \((\(-s12\) + s123 + s345 - s45)\), 
      p4\ p6 \[Rule] \(-\(1\/2\)\)\ \((\(-s123\) + s45 + s56)\)}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k1, 0, n1]\ PR[
            k1 + p1, 0, n2]\ PR[k1 + p1 + p2, 0, n3]\ PR[k1 + p1 + p2 + p3, 
            0, n4]\ PR[k1 + p1 + p2 + p3 + p4, 0, n5]\ PR[
            k1 + p1 + p2 + p3 + p4 + p5, 0, n6]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k1, 0, n1], 
          PR[ 
            Plus[ k1, p1], 0, n2], 
          PR[ 
            Plus[ k1, p1, p2], 0, n3], 
          PR[ 
            Plus[ k1, p1, p2, p3], 0, n4], 
          PR[ 
            Plus[ k1, p1, p2, p3, p4], 0, n5], 
          PR[ 
            Plus[ k1, p1, p2, p3, p4, p5], 0, n6]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k1\),
      SequenceForm[ "momentum=", k1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(rep = SubLoop[integral];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]1\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k1\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 1, ": >>Integrating over ", k1, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2] + X[3] + X[4] + X[5] + X[6]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-s12\)\ X[1]\ X[3] - s123\ X[1]\ X[4] - s23\ X[2]\ X[4] - 
      s56\ X[1]\ X[5] - s234\ X[2]\ X[5] - s34\ X[3]\ X[5] - 
      s16\ X[2]\ X[6] - s345\ X[3]\ X[6] - s45\ X[4]\ X[6]\)], "Print"],

Cell[BoxData[
    \("Final representation:"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5 + n6\)\ \
\((\(-s12\))\)\^z1\ \((\(-s123\))\)\^z2\ \((\(-s16\))\)\^z7\ \
\((\(-s23\))\)\^z3\ \((\(-s234\))\)\^z5\ \((\(-s34\))\)\^z6\ \
\((\(-s345\))\)\^z8\ \((\(-s45\))\)\^\(2 - eps - n1 - n2 - n3 - n4 - n5 - n6 \
- z1 - z2 - z3 - z4 - z5 - z6 - z7 - z8\)\ \((\(-s56\))\)\^z4\ Gamma[\(-z1\)]\
\ Gamma[\(-z2\)]\ Gamma[\(-z3\)]\ Gamma[\(-z4\)]\ Gamma[
                n1 + z1 + z2 + z4]\ Gamma[\(-z5\)]\ Gamma[
                2 - eps - n1 - n2 - n3 - n4 - n5 - z1 - z2 - z3 - z4 - z5 - 
                  z6]\ Gamma[\(-z6\)]\ Gamma[
                n5 + z4 + z5 + z6]\ Gamma[\(-z7\)]\ Gamma[
                n2 + z3 + z5 + z7]\ Gamma[
                2 - eps - n1 - n2 - n3 - n5 - n6 - z1 - z4 - z5 - z6 - z7 - 
                  z8]\ Gamma[\(-z8\)]\ Gamma[
                n3 + z1 + z6 + z8]\ Gamma[\(-2\) + eps + n1 + n2 + n3 + n4 + 
                  n5 + n6 + z1 + z2 + z3 + z4 + z5 + z6 + z7 + 
                  z8])\)/\((Gamma[n1]\ Gamma[n2]\ Gamma[n3]\ Gamma[n4]\ Gamma[
                n5]\ Gamma[4 - 2\ eps - n1 - n2 - n3 - n4 - n5 - n6]\ Gamma[
                n6])\)\),
        FontColor->RGBColor[0, 0, 1]],
      (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fin = BarnesLemma[rep, 1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 1st Lemma will be checked for: "\
\[InvisibleSpace]{}\[InvisibleSpace]" <<"\),
      SequenceForm[ ">> Barnes 1st Lemma will be checked for: ", {}, " <<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]8\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 8, " representation..."],
      Editable->False]], "Print"],

Cell[BoxData[
    \(">> Representation after 1st Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox["\<\"   Could not apply Barnes-Lemma\"\>",
        FontColor->RGBColor[1, 0, 0]],
      (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5 + n6\)\ \((\(-s12\))\)\^z1\ \
\((\(-s123\))\)\^z2\ \((\(-s16\))\)\^z7\ \((\(-s23\))\)\^z3\ \
\((\(-s234\))\)\^z5\ \((\(-s34\))\)\^z6\ \((\(-s345\))\)\^z8\ \
\((\(-s45\))\)\^\(2 - eps - n1 - n2 - n3 - n4 - n5 - n6 - z1 - z2 - z3 - z4 - \
z5 - z6 - z7 - z8\)\ \((\(-s56\))\)\^z4\ Gamma[\(-z1\)]\ Gamma[\(-z2\)]\ \
Gamma[\(-z3\)]\ Gamma[\(-z4\)]\ Gamma[
            n1 + z1 + z2 + z4]\ Gamma[\(-z5\)]\ Gamma[
            2 - eps - n1 - n2 - n3 - n4 - n5 - z1 - z2 - z3 - z4 - z5 - 
              z6]\ Gamma[\(-z6\)]\ Gamma[
            n5 + z4 + z5 + z6]\ Gamma[\(-z7\)]\ Gamma[
            n2 + z3 + z5 + z7]\ Gamma[
            2 - eps - n1 - n2 - n3 - n5 - n6 - z1 - z4 - z5 - z6 - z7 - 
              z8]\ Gamma[\(-z8\)]\ Gamma[
            n3 + z1 + z6 + z8]\ Gamma[\(-2\) + eps + n1 + n2 + n3 + n4 + n5 + 
              n6 + z1 + z2 + z3 + z4 + z5 + z6 + z7 + z8])\)/\((Gamma[
            n1]\ Gamma[n2]\ Gamma[n3]\ Gamma[n4]\ Gamma[n5]\ Gamma[
            4 - 2\ eps - n1 - n2 - n3 - n4 - n5 - n6]\ Gamma[
            n6])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fin = \(\(\(\(\(fin /. n1 \[Rule] 1\) /. n2 \[Rule] 1\) /. 
              n3 \[Rule] 1\) /. n4 \[Rule] 1\) /. n5 \[Rule] 1\) /. 
        n6 \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(\(\(1\/Gamma[\(-2\) - 
            2\ eps]\)\((\((\(-s12\))\)\^z1\ \((\(-s123\))\)\^z2\ \((\(-s16\))\
\)\^z7\ \((\(-s23\))\)\^z3\ \((\(-s234\))\)\^z5\ \((\(-s34\))\)\^z6\ \
\((\(-s345\))\)\^z8\ \((\(-s45\))\)\^\(\(-4\) - eps - z1 - z2 - z3 - z4 - z5 \
- z6 - z7 - z8\)\ \((\(-s56\))\)\^z4\ Gamma[\(-z1\)]\ Gamma[\(-z2\)]\ \
Gamma[\(-z3\)]\ Gamma[\(-z4\)]\ Gamma[
          1 + z1 + z2 + z4]\ Gamma[\(-z5\)]\ Gamma[\(-3\) - eps - z1 - z2 - 
            z3 - z4 - z5 - z6]\ Gamma[\(-z6\)]\ Gamma[
          1 + z4 + z5 + z6]\ Gamma[\(-z7\)]\ Gamma[
          1 + z3 + z5 + z7]\ Gamma[\(-3\) - eps - z1 - z4 - z5 - z6 - z7 - 
            z8]\ Gamma[\(-z8\)]\ Gamma[1 + z1 + z6 + z8]\ Gamma[
          4 + eps + z1 + z2 + z3 + z4 + z5 + z6 + z7 + z8])\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = MBoptimizedRules[fin, eps \[Rule] 0, {}, {eps}]\)], "Input"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(\(\(-2\)\) - eps - \
z4 - z5 - z7\)]"\)], "Message"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(\(\(-2\)\) - eps - \
z2 - z3 - z4 - z5\)]"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBrules :: \\\"norules\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(\(\(-eps\)\) + z1 - \
z5\)]"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBresidues :: \\\"contour\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({{eps \[Rule] \(-\(445\/256\)\)}, {z1 \[Rule] \(-\(37\/64\)\), 
        z2 \[Rule] \(-\(1\/8\)\), z3 \[Rule] \(-\(51\/64\)\), 
        z4 \[Rule] \(-\(1\/4\)\), z5 \[Rule] \(-\(1\/16\)\), 
        z6 \[Rule] \(-\(63\/256\)\), z7 \[Rule] \(-\(3\/64\)\), 
        z8 \[Rule] \(-\(15\/128\)\)}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(integrals = 
        MBcontinue[fin, eps \[Rule] 0, rules, 
          Verbose \[Rule] False];\)\)], "Input"],

Cell[BoxData[
    \(\(ser0 = 
        MBexpand[{integrals}, 
          Exp[eps\ EulerGamma], {eps, 0, 0}];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[
      MBintegrate[
        ser0, {s12 \[Rule] \(-1\), s23 \[Rule] \(-2\), s34 \[Rule] \(-3\), 
          s45 \[Rule] \(-4\), s56 \[Rule] \(-5\), s16 \[Rule] \(-6\), 
          s123 \[Rule] \(-7\), s234 \[Rule] \(-8\), 
          s345 \[Rule] \(-9\)}]]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["\<\
Performing 63 1-dimensional \
integrations...1...2...3...4...5...6...7...8...9...10...11...12...13...14...\
15...16...17...18...19...20...21...22...23...24...25...26...27...28...29...30.\
..31...32...33...34...35...36...37...38...39...40...41...42...43...44...45...\
46...47...48...49...50...51...52...53...54...55...56...57...58...59...60...61.\
..62...63\
\>", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart1eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart1eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart2eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart2eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart3eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart3eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart4eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart4eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart5eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart5eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart6eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart6eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart7eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart7eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart8eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart8eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart9eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart9eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart10eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart10eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart11eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart11eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart12eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart12eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart13eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart13eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart14eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart14eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart15eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart15eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart16eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart16eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart17eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart17eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart18eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart18eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart19eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart19eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart20eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart20eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart21eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]3\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart21eps0", " (dim ", 3, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart22eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart22eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart23eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart23eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart24eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart24eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart25eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart25eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart26eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart26eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart27eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart27eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart28eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart28eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart29eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart29eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart30eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart30eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart31eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart31eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart32eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart32eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart33eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart33eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart34eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart34eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart35eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart35eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart36eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart36eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart37eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart37eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart38eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart38eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart39eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart39eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart40eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart40eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart41eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart41eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart42eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart42eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart43eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart43eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart44eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart44eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart45eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart45eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart46eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart46eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart47eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart47eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart48eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart48eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart49eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart49eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart50eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart50eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart51eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart51eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart52eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart52eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart53eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart53eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart54eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart54eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart55eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart55eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart56eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart56eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart57eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart57eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart58eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart58eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart59eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart59eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart60eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart60eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart61eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart61eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart62eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart62eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart63eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart63eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart64eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart64eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart65eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart65eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart66eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart66eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart67eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart67eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart68eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart68eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart69eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart69eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart70eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart70eps-1", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart71eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart71eps-1", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart72eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart72eps-1", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart73eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart73eps-1", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart74eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart74eps-1", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart75eps-1"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart75eps-1", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart1eps0"\),
      SequenceForm[ "Running ", "MBpart1eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart2eps0"\),
      SequenceForm[ "Running ", "MBpart2eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart3eps0"\),
      SequenceForm[ "Running ", "MBpart3eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart4eps0"\),
      SequenceForm[ "Running ", "MBpart4eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart5eps0"\),
      SequenceForm[ "Running ", "MBpart5eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart6eps0"\),
      SequenceForm[ "Running ", "MBpart6eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart7eps0"\),
      SequenceForm[ "Running ", "MBpart7eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart8eps0"\),
      SequenceForm[ "Running ", "MBpart8eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart9eps0"\),
      SequenceForm[ "Running ", "MBpart9eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart10eps0"\),
      SequenceForm[ "Running ", "MBpart10eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart11eps0"\),
      SequenceForm[ "Running ", "MBpart11eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart12eps0"\),
      SequenceForm[ "Running ", "MBpart12eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart13eps0"\),
      SequenceForm[ "Running ", "MBpart13eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart14eps0"\),
      SequenceForm[ "Running ", "MBpart14eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart15eps0"\),
      SequenceForm[ "Running ", "MBpart15eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart16eps0"\),
      SequenceForm[ "Running ", "MBpart16eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart17eps0"\),
      SequenceForm[ "Running ", "MBpart17eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart18eps0"\),
      SequenceForm[ "Running ", "MBpart18eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart19eps0"\),
      SequenceForm[ "Running ", "MBpart19eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart20eps0"\),
      SequenceForm[ "Running ", "MBpart20eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart21eps0"\),
      SequenceForm[ "Running ", "MBpart21eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart22eps0"\),
      SequenceForm[ "Running ", "MBpart22eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart23eps0"\),
      SequenceForm[ "Running ", "MBpart23eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart24eps0"\),
      SequenceForm[ "Running ", "MBpart24eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart25eps0"\),
      SequenceForm[ "Running ", "MBpart25eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart26eps0"\),
      SequenceForm[ "Running ", "MBpart26eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart27eps0"\),
      SequenceForm[ "Running ", "MBpart27eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart28eps0"\),
      SequenceForm[ "Running ", "MBpart28eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart29eps0"\),
      SequenceForm[ "Running ", "MBpart29eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart30eps0"\),
      SequenceForm[ "Running ", "MBpart30eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart31eps0"\),
      SequenceForm[ "Running ", "MBpart31eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart32eps0"\),
      SequenceForm[ "Running ", "MBpart32eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart33eps0"\),
      SequenceForm[ "Running ", "MBpart33eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart34eps0"\),
      SequenceForm[ "Running ", "MBpart34eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart35eps0"\),
      SequenceForm[ "Running ", "MBpart35eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart36eps0"\),
      SequenceForm[ "Running ", "MBpart36eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart37eps0"\),
      SequenceForm[ "Running ", "MBpart37eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart38eps0"\),
      SequenceForm[ "Running ", "MBpart38eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart39eps0"\),
      SequenceForm[ "Running ", "MBpart39eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart40eps0"\),
      SequenceForm[ "Running ", "MBpart40eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart41eps0"\),
      SequenceForm[ "Running ", "MBpart41eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart42eps0"\),
      SequenceForm[ "Running ", "MBpart42eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart43eps0"\),
      SequenceForm[ "Running ", "MBpart43eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart44eps0"\),
      SequenceForm[ "Running ", "MBpart44eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart45eps0"\),
      SequenceForm[ "Running ", "MBpart45eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart46eps0"\),
      SequenceForm[ "Running ", "MBpart46eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart47eps0"\),
      SequenceForm[ "Running ", "MBpart47eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart48eps0"\),
      SequenceForm[ "Running ", "MBpart48eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart49eps0"\),
      SequenceForm[ "Running ", "MBpart49eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart50eps0"\),
      SequenceForm[ "Running ", "MBpart50eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart51eps0"\),
      SequenceForm[ "Running ", "MBpart51eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart52eps0"\),
      SequenceForm[ "Running ", "MBpart52eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart53eps0"\),
      SequenceForm[ "Running ", "MBpart53eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart54eps0"\),
      SequenceForm[ "Running ", "MBpart54eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart55eps0"\),
      SequenceForm[ "Running ", "MBpart55eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart56eps0"\),
      SequenceForm[ "Running ", "MBpart56eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart57eps0"\),
      SequenceForm[ "Running ", "MBpart57eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart58eps0"\),
      SequenceForm[ "Running ", "MBpart58eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart59eps0"\),
      SequenceForm[ "Running ", "MBpart59eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart60eps0"\),
      SequenceForm[ "Running ", "MBpart60eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart61eps0"\),
      SequenceForm[ "Running ", "MBpart61eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart62eps0"\),
      SequenceForm[ "Running ", "MBpart62eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart63eps0"\),
      SequenceForm[ "Running ", "MBpart63eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart64eps0"\),
      SequenceForm[ "Running ", "MBpart64eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart65eps0"\),
      SequenceForm[ "Running ", "MBpart65eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart66eps0"\),
      SequenceForm[ "Running ", "MBpart66eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart67eps0"\),
      SequenceForm[ "Running ", "MBpart67eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart68eps0"\),
      SequenceForm[ "Running ", "MBpart68eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart69eps0"\),
      SequenceForm[ "Running ", "MBpart69eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart70eps-1"\),
      SequenceForm[ "Running ", "MBpart70eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart71eps-1"\),
      SequenceForm[ "Running ", "MBpart71eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart72eps-1"\),
      SequenceForm[ "Running ", "MBpart72eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart73eps-1"\),
      SequenceForm[ "Running ", "MBpart73eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart74eps-1"\),
      SequenceForm[ "Running ", "MBpart74eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart75eps-1"\),
      SequenceForm[ "Running ", "MBpart75eps-1"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({5.960371999999991`\ Second, {\(\(0.035281270330290916`\)\(\
\[InvisibleSpace]\)\) + 0.04265873015873016`\/eps\^2 + 
          0.032177104128378334`\/eps, {\(\(0.000018901434725694147`\)\(\
\[InvisibleSpace]\)\) + 1.1393871237305903`*^-6\/eps, 0}}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]sectors\[IndentingNewLine]{50.959184`\ Second, {{\
\(\(0.03516979557127395`\)\(\[InvisibleSpace]\)\) + 
                0.042661451700768016`\/ep\^2 + 
                0.032145003870503716`\/ep, \(\(0.0007859234224555659`\)\(\
\[InvisibleSpace]\)\) + 0.000056059196442435445`\/ep\^2 + 
                0.0002445850279203611`\/ep, \(\(1.263567130584154`\)\(\
\[InvisibleSpace]\)\) + 0.008038549801100152`\/ep\^2 + 
                0.33710515536754804`\/ep}}}\[IndentingNewLine]*) \)], "Input"],

Cell[BoxData[
    \( (*\(\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\
\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(\ \)\(massive\)\)\ internal\ lines\ \ *******************************) \
\)], "Input"],

Cell[BoxData[
    \(\(int = 
        Fullintegral[{1}, {PR[k1, m, n1]\ PR[k1 + p1, m, n2]\ PR[
                k1 + p1 + p2, m, n3]\ PR[k1 + p1 + p2 + p3, m, n4]\ PR[
                k1 + p1 + p2 + p3 + p4, m, n5] 
              PR[k1 + p1 + p2 + p3 + p4 + p5, m, n6]}, {k1}];\)\)], "Input"],

Cell[BoxData[
    \(\(invariants = {p1^2 \[Rule] 0, p2^2 \[Rule] 0, p3^2 \[Rule] 0, 
          p4^2 \[Rule] 0, p5^2 \[Rule] 0, p6^2 \[Rule] 0, 
          p1*p4 \[Rule] \(-\((s123 - s23 + s234 - s56)\)\)/2, 
          p1*p5 \[Rule] \(-\((s16 - s234 + s56)\)\)/2, 
          p2*p5 \[Rule] \(-\((\(-s16\) + s234 - s34 + s345)\)\)/2, 
          p2*p6 \[Rule] \(-\((s12 + s16 - s345)\)\)/2, 
          p4*p6 \[Rule] \(-\((\(-s123\) + s45 + s56)\)\)/2, 
          p1*p2 \[Rule] s12/2, p1*p3 \[Rule] \(-\((s12 - s123 + s23)\)\)/2, 
          p2*p3 \[Rule] s23/2, p2*p4 \[Rule] \(-\((s23 - s234 + s34)\)\)/2, 
          p3*p4 \[Rule] s34/2, p3*p5 \[Rule] \(-\((s34 - s345 + s45)\)\)/2, 
          p4*p5 \[Rule] s45/2, p1*p6 \[Rule] s16/2, p5*p6 \[Rule] s56/2, 
          p3*p6 \[Rule] s12/2 - s123/2 - s345/2 + s45/2};\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k1, m, n1]\ PR[
            k1 + p1, m, n2]\ PR[k1 + p1 + p2, m, n3]\ PR[k1 + p1 + p2 + p3, 
            m, n4]\ PR[k1 + p1 + p2 + p3 + p4, m, n5]\ PR[
            k1 + p1 + p2 + p3 + p4 + p5, m, n6]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k1, m, n1], 
          PR[ 
            Plus[ k1, p1], m, n2], 
          PR[ 
            Plus[ k1, p1, p2], m, n3], 
          PR[ 
            Plus[ k1, p1, p2, p3], m, n4], 
          PR[ 
            Plus[ k1, p1, p2, p3, p4], m, n5], 
          PR[ 
            Plus[ k1, p1, p2, p3, p4, p5], m, n6]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k1\),
      SequenceForm[ "momentum=", k1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(rep = SubLoop[integral];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]1\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k1\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 1, ": >>Integrating over ", k1, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2] + X[3] + X[4] + X[5] + X[6]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(m\^2\ FX[X[1] + X[2] + X[3] + X[4] + X[5] + X[6]]\^2 - 
      s12\ X[1]\ X[3] - s123\ X[1]\ X[4] - s23\ X[2]\ X[4] - 
      s56\ X[1]\ X[5] - s234\ X[2]\ X[5] - s34\ X[3]\ X[5] - 
      s16\ X[2]\ X[6] - s345\ X[3]\ X[6] - s45\ X[4]\ X[6]\)], "Print"],

Cell[BoxData[
    \("Final representation:"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5 + n6\)\ \((m\^2)\)\
\^z1\ \((\(-s12\))\)\^z2\ \((\(-s123\))\)\^z3\ \((\(-s16\))\)\^z8\ \
\((\(-s23\))\)\^z4\ \((\(-s234\))\)\^z6\ \((\(-s34\))\)\^z7\ \
\((\(-s345\))\)\^z9\ \((\(-s45\))\)\^\(2 - eps - n1 - n2 - n3 - n4 - n5 - n6 \
- z1 - z2 - z3 - z4 - z5 - z6 - z7 - z8 - z9\)\ \((\(-s56\))\)\^z5\ \
Gamma[\(-z1\)]\ Gamma[\(-z10\)]\ Gamma[\(-z11\)]\ Gamma[\(-z12\)]\ \
Gamma[\(-z13\)]\ Gamma[\(-z14\)]\ Gamma[\(-2\)\ z1 + z10 + z11 + z12 + z13 + 
                  z14]\ Gamma[\(-z2\)]\ Gamma[\(-z3\)]\ Gamma[\(-z4\)]\ \
Gamma[\(-z5\)]\ Gamma[n1 + z10 + z2 + z3 + z5]\ Gamma[\(-z6\)]\ Gamma[
                2 - eps - n1 - n2 - n3 - n4 - n5 + z1 - z10 - z11 - z12 - 
                  z13 - z14 - z2 - z3 - z4 - z5 - z6 - 
                  z7]\ Gamma[\(-z7\)]\ Gamma[
                n5 + z14 + z5 + z6 + z7]\ Gamma[\(-z8\)]\ Gamma[
                n2 + z11 + z4 + z6 + z8]\ Gamma[
                2 - eps - n1 - n2 - n3 - n5 - n6 - z1 + z13 - z2 - z5 - z6 - 
                  z7 - z8 - z9]\ Gamma[\(-z9\)]\ Gamma[
                n3 + z12 + z2 + z7 + z9]\ Gamma[\(-2\) + eps + n1 + n2 + n3 + 
                  n4 + n5 + n6 + z1 + z2 + z3 + z4 + z5 + z6 + z7 + z8 + 
                  z9])\)/\((Gamma[n1]\ Gamma[n2]\ Gamma[n3]\ Gamma[n4]\ Gamma[
                n5]\ Gamma[4 - 2\ eps - n1 - n2 - n3 - n4 - n5 - n6]\ Gamma[
                n6]\ Gamma[\(-2\)\ z1])\)\),
        FontColor->RGBColor[0, 0, 1]],
      (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fin = BarnesLemma[rep, 1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 1st Lemma will be checked for: "\
\[InvisibleSpace]{z14, z13, z12, z11, z10}\[InvisibleSpace]" <<"\),
      SequenceForm[ 
      ">> Barnes 1st Lemma will be checked for: ", {z14, z13, z12, z11, z10}, 
        " <<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]14\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 14, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z14...Barnes Lemma was applied.
2. Checking z13...Barnes Lemma was applied.
3. Checking z12...Barnes Lemma was applied.
4. Checking z11...Barnes Lemma was applied.
5. Checking z10...Barnes Lemma was applied.\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 1st Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        TagBox[
          StyleBox["\<\"   1st Barnes Lemma was applied for: \"\>",
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)], 
        "\[InvisibleSpace]", \({z10, z11, z12, z13, z14}\)}],
      SequenceForm[ 
        StyleForm[ 
        "   1st Barnes Lemma was applied for: ", FontColor -> RGBColor[ 
          1, 0, 0]], {z10, z11, z12, z13, z14}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Obtained representation has: dim="\
\[InvisibleSpace]9\),
      SequenceForm[ "   Obtained representation has: dim=", 9],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5 + n6\)\ \((m\^2)\)\^z1\ \
\((\(-s12\))\)\^z2\ \((\(-s123\))\)\^z3\ \((\(-s16\))\)\^z8\ \
\((\(-s23\))\)\^z4\ \((\(-s234\))\)\^z6\ \((\(-s34\))\)\^z7\ \
\((\(-s345\))\)\^z9\ \((\(-s45\))\)\^\(2 - eps - n1 - n2 - n3 - n4 - n5 - n6 \
- z1 - z2 - z3 - z4 - z5 - z6 - z7 - z8 - z9\)\ \((\(-s56\))\)\^z5\ \
Gamma[\(-z1\)]\ Gamma[\(-z2\)]\ Gamma[\(-z3\)]\ Gamma[\(-z4\)]\ \
Gamma[\(-z5\)]\ Gamma[n1 + z2 + z3 + z5]\ Gamma[\(-z6\)]\ Gamma[
            2 - eps - n1 - n2 - n3 - n4 - n5 - z1 - z2 - z3 - z4 - z5 - z6 - 
              z7]\ Gamma[\(-z7\)]\ Gamma[
            n5 + z5 + z6 + z7]\ Gamma[\(-z8\)]\ Gamma[
            n2 + z4 + z6 + z8]\ Gamma[
            2 - eps - n1 - n2 - n3 - n5 - n6 - z1 - z2 - z5 - z6 - z7 - z8 - 
              z9]\ Gamma[\(-z9\)]\ Gamma[
            n3 + z2 + z7 + z9]\ Gamma[\(-2\) + eps + n1 + n2 + n3 + n4 + n5 + 
              n6 + z1 + z2 + z3 + z4 + z5 + z6 + z7 + z8 + z9])\)/\((Gamma[
            n1]\ Gamma[n2]\ Gamma[n3]\ Gamma[n4]\ Gamma[n5]\ Gamma[n6]\ Gamma[
            4 - 2\ eps - n1 - n2 - n3 - n4 - n5 - n6 - 2\ z1])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fin = \(\(\(\(\(fin /. n1 \[Rule] 1\) /. n2 \[Rule] 1\) /. 
              n3 \[Rule] 1\) /. n4 \[Rule] 1\) /. n5 \[Rule] 1\) /. 
        n6 \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(\(\(1\/Gamma[\(-2\) - 2\ eps - 
            2\ z1]\)\((\((m\^2)\)\^z1\ \((\(-s12\))\)\^z2\ \
\((\(-s123\))\)\^z3\ \((\(-s16\))\)\^z8\ \((\(-s23\))\)\^z4\ \
\((\(-s234\))\)\^z6\ \((\(-s34\))\)\^z7\ \((\(-s345\))\)\^z9\ \
\((\(-s45\))\)\^\(\(-4\) - eps - z1 - z2 - z3 - z4 - z5 - z6 - z7 - z8 - z9\)\
\ \((\(-s56\))\)\^z5\ Gamma[\(-z1\)]\ Gamma[\(-z2\)]\ Gamma[\(-z3\)]\ \
Gamma[\(-z4\)]\ Gamma[\(-z5\)]\ Gamma[
          1 + z2 + z3 + z5]\ Gamma[\(-z6\)]\ Gamma[\(-3\) - eps - z1 - z2 - 
            z3 - z4 - z5 - z6 - z7]\ Gamma[\(-z7\)]\ Gamma[
          1 + z5 + z6 + z7]\ Gamma[\(-z8\)]\ Gamma[
          1 + z4 + z6 + z8]\ Gamma[\(-3\) - eps - z1 - z2 - z5 - z6 - z7 - 
            z8 - z9]\ Gamma[\(-z9\)]\ Gamma[1 + z2 + z7 + z9]\ Gamma[
          4 + eps + z1 + z2 + z3 + z4 + z5 + z6 + z7 + z8 + 
            z9])\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = MBoptimizedRules[fin, eps \[Rule] 0, {}, {eps}]\)], "Input"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(\(\(-2\)\) - eps - \
z1 - z5 - z6 - z8\)]"\)], "Message"],

Cell[BoxData[
    \(MBresidues::"contour" \(\(:\)\(\ \)\) 
      "contour starts and/or ends on a pole of Gamma[\!\(\(\(-2\)\) - eps - \
z1 - z5 - z6 - z8\)]"\)], "Message"],

Cell[BoxData[
    \({{eps \[Rule] 3\/32}, {z1 \[Rule] \(-2\), z2 \[Rule] \(-\(1\/2\)\), 
        z3 \[Rule] \(-\(1\/8\)\), z4 \[Rule] \(-\(5\/32\)\), 
        z5 \[Rule] \(-\(1\/4\)\), z6 \[Rule] \(-\(3\/8\)\), 
        z7 \[Rule] \(-\(3\/16\)\), z8 \[Rule] \(-\(5\/32\)\), 
        z9 \[Rule] \(-\(5\/32\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(integrals = 
      MBcontinue[fin, eps \[Rule] 0, rules, Verbose \[Rule] False]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(integrals\\)\\\" is similar to existing \
symbol \\\"\\!\\(integral\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({MBint[\(\(1\/Gamma[\(-2\) - 2\ eps - 
                2\ z1]\)\((\((m\^2)\)\^z1\ \((\(-s12\))\)\^z2\ \
\((\(-s123\))\)\^z3\ \((\(-s16\))\)\^z8\ \((\(-s23\))\)\^z4\ \
\((\(-s234\))\)\^z6\ \((\(-s34\))\)\^z7\ \((\(-s345\))\)\^z9\ \
\((\(-s45\))\)\^\(\(-4\) - eps - z1 - z2 - z3 - z4 - z5 - z6 - z7 - z8 - z9\)\
\ \((\(-s56\))\)\^z5\ Gamma[\(-z1\)]\ Gamma[\(-z2\)]\ Gamma[\(-z3\)]\ \
Gamma[\(-z4\)]\ Gamma[\(-z5\)]\ Gamma[
              1 + z2 + z3 + z5]\ Gamma[\(-z6\)]\ Gamma[\(-3\) - eps - z1 - 
                z2 - z3 - z4 - z5 - z6 - z7]\ Gamma[\(-z7\)]\ Gamma[
              1 + z5 + z6 + z7]\ Gamma[\(-z8\)]\ Gamma[
              1 + z4 + z6 + z8]\ Gamma[\(-3\) - eps - z1 - z2 - z5 - z6 - 
                z7 - z8 - z9]\ Gamma[\(-z9\)]\ Gamma[1 + z2 + z7 + z9]\ Gamma[
              4 + eps + z1 + z2 + z3 + z4 + z5 + z6 + z7 + z8 + 
                z9])\)\), {{eps \[Rule] 0}, {z1 \[Rule] \(-2\), 
            z2 \[Rule] \(-\(1\/2\)\), z3 \[Rule] \(-\(1\/8\)\), 
            z4 \[Rule] \(-\(5\/32\)\), z5 \[Rule] \(-\(1\/4\)\), 
            z6 \[Rule] \(-\(3\/8\)\), z7 \[Rule] \(-\(3\/16\)\), 
            z8 \[Rule] \(-\(5\/32\)\), 
            z9 \[Rule] \(-\(5\/32\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ser = 
      MBexpand[{integrals}, Exp[eps\ EulerGamma], {eps, 0, 0}]\)], "Input"],

Cell[BoxData[
    \({MBint[\(\(1\/Gamma[\(-2\)\ \((1 + 
                    z1)\)]\)\((\((m\^2)\)\^z1\ \((\(-s12\))\)\^z2\ \((\(-s123\
\))\)\^z3\ \((\(-s16\))\)\^z8\ \((\(-s23\))\)\^z4\ \((\(-s234\))\)\^z6\ \
\((\(-s34\))\)\^z7\ \((\(-s345\))\)\^z9\ \((\(-s45\))\)\^\(\(-4\) - z1 - z2 - \
z3 - z4 - z5 - z6 - z7 - z8 - z9\)\ \((\(-s56\))\)\^z5\ Gamma[\(-z1\)]\ \
Gamma[\(-z2\)]\ Gamma[\(-z3\)]\ Gamma[\(-z4\)]\ Gamma[\(-z5\)]\ Gamma[
              1 + z2 + z3 + z5]\ Gamma[\(-z6\)]\ Gamma[\(-3\) - z1 - z2 - 
                z3 - z4 - z5 - z6 - z7]\ Gamma[\(-z7\)]\ Gamma[
              1 + z5 + z6 + z7]\ Gamma[\(-z8\)]\ Gamma[
              1 + z4 + z6 + z8]\ Gamma[\(-3\) - z1 - z2 - z5 - z6 - z7 - z8 - 
                z9]\ Gamma[\(-z9\)]\ Gamma[1 + z2 + z7 + z9]\ Gamma[
              4 + z1 + z2 + z3 + z4 + z5 + z6 + z7 + z8 + 
                z9])\)\), {{eps \[Rule] 0}, {z1 \[Rule] \(-2\), 
            z2 \[Rule] \(-\(1\/2\)\), z3 \[Rule] \(-\(1\/8\)\), 
            z4 \[Rule] \(-\(5\/32\)\), z5 \[Rule] \(-\(1\/4\)\), 
            z6 \[Rule] \(-\(3\/8\)\), z7 \[Rule] \(-\(3\/16\)\), 
            z8 \[Rule] \(-\(5\/32\)\), 
            z9 \[Rule] \(-\(5\/32\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MBintegrate[
      ser, {m \[Rule] 1, s12 \[Rule] \(-1\), s23 \[Rule] \(-2\), 
        s34 \[Rule] \(-3\), s45 \[Rule] \(-4\), s56 \[Rule] \(-5\), 
        s16 \[Rule] \(-6\), s123 \[Rule] \(-7\), s234 \[Rule] \(-8\), 
        s345 \[Rule] \(-9\)}]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["Performing 0 1-dimensional integrations", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart10"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]9\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart10", " (dim ", 9, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart10"\),
      SequenceForm[ "Running ", "MBpart10"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({0.00231752053`, {0.0000262410328`, 0}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ 
      sectors\[IndentingNewLine]{6.124383`\ Second, {{0.0033576676452116046`, 
              3.7100296905997188`*^-6, 
              2.7662817910409344`*^-6}}}\[IndentingNewLine]*) \)], "Input"]
},
FrontEndVersion->"5.0 for X",
ScreenRectangle->{{0, 1400}, {0, 1050}},
WindowSize->{1014, 689},
WindowMargins->{{0, Automatic}, {Automatic, 25}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 39, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[1818, 56, 40, 1, 27, "Input"],
Cell[1861, 59, 41, 1, 23, "Print"],
Cell[1905, 62, 51, 1, 23, "Print"],
Cell[1959, 65, 62, 1, 23, "Print"],
Cell[2024, 68, 58, 1, 23, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2119, 74, 43, 1, 27, "Input"],
Cell[2165, 77, 56, 1, 23, "Print"],
Cell[2224, 80, 60, 1, 23, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2321, 86, 63, 1, 27, "Input"],
Cell[2387, 89, 53, 1, 23, "Print"],
Cell[2443, 92, 64, 1, 23, "Print"]
}, Open  ]],
Cell[2522, 96, 291, 5, 59, "Input"],
Cell[2816, 103, 151, 2, 27, "Input"],

Cell[CellGroupData[{
Cell[2992, 109, 106, 2, 27, "Input"],
Cell[3101, 113, 355, 5, 20, "Message"],
Cell[3459, 120, 355, 5, 20, "Message"],
Cell[3817, 127, 355, 5, 20, "Message"],
Cell[4175, 134, 333, 5, 20, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4545, 144, 69, 1, 27, "Input"],
Cell[4617, 147, 880, 13, 152, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5534, 165, 43, 1, 27, "Input"],
Cell[5580, 168, 143, 3, 23, "Print"],
Cell[5726, 173, 682, 18, 39, "Print"],
Cell[6411, 193, 143, 3, 23, "Print"],
Cell[6557, 198, 174, 3, 20, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6768, 206, 61, 1, 27, "Input"],
Cell[6832, 209, 264, 4, 23, "Print"],
Cell[7099, 215, 257, 5, 23, "Print"],
Cell[7359, 222, 50, 1, 23, "Print"],
Cell[7412, 225, 72, 1, 23, "Print"],
Cell[7487, 228, 50, 1, 23, "Print"],
Cell[7540, 231, 214, 3, 23, "Print"],
Cell[7757, 236, 56, 1, 23, "Print"],
Cell[7816, 239, 1273, 21, 111, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9126, 265, 58, 1, 27, "Input"],
Cell[9187, 268, 238, 4, 23, "Print"],
Cell[9428, 274, 226, 4, 23, "Print"],
Cell[9657, 280, 80, 1, 23, "Print"],
Cell[9740, 283, 190, 4, 23, "Print"],
Cell[9933, 289, 1104, 18, 115, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11074, 312, 182, 3, 27, "Input"],
Cell[11259, 317, 785, 12, 99, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12081, 334, 88, 1, 27, "Input"],
Cell[12172, 337, 168, 3, 20, "Message"],
Cell[12343, 342, 173, 3, 20, "Message"],
Cell[12519, 347, 128, 2, 20, "Message"],
Cell[12650, 351, 128, 2, 20, "Message"],
Cell[12781, 355, 128, 2, 20, "Message"],
Cell[12912, 359, 334, 5, 20, "Message"],
Cell[13249, 366, 159, 3, 20, "Message"],
Cell[13411, 371, 337, 5, 20, "Message"],
Cell[13751, 378, 325, 5, 44, "Output"]
}, Open  ]],
Cell[14091, 386, 130, 3, 27, "Input"],
Cell[14224, 391, 121, 3, 27, "Input"],

Cell[CellGroupData[{
Cell[14370, 398, 292, 6, 27, "Input"],
Cell[14665, 406, 55, 1, 23, "Print"],
Cell[14723, 409, 381, 7, 68, "Print"],
Cell[15107, 418, 63, 1, 23, "Print"],
Cell[15173, 421, 250, 4, 23, "Print"],
Cell[15426, 427, 250, 4, 23, "Print"],
Cell[15679, 433, 250, 4, 23, "Print"],
Cell[15932, 439, 250, 4, 23, "Print"],
Cell[16185, 445, 250, 4, 23, "Print"],
Cell[16438, 451, 250, 4, 23, "Print"],
Cell[16691, 457, 250, 4, 23, "Print"],
Cell[16944, 463, 250, 4, 23, "Print"],
Cell[17197, 469, 250, 4, 23, "Print"],
Cell[17450, 475, 252, 4, 23, "Print"],
Cell[17705, 481, 252, 4, 23, "Print"],
Cell[17960, 487, 252, 4, 23, "Print"],
Cell[18215, 493, 252, 4, 23, "Print"],
Cell[18470, 499, 252, 4, 23, "Print"],
Cell[18725, 505, 252, 4, 23, "Print"],
Cell[18980, 511, 252, 4, 23, "Print"],
Cell[19235, 517, 252, 4, 23, "Print"],
Cell[19490, 523, 252, 4, 23, "Print"],
Cell[19745, 529, 252, 4, 23, "Print"],
Cell[20000, 535, 252, 4, 23, "Print"],
Cell[20255, 541, 252, 4, 23, "Print"],
Cell[20510, 547, 252, 4, 23, "Print"],
Cell[20765, 553, 252, 4, 23, "Print"],
Cell[21020, 559, 252, 4, 23, "Print"],
Cell[21275, 565, 252, 4, 23, "Print"],
Cell[21530, 571, 252, 4, 23, "Print"],
Cell[21785, 577, 252, 4, 23, "Print"],
Cell[22040, 583, 252, 4, 23, "Print"],
Cell[22295, 589, 252, 4, 23, "Print"],
Cell[22550, 595, 252, 4, 23, "Print"],
Cell[22805, 601, 252, 4, 23, "Print"],
Cell[23060, 607, 252, 4, 23, "Print"],
Cell[23315, 613, 252, 4, 23, "Print"],
Cell[23570, 619, 252, 4, 23, "Print"],
Cell[23825, 625, 252, 4, 23, "Print"],
Cell[24080, 631, 252, 4, 23, "Print"],
Cell[24335, 637, 252, 4, 23, "Print"],
Cell[24590, 643, 252, 4, 23, "Print"],
Cell[24845, 649, 252, 4, 23, "Print"],
Cell[25100, 655, 252, 4, 23, "Print"],
Cell[25355, 661, 252, 4, 23, "Print"],
Cell[25610, 667, 252, 4, 23, "Print"],
Cell[25865, 673, 252, 4, 23, "Print"],
Cell[26120, 679, 252, 4, 23, "Print"],
Cell[26375, 685, 252, 4, 23, "Print"],
Cell[26630, 691, 252, 4, 23, "Print"],
Cell[26885, 697, 252, 4, 23, "Print"],
Cell[27140, 703, 252, 4, 23, "Print"],
Cell[27395, 709, 252, 4, 23, "Print"],
Cell[27650, 715, 252, 4, 23, "Print"],
Cell[27905, 721, 252, 4, 23, "Print"],
Cell[28160, 727, 252, 4, 23, "Print"],
Cell[28415, 733, 252, 4, 23, "Print"],
Cell[28670, 739, 252, 4, 23, "Print"],
Cell[28925, 745, 252, 4, 23, "Print"],
Cell[29180, 751, 252, 4, 23, "Print"],
Cell[29435, 757, 252, 4, 23, "Print"],
Cell[29690, 763, 252, 4, 23, "Print"],
Cell[29945, 769, 252, 4, 23, "Print"],
Cell[30200, 775, 252, 4, 23, "Print"],
Cell[30455, 781, 252, 4, 23, "Print"],
Cell[30710, 787, 252, 4, 23, "Print"],
Cell[30965, 793, 252, 4, 23, "Print"],
Cell[31220, 799, 252, 4, 23, "Print"],
Cell[31475, 805, 252, 4, 23, "Print"],
Cell[31730, 811, 252, 4, 23, "Print"],
Cell[31985, 817, 252, 4, 23, "Print"],
Cell[32240, 823, 252, 4, 23, "Print"],
Cell[32495, 829, 252, 4, 23, "Print"],
Cell[32750, 835, 254, 4, 23, "Print"],
Cell[33007, 841, 254, 4, 23, "Print"],
Cell[33264, 847, 254, 4, 23, "Print"],
Cell[33521, 853, 254, 4, 23, "Print"],
Cell[33778, 859, 254, 4, 23, "Print"],
Cell[34035, 865, 254, 4, 23, "Print"],
Cell[34292, 871, 163, 3, 23, "Print"],
Cell[34458, 876, 163, 3, 23, "Print"],
Cell[34624, 881, 163, 3, 23, "Print"],
Cell[34790, 886, 163, 3, 23, "Print"],
Cell[34956, 891, 163, 3, 23, "Print"],
Cell[35122, 896, 163, 3, 23, "Print"],
Cell[35288, 901, 163, 3, 23, "Print"],
Cell[35454, 906, 163, 3, 23, "Print"],
Cell[35620, 911, 163, 3, 23, "Print"],
Cell[35786, 916, 165, 3, 23, "Print"],
Cell[35954, 921, 165, 3, 23, "Print"],
Cell[36122, 926, 165, 3, 23, "Print"],
Cell[36290, 931, 165, 3, 23, "Print"],
Cell[36458, 936, 165, 3, 23, "Print"],
Cell[36626, 941, 165, 3, 23, "Print"],
Cell[36794, 946, 165, 3, 23, "Print"],
Cell[36962, 951, 165, 3, 23, "Print"],
Cell[37130, 956, 165, 3, 23, "Print"],
Cell[37298, 961, 165, 3, 23, "Print"],
Cell[37466, 966, 165, 3, 23, "Print"],
Cell[37634, 971, 165, 3, 23, "Print"],
Cell[37802, 976, 165, 3, 23, "Print"],
Cell[37970, 981, 165, 3, 23, "Print"],
Cell[38138, 986, 165, 3, 23, "Print"],
Cell[38306, 991, 165, 3, 23, "Print"],
Cell[38474, 996, 165, 3, 23, "Print"],
Cell[38642, 1001, 165, 3, 23, "Print"],
Cell[38810, 1006, 165, 3, 23, "Print"],
Cell[38978, 1011, 165, 3, 23, "Print"],
Cell[39146, 1016, 165, 3, 23, "Print"],
Cell[39314, 1021, 165, 3, 23, "Print"],
Cell[39482, 1026, 165, 3, 23, "Print"],
Cell[39650, 1031, 165, 3, 23, "Print"],
Cell[39818, 1036, 165, 3, 23, "Print"],
Cell[39986, 1041, 165, 3, 23, "Print"],
Cell[40154, 1046, 165, 3, 23, "Print"],
Cell[40322, 1051, 165, 3, 23, "Print"],
Cell[40490, 1056, 165, 3, 23, "Print"],
Cell[40658, 1061, 165, 3, 23, "Print"],
Cell[40826, 1066, 165, 3, 23, "Print"],
Cell[40994, 1071, 165, 3, 23, "Print"],
Cell[41162, 1076, 165, 3, 23, "Print"],
Cell[41330, 1081, 165, 3, 23, "Print"],
Cell[41498, 1086, 165, 3, 23, "Print"],
Cell[41666, 1091, 165, 3, 23, "Print"],
Cell[41834, 1096, 165, 3, 23, "Print"],
Cell[42002, 1101, 165, 3, 23, "Print"],
Cell[42170, 1106, 165, 3, 23, "Print"],
Cell[42338, 1111, 165, 3, 23, "Print"],
Cell[42506, 1116, 165, 3, 23, "Print"],
Cell[42674, 1121, 165, 3, 23, "Print"],
Cell[42842, 1126, 165, 3, 23, "Print"],
Cell[43010, 1131, 165, 3, 23, "Print"],
Cell[43178, 1136, 165, 3, 23, "Print"],
Cell[43346, 1141, 165, 3, 23, "Print"],
Cell[43514, 1146, 165, 3, 23, "Print"],
Cell[43682, 1151, 165, 3, 23, "Print"],
Cell[43850, 1156, 165, 3, 23, "Print"],
Cell[44018, 1161, 165, 3, 23, "Print"],
Cell[44186, 1166, 165, 3, 23, "Print"],
Cell[44354, 1171, 165, 3, 23, "Print"],
Cell[44522, 1176, 165, 3, 23, "Print"],
Cell[44690, 1181, 165, 3, 23, "Print"],
Cell[44858, 1186, 165, 3, 23, "Print"],
Cell[45026, 1191, 165, 3, 23, "Print"],
Cell[45194, 1196, 165, 3, 23, "Print"],
Cell[45362, 1201, 165, 3, 23, "Print"],
Cell[45530, 1206, 165, 3, 23, "Print"],
Cell[45698, 1211, 165, 3, 23, "Print"],
Cell[45866, 1216, 167, 3, 23, "Print"],
Cell[46036, 1221, 167, 3, 23, "Print"],
Cell[46206, 1226, 167, 3, 23, "Print"],
Cell[46376, 1231, 167, 3, 23, "Print"],
Cell[46546, 1236, 167, 3, 23, "Print"],
Cell[46716, 1241, 167, 3, 23, "Print"],
Cell[46886, 1246, 282, 4, 49, "Output"]
}, Open  ]],
Cell[47183, 1253, 534, 8, 150, "Input"],
Cell[47720, 1263, 217, 3, 27, "Input"],
Cell[47940, 1268, 291, 5, 59, "Input"],
Cell[48234, 1275, 825, 12, 91, "Input"],

Cell[CellGroupData[{
Cell[49084, 1291, 43, 1, 27, "Input"],
Cell[49130, 1294, 143, 3, 23, "Print"],
Cell[49276, 1299, 682, 18, 39, "Print"],
Cell[49961, 1319, 143, 3, 23, "Print"],
Cell[50107, 1324, 174, 3, 20, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[50318, 1332, 61, 1, 27, "Input"],
Cell[50382, 1335, 264, 4, 23, "Print"],
Cell[50649, 1341, 257, 5, 23, "Print"],
Cell[50909, 1348, 50, 1, 23, "Print"],
Cell[50962, 1351, 72, 1, 23, "Print"],
Cell[51037, 1354, 50, 1, 23, "Print"],
Cell[51090, 1357, 271, 4, 41, "Print"],
Cell[51364, 1363, 56, 1, 23, "Print"],
Cell[51423, 1366, 1563, 24, 131, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[53023, 1395, 58, 1, 27, "Input"],
Cell[53084, 1398, 300, 6, 23, "Print"],
Cell[53387, 1406, 228, 4, 23, "Print"],
Cell[53618, 1412, 245, 7, 98, "Print"],
Cell[53866, 1421, 80, 1, 23, "Print"],
Cell[53949, 1424, 500, 12, 23, "Print"],
Cell[54452, 1438, 197, 4, 23, "Print"],
Cell[54652, 1444, 1140, 17, 119, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[55829, 1466, 182, 3, 27, "Input"],
Cell[56014, 1471, 860, 14, 123, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[56911, 1490, 88, 1, 27, "Input"],
Cell[57002, 1493, 173, 3, 20, "Message"],
Cell[57178, 1498, 173, 3, 20, "Message"],
Cell[57354, 1503, 324, 5, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[57715, 1513, 112, 2, 27, "Input"],
Cell[57830, 1517, 365, 5, 20, "Message"],
Cell[58198, 1524, 1218, 19, 159, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[59453, 1548, 102, 2, 27, "Input"],
Cell[59558, 1552, 1193, 18, 157, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60788, 1575, 281, 5, 27, "Input"],
Cell[61072, 1582, 55, 1, 23, "Print"],
Cell[61130, 1585, 56, 0, 23, "Print"],
Cell[61189, 1587, 63, 1, 23, "Print"],
Cell[61255, 1590, 244, 4, 23, "Print"],
Cell[61502, 1596, 157, 3, 23, "Print"],
Cell[61662, 1601, 73, 1, 27, "Output"]
}, Open  ]],
Cell[61750, 1605, 220, 4, 59, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

